/*!
 * Mozgaration theme WordPress Theme Scripts
 * Copyright (C) 2017 Mozgaration theme
 *
 * various scripts file 
 */


(function($){
"use strict";  


	/* ******************************************************************************* 

		GLOBAL VARS

	***********************************************************************************/ 	
	var is_rtl = $("body").hasClass("rtl");
	var window_width = $(window).width(); 
	var is_layout1 = $("body").hasClass("layout1");
	var is_layout2 = $("body").hasClass("layout2");
	

	/* ******************************************************************************* 

		LOADERS

	***********************************************************************************/ 

	$('html').imagesLoaded( { background: ".has-bg-image, body, .slide-background, .left-side-background, #right_side" }, function() {	//all images loaded
		$(window).trigger("mozgaration_images_loaded");
	});

	$(window).on('mozgaration_images_loaded', function() { //window and all images loaded
		if( document.readyState === "complete" ){
			$(window).trigger("mozgaration_loaded");
		}else{
			$(window).on('load', function() {
				$(window).trigger("mozgaration_loaded");
			});
		}
	});

	Pace.on('hide', function(){ //everything loaded including ajax
		$(window).trigger("mozgaration_pace_done");
	});
 

	/* ******************************************************************************* 

		WINDOW WIDTH RESIZE ONLY

	***********************************************************************************/ 
	$(window).resize(function(){
		if($(this).width() != window_width){
			window_width = $(this).width();   
			$(window).trigger("window_width_resize");
		}
	});

	/* ******************************************************************************* 

		CHECK IF THE HIDDEN MOBILE MENU ACTIVE

	***********************************************************************************/ 
	if( ! $.fn.is_mobile_menu ){

		$.fn.is_mobile_menu = function()
		{ 
			return $(window).width() < 980;
		};
	}
	/* ******************************************************************************* 

		MOZG Overlapped first row

	********************************************************************************** */
	
	if ( ! $.fn.mozgaration_overlapped_row ) {  
		$.fn.mozgaration_overlapped_row = function() {

			if( $(this).length == 0 ){
				return;
			} 

			if( $(this).hasClass("overlap") ){
				$('.sub_page_header > .content_row_wrapper').addClass("underlap"); 	
			}else{
				$('.sub_page_header > .content_row_wrapper').removeClass("underlap"); 	
			}

		}; 
	}

	$('#main_content .content_row:nth-child(2):not(.no-composer)').mozgaration_overlapped_row(); 	

	/* ******************************************************************************* 

		RESPONSIVE HEADINGS

	********************************************************************************** */  
	$.fn.mozgaration_font_resize = function() {

		$(this).each(function(){
			var $this = $(this),
				max_font_size = $this.data("maxfont-size"),
				min_font_size = $this.data("minfont-size");

				var resize_font_size = function(){

					var compress = 1;
					compress = window_width < 1290 ? 0.9 : compress;
					compress = window_width < 1100 ? 0.8 : compress;
					compress = window_width < 980 ? 0.7 : compress;
					compress = window_width < 768 ? 0.6 : compress;
					compress = window_width < 560 ? 0.5 : compress;
					compress = window_width < 480 ? 0.4 : compress;
					compress = window_width < 300 ? 0.35 : compress;

					if(compress == 1){
						$this.css('font-size', max_font_size +'px');
						return false;
					}

					 $this.css('font-size', Math.max( min_font_size, parseFloat( compress * max_font_size ) ) +'px');
				};

				resize_font_size();
				$(window).on('resize.mozgaration_font_resize orientationchange.mozgaration_font_resize', resize_font_size);
		});

	};

	$('[data-maxfont-size]').mozgaration_font_resize();



	/* ******************************************************************************* 

		CUSTOM BUTTON HOVERS

	********************************************************************************** */  
	$.fn.mozgaration_button_hovers = function() {

		var styles = "";

		$(this).each(function(){
			var $this = $(this),
				 unique_class_name = "button-" + Math.floor((Math.random() * 10000) + 1);
				$this.addClass(unique_class_name);
				styles += "."+unique_class_name+":hover{"+$this.data("hover-style")+"}";
				$this.removeAttr("data-hover-style");

		});

		$("<style>"+styles+"</style>").appendTo($("head"));

	};

	$('[data-hover-style]').mozgaration_button_hovers();

/* ******************************************************************************* 

		CUSTOM BLOCK HOVERS

	********************************************************************************** */  
	$.fn.mozgaration_block_hovers = function() {

		var styles = "";

		$(this).each(function(){
			var $this = $(this),
				 unique_class_name = "element-" + Math.floor((Math.random() * 10000) + 1);
				$this.addClass(unique_class_name);
				styles += ".col:hover ."+unique_class_name+"{"+$this.data("hovers-style")+"}";
				$this.removeAttr("data-hovers-style");

		});

		$("<style>"+styles+"</style>").appendTo($("head"));

	};

	$('[data-hovers-style]').mozgaration_block_hovers();


	/* ******************************************************************************* 

		ON PAGE LOAD

	***********************************************************************************/ 
	$(window).on("mozgaration_images_loaded",function(){
	
		$("body").removeClass("mozgaration-loading");
		$("#loader-wrapper").css({"opacity":0});
		$(window).trigger("mozgaration-loaded");

		if ( ! Modernizr.touch ) {
			$(window).scrollTop(0);
		}
	});

	$(window).on("mozgaration_pace_done",function(){
		$('.pace').remove();   
		if( $("body").hasClass("mozgaration-loading") ){
			$("body").removeClass("mozgaration-loading");
			$("#loader-wrapper").css({"opacity":0});
			$(window).trigger("mozgaration-loaded");
		}
	});

	/* ******************************************************************************* 

		ON LEAVE

	***********************************************************************************/ 

	if( ! $.fn.mozgaration_on_leave ){

		$.fn.mozgaration_on_leave = function()
		{ 

			$('a[href^="'+mozgaration_params["home_url"]+'"]').on("click", function(e){

				if( $.fn.is_mobile_menu() ){
					return;
				}

				if ( window.parent.location !== window.location ) {//check if customizer active
					return;
				}

				var cur_url = window.location.host + window.location.pathname + window.location.search;
				var target_url = this.host + this.pathname + this.search;
				var target_extension = this.pathname.split('.');
				var search = this.search;

				if( cur_url == target_url || search.indexOf("replytocom") == 1 ){
					return;
				}

				if( typeof target_extension[1] != "undefined" && typeof target_extension[1] != "php" && typeof target_extension[1] != "html"  ){
					return;
				}

				if ( e.ctrlKey || e.shiftKey || e.metaKey || (e.button && e.button == 1) ){
					return;
				}
			

				$("body").removeClass("pace-done");
				$("#loader-wrapper").css({"opacity":1});
			   $("body").addClass("mozgaration-loading mozgaration-leaving");

				if(is_layout1){
					$.fn.mozgaration_side_margin();
				}

				var href = this.href;
				window.setTimeout(function() {
					window.location = href;
				}, 350);

				return false;

			});

		};
	}

	$(window).on("mozgaration_pace_done",function(){
		if( $("#loader-wrapper").length > 0 ){
			$.fn.mozgaration_on_leave();   
		}		
	});

	/* ******************************************************************************* 

		MOZG ONE PAGE

	***********************************************************************************/ 
 
	if( ! $.fn.mozgaration_one_page ){

		$.fn.mozgaration_one_page = function()
		{ 

			var wp_admin_bar_height = $("#wpadminbar").outerHeight() - 1;

			if( window.location.hash ){ 
				if( $(window.location.hash).length > 0 && $('#navigation a[href*="'+window.location.hash+'"]').length > 0 ){ 		
					mozgaration_scroll_to( $(window.location.hash).offset().top - wp_admin_bar_height, window.location.hash );
				}
			}

			$(this).on("click",function(e){
			
					var cur_url = window.location.host + window.location.pathname + window.location.search;
					var this_url = this.host + this.pathname + this.search;

					if( cur_url == this_url ){

						e.preventDefault();		

						if( this.hash == "#top" ){
							mozgaration_scroll_to( 0, "");
							return ;
						}						
		 
						var target = $(this.hash);

						if( target.length == 0 ){
							window.location = this.href;
							return ;
						}
						
						if( $("body").hasClass("mobile-menu-active") ){
							$(".mobile-menu-button").trigger("click");
						}

						var sticky_menu_item = $(".sticky #navigation > li > a");
						var sticky_height = 0;

						if( sticky_menu_item.length > 0 ){
							sticky_height = sticky_menu_item.height() + 30;
						}
						
						var reduce = wp_admin_bar_height + sticky_height;
						
						mozgaration_scroll_to( target.offset().top - reduce, this.hash);
					}
			});


			$(this).each(function(){

				var menu_item = $(this),
					hash = this.hash,
					section = $(hash);

				menu_item.parent("li").removeClass("current-menu-item current_page_item");

				section.waypoint(function(direction) { 
						if (direction === 'down') {
							mozgaration_remove_active_menu_class();
							menu_item.parent("li").addClass("current-menu-item current_page_item");
						}
				}, { offset: '50%' });

				section.waypoint(function(direction) { 
						if (direction === 'up') {
							mozgaration_remove_active_menu_class();
							menu_item.parent("li").addClass("current-menu-item current_page_item");
						}
				}, { 
					offset: function() { 
						return 0;
					}
				});

				section.waypoint(function(direction) { 
						if (direction === 'up') {
							menu_item.parent("li").removeClass("current-menu-item current_page_item");
						}
				}, { 
					offset: function() { 
						return $.waypoints('viewportHeight');
					}
				});

				section.waypoint(function(direction) { 
						if (direction === 'down') {
							menu_item.parent("li").removeClass("current-menu-item current_page_item");
						}
				}, { 
					offset: function() { 
						return -$(this).height();
					}
				});

			});


			function mozgaration_remove_active_menu_class(){
				$("#navigation > li.current-menu-item, #navigation > li.current_page_item").removeClass("current-menu-item current_page_item"); 
			}

		};
	}

	
	if ( $.fn.mozgaration_one_page ) {  
		$(window).on("mozgaration_pace_done",function(){
			$($('#navigation a[href*="#"]:not([href="#"])')).mozgaration_one_page();   
		});
	}



	/* ******************************************************************************* 

		SCROLLTO LINKS

	***********************************************************************************/ 
	$(".scroll").on("click",function(){

		if( this.hash == "#top" ){
			mozgaration_scroll_to( 0, "");
			return ;
		}			

		var wp_admin_bar_height = $("#wpadminbar").outerHeight();
		var sticky_menu_item = $(".sticky #navigation > li > a");
		var sticky_height = 0;

		if( sticky_menu_item.length > 0 ){
			sticky_height = sticky_menu_item.height() + 30;
		}
		
		var reduce = wp_admin_bar_height + sticky_height;

		if( $(this.hash).length < 1 ){
			return ;
		}

		mozgaration_scroll_to( $(this.hash).offset().top - reduce, this.hash);
	});


	/* ******************************************************************************* 

		GO TO TOP LINK

	***********************************************************************************/ 
 
	if( ! $.fn.mozgaration_go_to_top ){

		$.fn.mozgaration_go_to_top = function()
		{ 

			var $this = $(this);
			$(window).scroll(function(event) {

				var top_distance = 100;
				var y = $(window).scrollTop();
			
				if( y > top_distance ){							
					 $this.addClass("visible");
				}else{
					 $this.removeClass("visible");
				}

			});		

			$(this).on("click",function(e){
				mozgaration_scroll_to( 0, "");
			});

		};
	}
	
	if ( $.fn.mozgaration_go_to_top ) {  
		$('.go-to-top').mozgaration_go_to_top();   
	}

	/* ******************************************************************************* 

		MOZG COUNTER

	***********************************************************************************/ 
 
	if( ! $.fn.mozgaration_counter ){

		$.fn.mozgaration_counter = function()
		{ 

			$(this).each(function(){
				var number_holder = $(this).find("> .number"),
					 number = number_holder.text();

				$(this).waypoint( { 
					triggerOnce: true,   
					offset: "100%",  
					handler: function() {    

						$({
							Counter: 0
						}).animate({
							Counter: number_holder.text()
						}, {
							duration: 1200,
							step: function () {
								number_holder.text(Math.ceil(this.Counter));
							},
							complete: function () {
								number_holder.text(number);
							}							
						});

					}
				});
			});
		};
	}
	
	if ( $.fn.mozgaration_counter ) {  
		$(window).on("mozgaration_pace_done",function(){
			$('.mozgaration_counter').mozgaration_counter();   
		});
	}

	/* ******************************************************************************* 

		MOZG SCROLL TO

	***********************************************************************************/ 

	function mozgaration_scroll_to( to, hash, timeout ){

		timeout =  timeout || 900;
		
		$('html, body').stop().animate({
			'scrollTop': to
		}, timeout, 'swing', function() {
			window.location.hash = hash;
			$('html,body').scrollTop(to);
		});				
	
	}


	/* ******************************************************************************* 

		FIX FEATURES COLUMN POSITION OF COMPARE TABLES

	********************************************************************************** */  

	if( ! $.fn.mozgaration_tables ){

		$.fn.mozgaration_tables = function()
		{ 

			var features,
				table = $(this);


			//brings the features column position same with other columns
			function fix_compare_features( table ){

				$(table).each(function(i){

					var start_position_element = $(this).find(".start_position"),
					features_list = $(this).find(".table_wrap.features ul"), 
					new_offset =  start_position_element.offset().top - $(this).offset().top; 

					features_list.css("top",new_offset);
				});

			}


			//copy features to each column for mobile
			function copy_features( table ){

				$(table).each(function(){

					features=[];
					//createa features array from the first row
					$(this).find(".table_wrap.features li").each(function(){
						features.push( $(this).html() );
					});

				});

				$(table).find(".table_wrap").each(function(i){

					if( $(this).hasClass("features") == "" ){
						var i = 0;
						$(this).find("li").each(function(){
							$(this).prepend('<div class="visible-xs-block hidden-sm hidden-md hidden-lg">'+features[i]+'</div>'); 
						i++;
						});
					} 
				}); 				
			}

			//bind to window resize
			$(window).bind("resize",table, function( ){
				fix_compare_features( table );   
			});

			//start functions
			fix_compare_features( table );
			copy_features( table );

		};
	}

	if ( $.fn.mozgaration_tables ) {  
		$('.pricing_table.compare').mozgaration_tables();   
	}

	/* ******************************************************************************* 

		TOGGLE - ACCORDION

	********************************************************************************** */  
	$(".mozgaration-toggle .toggle-content").hide(); 
	$(".mozgaration-toggle .open .toggle-content").show();  
	
	$(".mozgaration-toggle ol li .toggle-head").click(function(){ 

		clearTimeout("accordion_timeout");
		
		var element = $(this).parent("li"),
			content = element.find(".toggle-content");

		if( element.hasClass("open")){ 
			element.removeClass("open");
			content.stop().slideUp(300);

		}else{

			$(this).parents("ol").find("li.open").removeClass("open").find(".toggle-content").stop().slideUp(300);  

			element.addClass("open");
			content.stop().slideDown(300,function(){
				fix_accordion_pos();
			});	

			//fixed heights 
			content.find('.fixed_heights').mozgaration_fixed_rows("load"); 

			//fixed footers
			$('[data-footer="fixed_footer"]').mozgaration_fixed_footers();

		} 

		function fix_accordion_pos(){
			if( $(window).scrollTop() > element.offset().top ){
				var accordion_timeout = setTimeout(function() {
					var add = $("#wpadminbar").outerHeight() + $(".top-header.stuck").outerHeight();
					mozgaration_scroll_to( element.offset().top - add, "", 300);
				}, 30 );			
			}			
		}

	});


	/* ******************************************************************************* 

		TABS

	********************************************************************************** */  

	if( ! $.fn.mozgaration_tabs ){

		$.fn.mozgaration_tabs = function()
		{ 

			$(this).each(function () {

				var tabs = $(this),
					tab_nav = $(this).find("> .tab_nav"),
					desktop_nav_element = $(this).find("> .tab_nav > li"),
					mobile_nav_element = $(this).find("> .tab_contents > .tab_content_wrapper > .tab_title"),
					tab_wrappers =  $(this).find("> .tab_contents > .tab_content_wrapper"),
					tab_style = $(this).attr("data-tab-style");

				//nav height fix
				height_fix(1);

				//mobile nav clicks	
				mobile_nav_element.click(function() {		
					close_all();
					open_tab( $(this).attr("data-tab-number") );
				})

				//desktop nav clicks
				desktop_nav_element.click(function() {				
					close_all();
					open_tab( $(this).attr("data-tab-number") );
				})

				//close all tab_style
				function close_all(){
					tab_wrappers.each(function() {
						$(this).removeClass("active");
					});

					desktop_nav_element.each(function() {
						$(this).removeClass("active");
					});

				}

				//open a tab 
				function open_tab( tab_number ){

					var nav_item = tabs.find('[data-tab-number="'+tab_number+'"]'),
						tab_content_wrapper = tabs.find('[data-tab-content="'+tab_number+'"]');

						nav_item.addClass("active");
						tab_content_wrapper.addClass("active");
						height_fix( tab_number );

						//fixed heights 
						tab_content_wrapper.find('.fixed_heights').mozgaration_fixed_rows("load");

 
						//fix custom select forms
						$.fn.mozgaration_customized_selects( tab_content_wrapper );
						tab_content_wrapper.find('span.customselect').remove();
						tab_content_wrapper.find('select.hasCustomSelect').removeAttr("style");
						$.fn.mozgaration_customized_selects( tab_content_wrapper );
 

						if( window_width < 767 ){
							mozgaration_scroll_to( tab_content_wrapper.offset().top, "" );
						}
				}

				//height fix -  vertical style
				function height_fix( tab_number ) {
					if( tab_style == "tab-style-2" ){						
						var current_tab_height = tabs.find('[data-tab-content="'+tab_number+'"]').outerHeight();
						tab_nav.css({"min-height":current_tab_height+"px"});
					}
				}

			});
 
		};
	}

	if ( $.fn.mozgaration_tabs ) {  
		$('.mozgaration_tabs').mozgaration_tabs();   
	}

	/* ******************************************************************************* 

		STAMOZG  CAROUSELS

	********************************************************************************** */    

	$.fn.mozgaration_start_carousels = function( callbacks ) {

		$(this).find(".mozgaration-carousel").each(function(){

			var autoHeight_,
				margin = $(this).data("margin") !== "" ? $(this).data("margin") : 15, 
				carousel_holder = $(this),
				items = parseInt($(this).attr("data-item-width")),//number of items of each slides
				tablet_items = typeof $(this).data("tablet-item-width") != "undefined" && $(this).data("tablet-item-width") != "" ? parseInt($(this).attr("data-tablet-item-width")) : ( items == 1 ) ? 1 : 2 ,//number of items of each slides
				mobile_items = typeof $(this).data("mobile-item-width") != "undefined" && $(this).data("mobile-item-width") != "" ? parseInt($(this).attr("data-mobile-item-width")) : 1,//number of items of each slides
				nav = $(this).attr("data-nav") == "true" ? true : false,
				dots = $(this).attr("data-dots") == "true" ? true : false,
				timeout = typeof $(this).attr("data-timeout") != "undefined" ? $(this).data("timeout") : 5000,
				autoplay = $(this).data("autoplay") != "undefined" ? $(this).data("autoplay") : false,
				loop = $(this).data("loop") != "undefined" ? $(this).data("loop") : false, 
				autowidth = $(this).data("autowidth") != "undefined" ? $(this).data("autowidth") : false,
				carousel_id = $(this).attr("id");

			//margin 
			if( items == 1 ){
				margin = 0;
			}else{
				margin = margin;
			}

			//start carousel
			var carousel = carousel_holder.find(".owl-carousel"); 

				if( $(this).find('.item').size() == 1 ){
					nav = dots = false;
				} 
				
				var startover;
				carousel.on('changed.owl.carousel', function(e) {

					if( ! autoplay ){
						return;
					}

					clearTimeout(startover); 

					if (!e.namespace || e.type != 'initialized' && e.property.name != 'position') return;
 
		 			var items = $(this).find('.active').size(); 

					if( e.item.index == e.item.count - items ){

						var startover = setTimeout(function() {
							carousel.trigger('to.owl.carousel',  [0, 400, true]);
						}, timeout );			

					}

				});
				
				carousel.owlCarousel({
					rtl: is_rtl ? true : false, 
					autoplayTimeout : timeout,
					autoplay:autoplay,
					loop:loop,
					autoplayHoverPause:true,
					margin:margin,
					responsiveClass:true,	
					autoWidth:autowidth,				
					autoHeightClass: 'owl-height',
					navText: ["<span class=\"icon-left-open\"></span>","<span class=\"icon-right-open\"></span>"],
					navSpeed:700,
					dotsSpeed:500,					
					responsive:{
						0:{
							items:mobile_items,
							nav:nav,
							dots:dots,
							autoHeight:1,
							dotsContainer: "#"+carousel_id+"-dots"
						},
						768:{
							items: tablet_items,
							nav:nav,
							dots:dots,
							autoHeight:1,
							dotsContainer: "#"+carousel_id+"-dots"
						},						
						1025:{
							items:items,
							nav:nav,
							dots:dots,
							autoHeight:1,
							dotsContainer: "#"+carousel_id+"-dots",
						}
					},
					onInitialized: callbacks ? callbacks._onInitialized : isotope_layout,
					onChanged: callbacks ? callbacks._onChanged : "",
					onRefreshed: callbacks ? callbacks._onRefreshed : "",
					onTranslated: isotope_layout,

				});

				//cosmetic fix for content carousels				
				make_same_height(carousel,items, mobile_items, tablet_items, carousel_holder);
				$(window).on('resize', function() { 
					setTimeout(function() {
						reset_carousel_heights(carousel,items, mobile_items, tablet_items, carousel_holder);
						make_same_height(carousel,items, mobile_items, tablet_items, carousel_holder); 
					}, 500);			
				});				
		});

		//reset isotopes after carousel
		function isotope_layout(){

			var isotope_gallery = $(".masonry");

			if( isotope_gallery.length > 0 ){
				setTimeout(function() {					
					isotope_gallery.isotope('layout'); 
				}, 100);							
			}
		}

		//get highest item of the carousel
		function get_highest_item( carousel ){
			var heights = [];
			carousel.find(".owl-item").each(function(){  
				heights.push($(this).outerHeight());   
			});

			return Math.max.apply(null, heights);
		}

		//reset carousel item heights
		function reset_carousel_heights( carousel, items, mobile_items, tablet_items, carousel_holder ){

			var is_image_carousel = carousel_holder.hasClass("mozgaration-image-carousel");

			if( mobile_items == 1 && window_width < 768 ){
				return false;
			} 

			if( tablet_items == 1 && window_width >= 768  &&  window_width <= 1025){
				return false;
			} 

			if( items == 1 && window_width > 1025 ){
				return false;
			} 

			carousel.find(".owl-item > div").each(function(){ 
				$(this).css({"min-height": ""});
			});
		}		 

		//make all carousel items in same height
		function make_same_height( carousel, items, mobile_items, tablet_items, carousel_holder ){

			var is_image_carousel = carousel_holder.hasClass("mozgaration-image-carousel");

			if( mobile_items == 1 && window_width < 768 ){
				return false;
			} 

			if( tablet_items == 1 && window_width >= 768  &&  window_width <= 1025){
				return false;
			} 

			if( items == 1 && window_width > 1025 ){
				return false;
			} 

			var height = get_highest_item( carousel );			

			carousel.find(".owl-item > div").each(function(){ 
				$(this).css({"min-height": height +"px"});
			});

		 	carousel.trigger('refresh.owl.carousel');
		}

	}; 	

  	$(window).on('mozgaration_loaded', function() {
		$("body").mozgaration_start_carousels();  
	});

	/* ******************************************************************************* 

		PORTFOLIO ITEMS 

	********************************************************************************** */    

	$.fn.mozgaration_portfolio_items = function() {
		$(this).each(function(){
			var text = $(this).find(".text"),
				holder_height = $(this).height(),
				text_height = text.height(),
				margin = ( text_height < holder_height ) ? ( holder_height - text_height ) / 2 : 0;

				text.css({
					"margin-top": margin + "px",
					"max-height": holder_height + "px"
				});
		}); 
	};

	$(window).on('mozgaration_loaded resize', function() {
		$(".type-portfolio.loop > .overlay").mozgaration_portfolio_items();
	});
	
 

	/* ******************************************************************************* 

		SEARCH WIDGET

	********************************************************************************** */  
	$(".wp-search-form span").on('click', function() {     
		$(this).parents("form:eq(0)").submit();
	});	

	/* ******************************************************************************* 

		SOCIAL SHARE 

	********************************************************************************** */
 
	$(".social_share_holder a").click(function( event ) {		

		//if email button clicked do nothing
		if( $(this).hasClass("icon-mail") ){
			return ;
		}

		//for other buttons open a popup window
		newwindow=window.open($(this).attr("data-url"),'name','height=400,width=400');

		if (newwindow == null || typeof(newwindow)=='undefined') {  
			alert( mozgaration_params["popup_blocker_message"] ); 
		}else{  
			newwindow.focus();
		}

		event.preventDefault();
	});

	/* ******************************************************************************* 

		Tooltips

	********************************************************************************** */
	$('[data-toggle="tooltip"]').tooltip();


	/* ******************************************************************************* 

		IMG effects

	********************************************************************************** */
	if( ! $.fn.mozgaration_img_effect ){

		$.fn.mozgaration_img_effect = function()
		{ 
			$(this).find('.imgeffect').each(function() {
				$('<div/>').append($(this).find("img")).appendTo($(this));
			});
		};
	}

	$("#container").mozgaration_img_effect();


	/* ******************************************************************************* 

		TABLET NAVIGATION FIX FOR DEACTIVE STATE

	********************************************************************************** */    
	$("#container").on("click",function() { 
		return true;
	});


	/* ******************************************************************************* 

		LOAD MORE

	********************************************************************************** */    

	$(".load_more").on("click",function(e){
 
		e.preventDefault();	

		var button = $(this),
			listid = button.attr("data-listid"),
			page_count = parseInt(button.attr("data-page_count")) ,
			current_page = parseInt(button.attr("data-current_page")) ;

		//prevent multiple clicks before loading elements
		button.attr("disabled", "disabled");

		//check if there is more posts to display
		if( page_count == 1 ){
			return ;
		}

		//load more button classes
		button.children("span").removeClass("icon-angle-double-down").addClass("icon-spin1 animate-spin");
	
		//start ajax
		$.ajax({
			type: 'POST',
			url: mozgaration_params.ajax_url,
			data : {
				'action': 'mozgaration_ajax_loader',
				'atts': $(this).attr("data-atts"),
				'wpml_lang': mozgaration_params.wpml_lang,
				'page': current_page + 1
			},		
			success: function(response, textStatus, XMLHttpRequest){

				var response = $(response), elems, wrapper, masonry;

					wrapper = $("#"+listid);	

					if( wrapper.hasClass("masonry") ){
						masonry = true;
					}	
					
					if( masonry ){
						elems = response.find(".isotope-item");	
					}else{
						elems = response.find("> div, > article");							
					}


				// wait the images 
				imagesLoaded( response ).on('done', function( instance ) {

					//append the elements and rebuild the masonry layout
					if( masonry ){
						wrapper.isotope().append( elems ).isotope( 'appended', elems );
					}else{
						wrapper.append( elems );					
					}

					//img effects for new loaded elements
					elems.mozgaration_img_effect();

					//media player
					elems.mozgaration_mediaelementplayer();

					//append isotope elements
					if( masonry ){ 
						wrapper.isotope('layout'); 
					}

					//lightboxes 
					elems.mozgaration_lightbox(); 

					//start carousels
					elems.mozgaration_start_carousels( { '_onRefreshed' : function _onRefreshed(){
											if( masonry ){ 
												wrapper.isotope('layout'); 
											}
										}});

					//portoflio items
					elems.find(".type-portfolio.loop > .overlay").mozgaration_portfolio_items();

					//the load more button
					button.children("span").removeClass("icon-spin1 animate-spin").addClass("icon-angle-double-down");

					//decrease the page count
					button.attr("data-page_count",page_count-1);

					//increase the current page count
					button.attr("data-current_page", current_page+1 );

					//remove the button if there is no page left
					if( page_count -1 <= 1 ){
						button.attr("disabled", "disabled").hide();
					}else{
						button.removeAttr("disabled");
					}

					//fix left side
					if( $.fn.mozgaration_left_height ){
						$.fn.mozgaration_left_height();
					}
					$(window).trigger("scroll");  
				});

			},
			error: function( MLHttpRequest, textStatus, errorThrown ){
				console.log(errorThrown);
			}		
		});
 
	});

	/* ******************************************************************************* 

		CUSTOM DESIGNED SELECT FORMS

	********************************************************************************** */  
	if( ! $.fn.mozgaration_customized_selects ){
		$.fn.mozgaration_customized_selects = function( wrapper ) {
			if ( $.isFunction($.fn.customSelect) ) {

				var selectors = '.orderby, .variations select:not([multiple]), .widget .menu.dropdown-menu, .gfield:not(.notcustomselect) .ginput_container select:not([multiple]), .wpcf7-form select:not([multiple])';
				if( wrapper ){
					wrapper.find(selectors).customSelect( { customClass: "customselect" } );
				}else{
					$(selectors).customSelect( { customClass: "customselect" } );
				}
				
			}
		};
	};

	$(window).load(function(){
		$.fn.mozgaration_customized_selects();

		//bind to gravity ajax load
		$(document).bind('gform_post_render', function(){			
			$.fn.mozgaration_customized_selects();
		});

	});


	/* ******************************************************************************* 

		WC REVIEWS

	********************************************************************************** */  

	$(".woocommerce-review-link").click(function( event ){  
		var review_tab = $("#reviews-title");
		review_tab.trigger("click"); 
	});


	/* ******************************************************************************* 

		FORM VALIDATION

	********************************************************************************** */  

	$.fn.mozgaration_contact_form = function() {
		
		$(this).each(function(){

			var the_form = $(this);

			the_form.find(".submit").click(function( event ){  

				//vars
				var loading = the_form.find(".loading"),
					error = false;

				//check required fields
				the_form.find(".required").each(function(){
					if( $(this).val() == "" ){
						$(this).addClass("error");
						error = true;
					}else{
						$(this).removeClass("error");
					}
				});

				//there is an error
				if(error){
					return ;
				}

				//show loading icon
				loading.show();

				//searialize the form
				var serialize_form = $(the_form).serialize();

				//ajax form data 
				var data = serialize_form +'&action=mozgaration_ajax_contact_form';

				//post
				$.post(mozgaration_params.ajax_url, data, function(response) {
					var response = $(response);
					response.prependTo(the_form);
					loading.hide();
				});

				//close warnings
				the_form.find(".info_box").remove();

			});
		});
	}; 

	$('.validate_form').mozgaration_contact_form();
 

	/* ******************************************************************************* 

		INFO BOX CLOSE

	********************************************************************************** */  
	$(document.body).on("click",".info_box .icon-cancel",function() { 
		$(this).parent(".info_box").fadeOut();
	}); 

	/* ******************************************************************************* 

		LIGHTBOX PLUGIN

	***********************************************************************************/     

	$.fn.mozgaration_lightbox = function() {
		if ($.fn.lightGallery){

				var carousel_atts= {
					selector: 'a.lightbox_',
					hash: false,
					downloadUrl: false,
					loop: false,
					thumbnail: false,
					index: 0,
					getCaptionFromTitleOrAlt: false

				};

				$(this).find(".mozgaration-image-carousel,.photo_gallery").lightGallery(carousel_atts);


				var carousel_atts= {
					selector: 'this',
					hash: false,
					downloadUrl: false,
					loop: false,
					thumbnail: false,
					index: 0,
					getCaptionFromTitleOrAlt: false

				};

				$(this).find(".lightbox_").lightGallery(carousel_atts);

		}

	};

	$(document).mozgaration_lightbox("init");



	/* ******************************************************************************* 

		MOZG  GOOGLE MAPS

	********************************************************************************** */  
	$.mozgaration_maps = function(el, locations, zoom){

		var base = this; 
		base.init = function(){ 
			// initialize google map
			if(locations.length>0) google.maps.event.addDomListener(window, 'load', $.fn.mozgaration_maps());  
		};
 
		if(locations.length>0) base.init();
	}; 

	$.fn.mozgaration_maps = function(locations, zoom){		 

		var map_id = $(this).attr("id");  
 
		//holder height
		var height = $('[data-scope="#'+map_id+'"]').attr("data-height");   

		if ( height > 0 ){
			$(this).css({'height':height+"px"});
		}

		//api options
		var myOptions = {
			zoom: zoom,
			panControl: true,
			zoomControl: true,
			scaleControl: true,			
			streetViewControl: false,
			overviewMapControl: false,
			scrollwheel : false,
			navigationControl: true,
			center: new google.maps.LatLng(0, 0),
			mapTypeId: google.maps.MapTypeId.ROADMAP
		}			 
 
		var map = new google.maps.Map( document.getElementById(map_id), myOptions);	

		//B&W Map
		var bwmap = $('[data-scope="#'+map_id+'"]').attr("data-bw");   

		if ( typeof bwmap !== "undefined" && bwmap != "" ){
			// Create an array of styles.
			var styles = [
				{
					stylers: [
						{ hue: "#fff" },
						{ saturation: -100 },
						{ lightness: 0 },
						{ gamma: 1 }
					]
				} 
			];
			// Create a new StyledMapType object, passing it the array of styles,
			// as well as the name to be displayed on the map type control.
			var styledMap = new google.maps.StyledMapType(styles, {name: "Styled Map"});	

			//Associate the styled map with the MapTypeId and set it to display.
			map.mapTypes.set('map_style', styledMap);
			map.setMapTypeId('map_style');
		}

		$.fn.setMarkers(map, locations);

		$.fn.fixTabs(map,map_id,zoom);
		$.fn.fixAccordions(map,map_id,zoom);
	};

	$.fn.setMarkers = function (map, locations) {
		 

		if(locations.length>1){
			var bounds = new google.maps.LatLngBounds();	 
		}else{
			var center = new google.maps.LatLng(locations[0][1], locations[0][2]);
			map.panTo(center);			
		}


		for (var i = 0; i < locations.length; i++) {
			if (locations[i] instanceof Array) {
				var location = locations[i];
				var myLatLng = new google.maps.LatLng(location[1], location[2]);
				var marker = new google.maps.Marker({
					position: myLatLng,
					map: map,
					animation: google.maps.Animation.DROP,
					draggable: false,
					title: location[0]
				});

				$.fn.add_new_event(map,marker,location[4]);
				if(locations.length>1) bounds.extend(myLatLng);
			}
		}

		if(locations.length>1)  map.fitBounds(bounds);
	};
	 
	$.fn.add_new_event = function (map,marker,content) {

	  if(content){
			var infowindow = new google.maps.InfoWindow({
				content: content,
				maxWidth: 300
			});
			google.maps.event.addListener(marker, 'click', function() {;
			infowindow.open(map,marker);
		});
	  }
	}; 

	$.fn.fixTabs = function (map,map_id,zoom) {
		var tabs = $("#"+map_id).parents(".mozgaration_tabs:eq(0)"),
			desktop_nav_element = tabs.find("> .tab_nav > li"),
			mobile_nav_element = tabs.find("> .tab_contents > .tab_content_wrapper > .tab_title");

		desktop_nav_element.on("click",  { map: map } , function() { 
			var c = map.getCenter();  
			google.maps.event.trigger(map, 'resize'); 
			map.setZoom(zoom); 
			map.setCenter(c);  
		});
 
		mobile_nav_element.on("click",  { map: map } , function() { 
			var c = map.getCenter();  
			google.maps.event.trigger(map, 'resize'); 
			map.setZoom(zoom); 
			map.setCenter(c);  
		});

	};	

	$.fn.fixAccordions = function (map,map_id,zoom) {
		var panes = $("#"+map_id).parents(".mozgaration-toggle:eq(0) > ol > li");

		panes.on("click",  { map: map } , function() { 
			var c = map.getCenter();  
			google.maps.event.trigger(map, 'resize'); 
			map.setZoom(zoom); 
			map.setCenter(c);  
		}); 

	};	

	/* ******************************************************************************* 

		SLIDER PARALLAX EFFECT

	********************************************************************************** */  

	$.fn.mozgaration_slider_position = function()
	{
		var slider =  $('#main_content > .content_row:first-child .main-carousel[data-parallax="true"]');

		if( slider.length == 0 || Modernizr.touch ){
			return ;
		}

		var	parallax_effect = ! Modernizr.touch ? true : false,		
			wp_admin_bar_height = $("#wpadminbar").outerHeight(),
			offsetTop = slider.offset().top,
			sliderHeight = slider.outerHeight(),
			gap = offsetTop - wp_admin_bar_height,
			carousel = slider.find(".owl-stage-outer"),
			$window = $(window);


			//parallax effect
			$(window).on("scroll", function( event ){

				var scrollTop = $window.scrollTop() - gap ;

				 
				if( sliderHeight < scrollTop ){
					return ;
				}

				var y = Math.max( 0, scrollTop ),
					cy = 0.4*y;

 
				carousel.css({ 
					"-webkit-transform": "translateY("+cy+"px)",
					"-moz-transform": "translateY("+cy+"px)",
					"-ms-transform": "translateY("+cy+"px)",
					"-o-transform": "translateY("+cy+"px)",
					"transform": "translateY("+cy+"px)"
				});


			});			
	}

	$(window).on('mozgaration_loaded resize', function() {
		$.fn.mozgaration_slider_position();
	}); 

	/* ******************************************************************************* 

		MEDIA PLAYER

	********************************************************************************** */  

	$.fn.mozgaration_mediaelementplayer = function() {		
		$(this).find(".mozgaration-hosted-media video, .mozgaration-hosted-media audio").mediaelementplayer();
	}; 

	$(document).mozgaration_mediaelementplayer();


	/* ******************************************************************************* 

		PARALLAX BACKGROUNDS

	********************************************************************************** */  

	if( ! $.fn.mozgaration_parallax_backgrounds ){

		$.fn.mozgaration_parallax_backgrounds = function(options)
		{ 
			if( Modernizr.touch ){
				return ;
			}

			$(this).each(function(){
				
				var row = $(this).parents("div:eq(0)"),
					row_height = row.outerHeight() ,
					row_width = row.outerWidth() ,
					row_inheight = row.height(), 
					parallax_speed = $(this).data("mozgaration-parallax-speed") != undefined ? $(this).data("mozgaration-parallax-speed") : 6,
					row_paddings = row_height - row_inheight,
					speed = ( row_height / $(window).height() ) + 1, 
					holder_height = row_height * speed/(1+(6-parallax_speed)/10),
					holder_width = row_width * speed/(1+(6-parallax_speed)/10),
					effect = $(this).attr("data-mozgaration-parallax-effect"), // vertical, horizontal
					direction = $(this).attr("data-mozgaration-parallax-direction"); // -1 down/right , 1 up/left

					if( effect == "horizontal" ){
						$(this).css({ "height":row_height+4+"px", "width":holder_width+"px" });	
					}else{
						$(this).css({ "height":holder_height+"px", "width":row_width+4+"px" });	
					}
 

					if( effect == "horizontal" ){
						$(this).mozgaration_horizontal_parallax_effect({ row: row, row_width: row_width, holder_width: holder_width, direction: direction });
					}else{
						$(this).mozgaration_vertical_parallax_effect({ row: row, row_height: row_height, holder_height: holder_height, direction: direction });	
					}	 
 
			});
		} 
 
		$.fn.mozgaration_horizontal_parallax_effect = function( options )
		{ 
			var $this = $(this),
				$window = $(window),
				invisible_part = options["holder_width"] - options["row_width"],
				posTop = options["row"].offset().top,
				start_position = options["direction"] == -1 ? -1 * invisible_part : 0;
 
			//start position of the parallax layer
			$this.mozgaration_parallax_apply_css(start_position, 0 );

			//scroll function
			$(window).scroll(function(event) {

				if( ( posTop - $window.height() ) > $window.scrollTop() ){
					return ;
				}

				var move_rate  = ( $window.scrollTop() *  invisible_part ) / ( posTop + options["row_width"] ); 
				var xPos = options["direction"] == 1 ? -1 * move_rate :  -1 * invisible_part + move_rate ;

				if( xPos < -1 * invisible_part ) xPos = -1 * invisible_part; //max left position					
				if( xPos > 0 ) xPos = 0;  //max right position

				$this.mozgaration_parallax_apply_css(xPos, 0);

			});
		}	


		$.fn.mozgaration_vertical_parallax_effect = function( options )
		{ 
			var $this = $(this),
				$window = $(window),
				invisible_part = options["holder_height"] - options["row_height"],
				posTop = options["row"].offset().top,
				start_position = options["direction"] == -1 ? -1 * invisible_part : 0;
 
			//start position of the parallax layer
			$this.mozgaration_parallax_apply_css(0, start_position );
  
			//scroll function
			$(window).scroll(function(event) {

				if( (posTop - $window.height() ) > $window.scrollTop()  ){
					return ;
				}

				var move_rate  = ( $window.scrollTop() *  invisible_part ) / ( posTop + options["row_height"] ); 
				var yPos = options["direction"] == 1 ? -1 * move_rate :  -1 * invisible_part + move_rate ;

				if( yPos < -1 * invisible_part ) yPos = -1 * invisible_part; //max bottom position					
				if( yPos > 0 ) yPos = 0;  //max top position	
			
				$this.mozgaration_parallax_apply_css(0, yPos);	

				//sub page headers
				if( $this.parent(".content_row").hasClass("sub_page_header") ){
					if( is_layout1 || is_layout2){
						$this.next(".content_row_wrapper").find(".page-title").mozgaration_parallax_apply_css( 0, $window.scrollTop() / 6 );	
					}
				}
 
			});
		}		


		$.fn.mozgaration_parallax_apply_css = function( x, y )
		{ 

			var is_rtl = $("body").hasClass("rtl");

			//if it is rtl language make it reverse
			x = is_rtl ? -1 * x : x; 

			$(this).css({ 
				"-webkit-transform": "translate("+x+"px, "+y+"px)",
				"-moz-transform": "translate("+x+"px, "+y+"px)",
				"-ms-transform": "translate("+x+"px, "+y+"px)",
				"-o-transform": "translate("+x+"px, "+y+"px)",
				"transform": "translate("+x+"px, "+y+"px)" 
			});
 
		}		
	}


	if ( $.fn.mozgaration_parallax_backgrounds ) {  
		//start first to get rid of white images
		$(window).on('mozgaration_loaded resize', function() {
			$('.mozgaration-parallax-background').mozgaration_parallax_backgrounds();   	
		}); 
	}


	/* ******************************************************************************* 

		MOZG  Fixed Rows  

	********************************************************************************** */

	$.fn.mozgaration_fixed_rows = function( action ) {

		function fix_heights(row) {
			row.each(function(){

				var this_row_height = $(this).height();

				if( Modernizr.csstransforms3d ){
					$(this).find(" > .wpb_column,  > .col").css({'min-height': this_row_height });
				}else{//ie9 or before
					if(!$(this).hasClass("align-contents")){
						$(this).find(" > .wpb_column,  > .col").css({'height': this_row_height });
					}
				}

			});	
		}

		function reset_heights(row) {
			row.each(function(){

				var this_row_height = $(this).height();
				if( Modernizr.csstransforms3d ){
					$(this).find(" .wpb_column, .col").css({'min-height': "auto" });
				}else{//ie9 or before
					$(this).find(" .wpb_column, .col").css({'height': "auto" });
				}

			});	

			row.mozgaration_fixed_rows("load");
		}
		
		if( action == "reset"){
			$(this).each(function(){
				if( $(this).children(".content_row_wrapper").length > 0 ){
					reset_heights( $(this).children(".content_row_wrapper") );
				}

				if( $(this).find(".content_row").length > 0 ){
					reset_heights( $(this).find(".content_row") );
				}

				if( $(this).find(".row").length > 0 ){
					reset_heights( $(this).find(".row") );
				}

				reset_heights( $(this) );
			}); 		
		}

		if( $(window).width() < 767 ){
			return false;
		} 

		if( action == "load"){
			$(this).each(function(){
				if( $(this).children(".content_row_wrapper").length > 0 ){
					fix_heights( $(this).children(".content_row_wrapper") );
				}

				if( $(this).find(".content_row").length > 0 ){
					fix_heights( $(this).find(".content_row") );
				}

				if( $(this).find(".row").length > 0 ){
					fix_heights( $(this).find(".row") );
				}

				fix_heights( $(this) );
			}); 
		}

	}; 

	//run the script
	$(window).on('mozgaration_pace_done', function() {
		$('.fixed_heights').mozgaration_fixed_rows("load");
	});

	$(window).on('resize', function() { 
		setTimeout(function() {
			$('.fixed_heights').mozgaration_fixed_rows("reset"); 
		}, 700);			
	});		
   


	/* ******************************************************************************* 

		MASONRY LAYOUTS

	********************************************************************************** */  

	$.fn.mozgaration_run_masonry_isotope = function(options) {
		
		$(this).each(function(){
			var $container = $(this);
 

		var $filter_navigation = $('[data-list-id="'+$(this).attr("id")+'"]'),
				isotope = function () {
					$container.isotope({
						resizable: true,
						itemSelector: '.isotope-item',
						layoutMode:'packery',
						percentPosition: true,
					});
				};
				isotope();
 
				//draw the lines			
				var w = $container.width(), 
					columnNum = $container.attr("data-column-width");

				$container.mozgaration_vertical_lines({
					"w": w,
					"columnNum" : columnNum
				});

				//filter nativation
				$filter_navigation.mozgaration_filter_nav( $container );				
		});

	}; 

	$.fn.mozgaration_run_grid_isotope = function(options) {
		var $container = $(this),
			$filter_navigation = $(".filter-holder"),
			isotope = function () {
				$container.isotope({
					resizable: false,
					itemSelector: '.col',
					layoutMode:'packery'
				});
			};
		isotope();

		//filter nativation
		$filter_navigation.mozgaration_filter_nav( $container );

	}; 

	//a function for drawing vertical lines to masonry layouts
	$.fn.mozgaration_vertical_lines = function(options) {
 
		var options = $.extend({
			w: 980,
			columnNum: 3,
		}, options);


		if( $(this).find(".col:not(.col-sm-"+ 12/options["columnNum"] +")").length > 0 ){
			$(this).addClass("remove_borders");
			return;	
		}

		//clear newlines first for winresize
		$(this).find(".vertical_line").remove();

		//create new 
		var new_line = $('<div class="vertical_line"></div>');

		for (var i = 1; i < options["columnNum"]; i++) {
			new_line.clone().css({"left": ( options["w"] / options["columnNum"] ) * i + "px"}).prependTo( $(this) );
		};

	}; 

	//a function for filter navigation classes on click
	$.fn.mozgaration_filter_nav = function( $container ) {
 
		var $optionLinks = $(this).find('a');

		$optionLinks.click(function(){
			var $this = $(this),
				selector = $(this).attr('data-filter'); 

			//filter items
			$container.isotope({ filter: selector });

			// add active class to the navigation item
			if ( $this.hasClass('active') ) {
				// don't proceed if the current item already selected
				return false;
			}

			var $optionSet = $this.parents('.filter_navigation');
			$optionSet.find('.active').removeClass('active');
			$this.addClass('active');

			return false;
		}); 

	}; 


	//start isotopes
	$(window).on('mozgaration_images_loaded resize', function() {  
		$('.masonry').mozgaration_run_masonry_isotope();
		$('.border_grid.filterable').mozgaration_run_grid_isotope();
	}); 


	/* ******************************************************************************* 

		FIX IE FIXED BACKGROUND BUG

	********************************************************************************** */
		if(navigator.userAgent.match(/Trident\/7\./)) { // if IE
 
			$('body').on("mousewheel", function () {
				// remove default behavior
				event.preventDefault(); 

				//scroll without smoothing
				var wheelDelta = event.wheelDelta;
				var currentScrollPosition = window.pageYOffset;
				window.scrollTo(0, currentScrollPosition - wheelDelta);
			});
		}



	/* ******************************************************************************* 

		NO FLEXBOX
		flexbox fix for browsers like ie9

	********************************************************************************** */  

	$.fn.mozgaration_no_flexbox_column_support = function( row )
	{

		//there are many bugs so we consider no flexbox support for IE11 also
		var isIE11 = !!navigator.userAgent.match(/Trident.*rv\:11\./);
		if( isIE11 ){
			$(html).addClass("ie11-flexbox"); 
		}

		var column_alignments  =  $('.no-flexboxlegacy .content_row.full-height-row, .ie11-flexbox .content_row.full-height-row');

		//columns 		
		var $this       = row;
		var row_height  = $this.innerHeight();
		var item        = $this.find(".content_row_wrapper:eq(0)");
		var item_height = item.innerHeight();

		if( $this.hasClass("row-content-bottom") ){
			item.css({"margin-top":row_height-item_height+"px"});	
		}else if( $this.hasClass("row-content-middle") ){
			item.css({"margin-top":(row_height-item_height)/2+"px"});	
		}			
	 
	}

	$.fn.mozgaration_no_flexbox_content_support = function()
	{

		var isIE9 = !!navigator.userAgent.match(/MSIE 9/);
		if( isIE9 ){
			return;
		}
 
		var content_alignments =  $('.no-flexbox .content_row_wrapper.align-contents');

		//contents
		content_alignments.each(function(){	

			var $this      = $(this);
			var row_height = window.getComputedStyle( $this[0] , null) ;
			row_height  = parseInt(row_height.getPropertyValue("height"));

			var columns    = $this.find("> .wpb_column"); 
			
			columns.each(function(){
				var $thiscol    = $(this);
				var item_height = $thiscol.outerHeight(); 

				if( $this.hasClass("content-align-bottom") ){
					$thiscol.css({"margin-top":row_height-item_height+"px"});	
				}else if( $this.hasClass("content-align-middle") ){
					$thiscol.css({"margin-top":(row_height-item_height)/2+"px"});	
				}	

			});

		});

	}

	$(window).on('mozgaration_images_loaded resize', function() {    
		var s = setTimeout(function() {
		$.fn.mozgaration_no_flexbox_content_support();
		}, 20 );		
	});	 


	/* ******************************************************************************* 

		MOZG  Full Scrween Rows

	********************************************************************************** */

	$.fn.mozgaration_full_screen_rows = function() {
 
		$(this).each(function(){
				var $this = $(this),
					window_height = $(window).height(),
					wp_admin_bar_height = $("#wpadminbar").outerHeight(),
					offset = $this.offset().top;	 

 				if( offset < window_height ){
 					$this.css({"min-height": window_height - offset +"px" }); 
 				}else{
 					$this.css({"min-height": window_height +"px" }); 
 				}

 				$.fn.mozgaration_no_flexbox_column_support( $this );
		}); 

	}; 

	$('.full-height-row').mozgaration_full_screen_rows(); 		 	
	$(window).on('window_width_resize', function() {  		 
		$('.full-height-row').mozgaration_full_screen_rows(); 		 	
	});


	/* ******************************************************************************* 

		ANIMATE COLUMNS

	********************************************************************************** */ 
	$.fn.mozgaration_col_animations = function()
	{
		$(this).each(function(){
			$(this).waypoint(function(direction) { 
				if (direction === 'down') {

					var timer = 0.1;
					$(this).find(".wpb_column").each(function(){

						timer = timer+0.15;

						$(this).css({
							opacity:1,
							transition: 'opacity 0.4s ease-in '+parseFloat(timer).toFixed(2)+'s'
						});
					});

				}
			}, { offset: '95%', triggerOnce: true });
		});
	}

	$(".animate-cols > .content_row_wrapper").mozgaration_col_animations();  



	/* ******************************************************************************* 

		REVSLIDER PAUSE / RESUME

	***********************************************************************************/ 
 
	if( ! $.fn.mozgaration_rev_control ){

		$.fn.mozgaration_rev_control = function(action)
		{ 
			$(".rev_slider_wrapper").each(function(){							
				var $this = $(this);
				var id_array = $this.attr("id").split("_");
				var id = id_array[2];
				
				if(action == "pause"){
					$.globalEval( 'revapi'+id+'.revpause();' );
				}else{
				 	$.globalEval( 'revapi'+id+'.revresume();' );
				 	$.globalEval( 'revapi'+id+'.revredraw();' );
				}

			});	
		};
	}

	/* ******************************************************************************* 

		TOGGLE MOBILE MENU

	***********************************************************************************/ 
	function mozgaration_toggle_mobile_menu(menu_button){
		menu_button.toggleClass("icon-menu icon-menu-outline");
		$("body").toggleClass("mobile-menu-active");			
	}

	//on menu button click
	$(".mobile-menu-button").on("click",function() {
		mozgaration_toggle_mobile_menu($(this));
		return false;
	});

	//on right side click
	$("#right_side").on('touchstart click', function(e) {
		if( $("body").hasClass("mobile-menu-active") ){
			mozgaration_toggle_mobile_menu($(".mobile-menu-button"));
			return false;
		}
	});

	$(window).on('window_width_resize load', function() {     
		
		if($.fn.is_mobile_menu()){
			$("body").addClass("mobile-menu");
		}else{
			$("body").removeClass("mobile-menu");
			$("body").removeClass("mobile-menu-active");
		}
 
		if( Modernizr.touch && is_layout1 ){
			$("body").addClass("mobile-menu");
			return false;
		}

	});



	/* ******************************************************************************* 

		MOBILE DROP DOWN MENU

	********************************************************************************** */

	if( ! $.fn.mozgaration_mobile_drop_down ){

		$.fn.mozgaration_mobile_drop_down = function()
		{ 

			$(this).on("click",function(e){

				if( ! $("body").hasClass("mobile-menu") ){
					return ;
				}

				var $this = $(this);				

				if( ! $this.hasClass("menu-item-has-children") || e.pageX - $this.position().left < 225){
					return ;
				}
				
				e.preventDefault();

				$this.toggleClass("current-menu-item");

				return false;

			});

		};
	}

	$(window).on('load', function() {  
		$('#navigation li').mozgaration_mobile_drop_down();
	});

	/* ******************************************************************************* 

		STICKY HEADER

	********************************************************************************** */

		if( ! $.fn.mozgaration_sticky_header ){

			$.fn.mozgaration_sticky_header = function()
			{

					if( $(this).length == 0 ){
						return;
					}

					var header = $(this);
					var site_logo = $(".site-logo, .site-logo img");
					var site_name = $(".site-logo .sitename > a");
					var main_content = $("#container");

					if( Modernizr.touch || $.fn.is_mobile_menu() ){
						header.removeClass( "stuck" );
						main_content.removeAttr("style");
						site_logo.removeAttr("style");
						return;
					}

					var header_right = $(".header-right");
					var navigation_bar_height = header.outerHeight();
					var header_top_position = header.position().top;
					var wp_admin_bar_height = $("#wpadminbar").outerHeight();
					var top_distance = ( header.position().top - wp_admin_bar_height ) + navigation_bar_height ;

					if( header.length > 0 ){

						//scroll function
						$(window).scroll(function(event) {

							if( $.fn.is_mobile_menu() ){
								return;
							}

							var y = $(window).scrollTop();

							if( y > top_distance ){
								header.addClass( "stuck" );
								main_content.css({"padding-top":top_distance +"px"});
								site_logo.css({"max-height":header_right.height()+"px"});
								site_name.css({"line-height":header_right.height()+"px",padding:"0"});
							}else{
								header.removeClass( "stuck" );
								main_content.removeAttr("style");
								site_logo.removeAttr("style");
								site_name.removeAttr("style");
							}
						});
					}

			};

		}

		$(window).on('window_width_resize load', function() {
			$(".sticky.top-header").mozgaration_sticky_header();
		});

	/* ******************************************************************************* 

		HORIZONTAL HEADER ELEMENTS 

	***********************************************************************************/ 
	$(window).on('window_width_resize load', function() {    
		
		if( $.fn.is_mobile_menu() ){
			var nav_height = $(".header-right").outerHeight();
			$(".header-elements").css({"min-height":nav_height+"px"});
		}else{
			$(".header-elements").css({"min-height":"auto"});
		}
	});

	/* ******************************************************************************* 

		DROP DOWN MENU

	********************************************************************************** */

	if( ! $.fn.mozgaration_drop_down ){

		$.fn.mozgaration_drop_down = function()
		{ 

			if( $.fn.is_mobile_menu() ){
				return ;
			}

			var $this = $(this);				

			$this.each(function(){

					var menu_items_with_sub = $(this).find(".menu-item-has-children"),
						max_depth = 0;

					menu_items_with_sub.each(function(){
						max_depth = Math.max( max_depth, $(this).data("depth") ); 
					});

					if( ! is_rtl ){

						if( window_width < $(this).offset().left + ( ( max_depth + 1 ) * 240 ) ){
							$(this).addClass("o-direction");
						}					

					}else{

						if( 0 > ( $(this).offset().left - ( ( max_depth + 1 ) * 240 ) ) ){
							$(this).addClass("o-direction");
						}
					}
			});  

		};
	}

	$("#navigation > li:not(.multicolumn).menu-item-has-children").mozgaration_drop_down();

	/* ******************************************************************************* 

		FIXED FOOOTERS

	********************************************************************************** */  

	if( ! $.fn.mozgaration_fixed_footers ){

		$.fn.mozgaration_fixed_footers = function()
		{ 

			var footer = $(this),
				header = $(".top-header"),
				main_content = $("#main_content"),
				sub_page_header = $(".sub_page_header"),
				wp_admin_bar = $("#wpadminbar"),
				footer_height = footer.outerHeight(true);

			if ( Modernizr.touch ) {
				footer.removeClass( "fixed_footer" );
				return ;
			}			

			if( 
				$(window).height() - ( header.outerHeight() + header.position().top + wp_admin_bar.outerHeight() + sub_page_header.outerHeight() ) < footer_height 
				|| main_content.height() - 160 < footer_height 
				|| $("body").outerHeight() - $(window).height() < footer_height
			){
				footer.removeClass( "fixed_footer" );
				main_content.css( { "margin-bottom" : "0px" });
			}else{
				footer.addClass( "fixed_footer" );
				main_content.css( { "margin-bottom" : footer_height +"px" });				
			}
		};
	}

	if ( $.fn.mozgaration_fixed_footers ) {  

		$(window).on('mozgaration_pace_done resize', function() {  	
			$('[data-footer="fixed_footer"]').mozgaration_fixed_footers();
		}); 		
	}

	/* ******************************************************************************* 

		TOOLS MENU

	********************************************************************************** */  
	
	$("#tools > ul:first-child > li > span").on("click",function(e){

		if( ! $(this).hasClass("active") ){
			$(this).addClass("active");
			$("#tools > ul:last-child").addClass("active");
		}else{
			$(this).removeClass("active");
			$("#tools > ul:last-child").removeClass("active");
		}

	});

	/* ******************************************************************************* 

		WOOCOMMERCE FLYING ADDED TO CAMOZG  ITEM

	********************************************************************************** */  
 
	if ( ! $.fn.mozgaration_flying_cart ) {  

		$.fn.mozgaration_flying_cart = function()
		{ 

			if( typeof wc_camozgaration_fragments_params == 'undefined' ){
				return ;
			}

			if( $(".product_holder.woocommerce").length == 0 || $("#tools").length == 0 ){
				return ;
			}

			$( '.add_to_camozgaration_button' ).on( 'click', function() {

				var $this = $(this),
					y = $(this).offset().top,
					x = $(this).offset().left,
					number = $("#tools .cart .number"),
					ty = number.offset().top,
					tx = number.offset().left

				//freeze scroll
				$("body").css({"overflow":"hidden"});
				var unfreeze = setTimeout(function(){ $("body").css({"overflow":"visible"}); }, 5000);
				
				//bind to added_to_cart
				$( 'body' ).bind( 'added_to_cart',  function() {

					var img_src = $this.parents(".product_item_holder").find(".featured_image img").attr("src"),
						img_holder = $('<div></div>');

						img_holder.css({
							"background-image" : "url("+img_src+")",
							"background-size" : "cover",
							"background-repeat" : "no-repeat",
							"background-position" : "center center",
							"border-radius" : "50%",
							"width" : "0px",
							"height" : "0px",
							"position" : "absolute",
							"z-index" : 9999999
						});

						img_holder.prependTo("body");		 				

						img_holder.css({
								"opacity": 0,
								"top": y+"px",
								"left": x+"px",
							}).animate({
								"opacity": 1,
								"width": "150px",
								"height": "150px"
							},500).animate({
								"top": +ty+"px",
								"left": +tx+"px",
								"padding": "0",
								"width": "18px",
								"height": "18px"		
							},700).animate({
								"opacity": 0
							},400,function(){
								img_holder.remove();

							//fix left side
							if( is_layout1 ){
								$.fn.mozgaration_left_height();
								$(window).trigger("scroll"); 
							}
							
							$("body").css({"overflow":"visible"});
							clearTimeout(unfreeze);
					
						});						
						$(this).unbind('added_to_cart');
				});

			});

		}
	} 
 
	$.fn.mozgaration_flying_cart();

    jQuery('.mozgaration-md-trigger').click(function(){
							var _id = jQuery(this).data('id');
							jQuery('#mymodal-'+_id).prependTo("body");
							jQuery('#mymodal-'+_id).show();
							jQuery('#modal-'+_id).addClass("md-show");
							jQuery('#overlay-'+_id).addClass("active");//.prependTo("body")
							return false;
						});
		jQuery('.mozgaration-md-overlay').click(function(){
							var _id = jQuery(this).data('id');
							jQuery('#modal-'+_id).removeClass("md-show");
							jQuery(this).removeClass("active");
							return false;
						});
		jQuery('.mozgaration-modal-close').click(function(){
							var _id = jQuery(this).data('id');
							jQuery('#modal-'+_id).removeClass("md-show");
							jQuery('#overlay-'+_id).removeClass("active");
							return false;
						});

})(jQuery); 

(function($){$.easyPieChart=function(el,options){var addScaleLine,animateLine,drawLine,easeInOutQuad,rAF,renderBackground,renderScale,renderTrack,_this=this;this.el=el;this.$el=$(el);this.$el.data("easyPieChart",this);this.init=function(){var percent,scaleBy;_this.options=$.extend({},$.easyPieChart.defaultOptions,options);percent=parseInt(_this.$el.data('percent'),10);_this.percentage=0;_this.canvas=$("<canvas width='"+_this.options.size+"' height='"+_this.options.size+"'></canvas>").get(0);_this.$el.append(_this.canvas);if(typeof G_vmlCanvasManager!=="undefined"&&G_vmlCanvasManager!==null){G_vmlCanvasManager.initElement(_this.canvas)}_this.ctx=_this.canvas.getContext('2d');if(window.devicePixelRatio>1){scaleBy=window.devicePixelRatio;$(_this.canvas).css({width:_this.options.size,height:_this.options.size});_this.canvas.width*=scaleBy;_this.canvas.height*=scaleBy;_this.ctx.scale(scaleBy,scaleBy)}_this.ctx.translate(_this.options.size/2,_this.options.size/2);_this.ctx.rotate(_this.options.rotate*Math.PI/180);_this.$el.addClass('easyPieChart');_this.$el.css({width:_this.options.size,height:_this.options.size,lineHeight:""+_this.options.size+"px"});_this.update(percent);return _this};this.update=function(percent){percent=parseFloat(percent)||0;if(_this.options.animate===false){drawLine(percent)}else{animateLine(_this.percentage,percent)}return _this};renderScale=function(){var i,_i,_results;_this.ctx.fillStyle=_this.options.scaleColor;_this.ctx.lineWidth=1;_results=[];for(i=_i=0;_i<=24;i=++_i){_results.push(addScaleLine(i))}return _results};addScaleLine=function(i){var offset;offset=i%6===0?0:_this.options.size*0.017;_this.ctx.save();_this.ctx.rotate(i*Math.PI/12);_this.ctx.fillRect(_this.options.size/2-offset,0,-_this.options.size*0.05+offset,1);_this.ctx.restore()};renderTrack=function(){var offset;offset=_this.options.size/2-_this.options.lineWidth/2;if(_this.options.scaleColor!==false){offset-=_this.options.size*0.08}_this.ctx.beginPath();_this.ctx.arc(0,0,offset,0,Math.PI*2,true);_this.ctx.closePath();_this.ctx.strokeStyle=_this.options.trackColor;_this.ctx.lineWidth=_this.options.lineWidth;_this.ctx.stroke()};renderBackground=function(){if(_this.options.scaleColor!==false){renderScale()}if(_this.options.trackColor!==false){renderTrack()}};drawLine=function(percent){var offset;renderBackground();_this.ctx.strokeStyle=$.isFunction(_this.options.barColor)?_this.options.barColor(percent):_this.options.barColor;_this.ctx.lineCap=_this.options.lineCap;_this.ctx.lineWidth=_this.options.lineWidth;offset=_this.options.size/2-_this.options.lineWidth/2;if(_this.options.scaleColor!==false){offset-=_this.options.size*0.08}_this.ctx.save();_this.ctx.rotate(-Math.PI/2);_this.ctx.beginPath();_this.ctx.arc(0,0,offset,0,Math.PI*2*percent/100,false);_this.ctx.stroke();_this.ctx.restore()};rAF=(function(){return window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||function(callback){return window.setTimeout(callback,1000/60)}})();animateLine=function(from,to){var anim,startTime;_this.options.onStart.call(_this);_this.percentage=to;Date.now||(Date.now=function(){return+(new Date)});startTime=Date.now();anim=function(){var currentValue,process;process=Date.now()-startTime;if(process<_this.options.animate){rAF(anim)}_this.ctx.clearRect(-_this.options.size/2,-_this.options.size/2,_this.options.size,_this.options.size);renderBackground.call(_this);currentValue=[easeInOutQuad(process,from,to-from,_this.options.animate)];_this.options.onStep.call(_this,currentValue);drawLine.call(_this,currentValue);if(process>=_this.options.animate){return _this.options.onStop.call(_this,currentValue,to)}};rAF(anim)};easeInOutQuad=function(t,b,c,d){var easeIn,easing;easeIn=function(t){return Math.pow(t,2)};easing=function(t){if(t<1){return easeIn(t)}else{return 2-easeIn((t/2)*-2+2)}};t/=d/2;return c/2*easing(t)+b};return this.init()};$.easyPieChart.defaultOptions={barColor:'#ef1e25',trackColor:'#f2f2f2',scaleColor:'#dfe0e0',lineCap:'round',rotate:0,size:110,lineWidth:3,animate:false,onStart:$.noop,onStop:$.noop,onStep:$.noop};$.fn.easyPieChart=function(options){return $.each(this,function(i,el){var $el,instanceOptions;$el=$(el);if(!$el.data('easyPieChart')){instanceOptions=$.extend({},options,$el.data());return $el.data('easyPieChart',new $.easyPieChart(el,instanceOptions))}})};return void 0})(jQuery); 
(function(d){var p={},e,a,h=document,i=window,f=h.documentElement,j=d.expando;d.event.special.inview={add:function(a){p[a.guid+"-"+this[j]]={data:a,$element:d(this)}},remove:function(a){try{delete p[a.guid+"-"+this[j]]}catch(d){}}};d(i).bind("scroll resize",function(){e=a=null});!f.addEventListener&&f.attachEvent&&f.attachEvent("onfocusin",function(){a=null});setInterval(function(){var k=d(),j,n=0;d.each(p,function(a,b){var c=b.data.selector,d=b.$element;k=k.add(c?d.find(c):d)});if(j=k.length){var b;if(!(b=e)){var g={height:i.innerHeight,width:i.innerWidth};if(!g.height&&((b=h.compatMode)||!d.support.boxModel))b="CSS1Compat"===b?f:h.body,g={height:b.clientHeight,width:b.clientWidth};b=g}e=b;for(a=a||{top:i.pageYOffset||f.scrollTop||h.body.scrollTop,left:i.pageXOffset||f.scrollLeft||h.body.scrollLeft};n<j;n++)if(d.contains(f,k[n])){b=d(k[n]);var l=b.height(),m=b.width(),c=b.offset(),g=b.data("inview");if(!a||!e)break;c.top+l>a.top&&c.top<a.top+e.height&&c.left+m>a.left&&c.left<a.left+e.width?(m=a.left>c.left?"right":a.left+e.width<c.left+m?"left":"both",l=a.top>c.top?"bottom":a.top+e.height<c.top+l?"top":"both",c=m+"-"+l,(!g||g!==c)&&b.data("inview",c).trigger("inview",[!0,m,l])):g&&b.data("inview",!1).trigger("inview",[!1])}}},250)})(jQuery);
(function($){$.easing.jswing=$.easing.swing;$.extend($.easing,{def:"easeOutQuad",swing:function(e,f,a,h,g){return $.easing[$.easing.def](e,f,a,h,g)},easeInQuad:function(e,f,a,h,g){return h*(f/=g)*f+a},easeOutQuad:function(e,f,a,h,g){return -h*(f/=g)*(f-2)+a},easeInOutQuad:function(e,f,a,h,g){if((f/=g/2)<1){return h/2*f*f+a}return -h/2*((--f)*(f-2)-1)+a},easeInCubic:function(e,f,a,h,g){return h*(f/=g)*f*f+a},easeOutCubic:function(e,f,a,h,g){return h*((f=f/g-1)*f*f+1)+a},easeInOutCubic:function(e,f,a,h,g){if((f/=g/2)<1){return h/2*f*f*f+a}return h/2*((f-=2)*f*f+2)+a},easeInQuart:function(e,f,a,h,g){return h*(f/=g)*f*f*f+a},easeOutQuart:function(e,f,a,h,g){return -h*((f=f/g-1)*f*f*f-1)+a},easeInOutQuart:function(e,f,a,h,g){if((f/=g/2)<1){return h/2*f*f*f*f+a}return -h/2*((f-=2)*f*f*f-2)+a},easeInQuint:function(e,f,a,h,g){return h*(f/=g)*f*f*f*f+a},easeOutQuint:function(e,f,a,h,g){return h*((f=f/g-1)*f*f*f*f+1)+a},easeInOutQuint:function(e,f,a,h,g){if((f/=g/2)<1){return h/2*f*f*f*f*f+a}return h/2*((f-=2)*f*f*f*f+2)+a},easeInSine:function(e,f,a,h,g){return -h*Math.cos(f/g*(Math.PI/2))+h+a},easeOutSine:function(e,f,a,h,g){return h*Math.sin(f/g*(Math.PI/2))+a},easeInOutSine:function(e,f,a,h,g){return -h/2*(Math.cos(Math.PI*f/g)-1)+a},easeInExpo:function(e,f,a,h,g){return(f==0)?a:h*Math.pow(2,10*(f/g-1))+a},easeOutExpo:function(e,f,a,h,g){return(f==g)?a+h:h*(-Math.pow(2,-10*f/g)+1)+a},easeInOutExpo:function(e,f,a,h,g){if(f==0){return a}if(f==g){return a+h}if((f/=g/2)<1){return h/2*Math.pow(2,10*(f-1))+a}return h/2*(-Math.pow(2,-10*--f)+2)+a},easeInCirc:function(e,f,a,h,g){return -h*(Math.sqrt(1-(f/=g)*f)-1)+a},easeOutCirc:function(e,f,a,h,g){return h*Math.sqrt(1-(f=f/g-1)*f)+a},easeInOutCirc:function(e,f,a,h,g){if((f/=g/2)<1){return -h/2*(Math.sqrt(1-f*f)-1)+a}return h/2*(Math.sqrt(1-(f-=2)*f)+1)+a},easeInElastic:function(f,h,e,l,k){var i=1.70158;var j=0;var g=l;if(h==0){return e}if((h/=k)==1){return e+l}if(!j){j=k*0.3}if(g<Math.abs(l)){g=l;var i=j/4}else{var i=j/(2*Math.PI)*Math.asin(l/g)}return -(g*Math.pow(2,10*(h-=1))*Math.sin((h*k-i)*(2*Math.PI)/j))+e},easeOutElastic:function(f,h,e,l,k){var i=1.70158;var j=0;var g=l;if(h==0){return e}if((h/=k)==1){return e+l}if(!j){j=k*0.3}if(g<Math.abs(l)){g=l;var i=j/4}else{var i=j/(2*Math.PI)*Math.asin(l/g)}return g*Math.pow(2,-10*h)*Math.sin((h*k-i)*(2*Math.PI)/j)+l+e},easeInOutElastic:function(f,h,e,l,k){var i=1.70158;var j=0;var g=l;if(h==0){return e}if((h/=k/2)==2){return e+l}if(!j){j=k*(0.3*1.5)}if(g<Math.abs(l)){g=l;var i=j/4}else{var i=j/(2*Math.PI)*Math.asin(l/g)}if(h<1){return -0.5*(g*Math.pow(2,10*(h-=1))*Math.sin((h*k-i)*(2*Math.PI)/j))+e}return g*Math.pow(2,-10*(h-=1))*Math.sin((h*k-i)*(2*Math.PI)/j)*0.5+l+e},easeInBack:function(e,f,a,i,h,g){if(g==undefined){g=1.70158}return i*(f/=h)*f*((g+1)*f-g)+a},easeOutBack:function(e,f,a,i,h,g){if(g==undefined){g=1.70158}return i*((f=f/h-1)*f*((g+1)*f+g)+1)+a},easeInOutBack:function(e,f,a,i,h,g){if(g==undefined){g=1.70158}if((f/=h/2)<1){return i/2*(f*f*(((g*=(1.525))+1)*f-g))+a}return i/2*((f-=2)*f*(((g*=(1.525))+1)*f+g)+2)+a},easeInBounce:function(e,f,a,h,g){return h-$.easing.easeOutBounce(e,g-f,0,h,g)+a},easeOutBounce:function(e,f,a,h,g){if((f/=g)<(1/2.75)){return h*(7.5625*f*f)+a}else{if(f<(2/2.75)){return h*(7.5625*(f-=(1.5/2.75))*f+0.75)+a}else{if(f<(2.5/2.75)){return h*(7.5625*(f-=(2.25/2.75))*f+0.9375)+a}else{return h*(7.5625*(f-=(2.625/2.75))*f+0.984375)+a}}}},easeInOutBounce:function(e,f,a,h,g){if(f<g/2){return $.easing.easeInBounce(e,f*2,0,h,g)*0.5+a}return $.easing.easeOutBounce(e,f*2-g,0,h,g)*0.5+h*0.5+a}});})(jQuery);	
(function($){"use strict";$.fn.counterUp=function(options){var settings=$.extend({'time':400,'delay':10},options);return this.each(function(){var $this=$(this);var $settings=settings;var counterUpper=function(){var nums=[];var divisions=$settings.time/$settings.delay;var num=$this.text();var isComma=/[0-9]+,[0-9]+/.test(num);num=num.replace(/,/g,'');var isInt=/^[0-9]+$/.test(num);var isFloat=/^[0-9]+\.[0-9]+$/.test(num);var decimalPlaces=isFloat?(num.split('.')[1]||[]).length:0;for(var i=divisions;i>=1;i--){var newNum=parseInt(num/divisions*i);if(isFloat){newNum=parseFloat(num/divisions*i).toFixed(decimalPlaces)}if(isComma){while(/(\d+)(\d{3})/.test(newNum.toString())){newNum=newNum.toString().replace(/(\d+)(\d{3})/,'$1'+','+'$2')}}nums.unshift(newNum)}$this.data('counterup-nums',nums);$this.text('0');var f=function(){$this.text($this.data('counterup-nums').shift());if($this.data('counterup-nums').length){setTimeout($this.data('counterup-func'),$settings.delay)}else{delete $this.data('counterup-nums');$this.data('counterup-nums',null);$this.data('counterup-func',null)}};$this.data('counterup-func',f);setTimeout($this.data('counterup-func'),$settings.delay)};counterUpper()})}})(jQuery);
	
/*  PROGRESS
/*======================*/	
(function($){

		"use strict";

		$(".mozgaration-progress").each(function() {

			var $this = $(this);
			var line = $this.find('.bar');

			function progressLine(){

				line.each(function(){
					var $self      = $(this);
					var percentage = $self.find('.mozgaration-progress-line').data('percentage');

					$self.find('.mozgaration-progress-line').addClass('visible').width(0)
					.animate({width: percentage+'%'}, 4000, 'easeOutQuart');

					$self.find('.progress-percent').addClass('visible')
					.animate({left: percentage+'%'}, 4000, 'easeOutQuart')
					.counterUp({ delay: 10,time: 2500 });
				});
				
			}
			
			$this.one('inview', function(event, isInView, visiblePartX, visiblePartY){
			    if (isInView) {
		    		setTimeout(function(){
		    			progressLine();
		    		},250)
		    	};
		    });
				
		});

	})(jQuery);
	
/*  CIRLCE PROGRESS
/*======================*/
	
	(function($){

		"use strict";

		$('.mozgaration-circle-progress').each(function(){

			var $self = $(this);
			var circleP = $self.find(".mozgaration-circle");

			function circleProgress(){

				circleP.each(function(){

					var $this      = $(this).animate({'opacity':'1'}, 300),
						child      = $this.find('.circle'),
						parent     = $this.parent(),
						trackColor = child.data('track'),
						barColor   = child.data('bar'),
						percent    = child.data('percent'),
						lineWidth  = 5,
						size = 180,
						title = $this.find('.title');
						title.counterUp({ delay: 10,time: 1500 });

					child.easyPieChart({
						barColor: barColor,
						trackColor: (typeof trackColor == "undefined") ? "#e0e0e0" : trackColor,
						lineCap:'square',
						lineWidth:lineWidth,
						size:size,
						animate:'1500',
						scaleColor: false
					});



				});

			}

			$self.one('inview', function(event, isInView, visiblePartX, visiblePartY){
			    	if (isInView) {
		    		setTimeout(function(){
		    			circleProgress();
		    		},200);
		    	};
		    });

		});

})(jQuery);	