<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


/**
 * Create options
 */
$this->options["mozgaration_color_schemas"] = array(
		'title' => __("Styling Options", "mozgaration"),
		//'description' => __("Color Schemas Desc", "mozgaration"),
		'priority'=> 2,
		'sections' => array(

							array(
								'id'       => 'layout',
								'title'    => __("Design Options", "mozgaration"),
								"description" => __('Header layout is the main design element of the theme. There are many design elements and css files depends this option. Use the settigns inside the "Styling Options" such as Header Options, Logo Box, Main Navigation and Shortcut Buttons in order to customize the header design. Since all the header designs follows the same settings, when you switch between the header layouts it may not be look as the demo. You can apply the default settings by using the button below.','mozgaration'),
								'controls' => array(

													array(
														"id"          => MOZGARATION_THEMESLUG."_layout",
														"label"       => __("Select Header Layout",'mozgaration'),
														'description' => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"layout1" => __("Layout 1 - Vertical Navigation","mozgaration"),
																			"layout2" => __("Layout 2 - Horizontal Navigation (Style One)","mozgaration"),
																			"layout3" => __("Layout 3 - Horizontal Navigation (Style Two)","mozgaration"),
																		),
														"type"    => "select",
														"default" => "layout1",
														"mozgaration_skin" => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_default_header_settings",
														"label"       => __("Default Header Settings",'mozgaration'),
														"description" => esc_html__('In order to apply some part of the header related default settings of the selected header layout, you can use the button below. This tool is only useful when you switch to another header. To apply an entire skin as seen on the demo site, use the Styling Options > Pre-Made Skins','mozgaration').'<br /><br /><span id="mozgaration-header-defaults" class="button-secondary mozgaration-skin-selector" tabindex="0">'.esc_html__('Apply defaults','mozgaration').'</span>',
														"type"        => "mozgaration_seperator"
													),

											),
							),

							array(
								'id'       => 'content_rows',
								'title'    => __("Content Rows", "mozgaration"),
								'controls' => array(

													array(
														"id"          => MOZGARATION_THEMESLUG."_default_content_row_width",
														"label"       => __("Default Content Holder Width",'mozgaration'),
														"description" => __("Select a globally width for the content rows.",'mozgaration'),
														"transport"   => "refresh",
														"choices"     => array(
																			"default" => __("Content Width","mozgaration"),
																			"fullwidth" => __("Full Width","mozgaration"),
																		),
														"type"    => "select",
														"default" => "default",
														"mozgaration_skin" => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_default_content_alignment",
														"label"       => __("Content Align",'mozgaration'),
														"description" => __("Select a globally content alignment for the content rows. Works with only full width rows.",'mozgaration'),
														"transport"   => "refresh",
														"choices"     => array(
																			"default" => __("Default","mozgaration"),
																			"center" => __("Centered","mozgaration"),
																		),
														"type"    => "select",
														"default" => "default",
														"mozgaration_skin" => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_overlapped_firt_row",
														"label"       => __("Overlapped First Row",'mozgaration'),
														"description" => __("Makes the first row overlapped to the sub-header area. Works with only 'Content Width' rows.",'mozgaration'),
														"transport"   => "refresh",
														"choices"     => array(
																			"true" => __("Enabled","mozgaration"),
																			"false" => __("Disabled","mozgaration"),
																		),
														"type"    => "select",
														"default" => "true",
														"mozgaration_skin" => true
													),

											),
							),

							array(
								'id'       => 'body',
								'title'    => __("Body", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector="body" href="#" title="'.__('Blink the body in the current page','mozgaration').'"></a>'. __('Following settings will be applied to the page body. Remember if your have solid background color or image set for left and right sides, the body will be covered by them.',"mozgaration"),
								'controls' => array(

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_seperator1",
														"label"       => "",
														"description" => __('Video Background','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_background_video_mp4",
														"label"       => __("MP4 file",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "",
														"description" => __("MP4 File URL",'mozgaration'),
														"type"        => "mozgaration_media",
														"mozgaration_skin"     => true
												 	),

													array(
														"id"          => MOZGARATION_THEMESLUG."_background_video_webm",
														"label"       => __("WEBM file",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "",
														"description" => __("WEBM File URL",'mozgaration'),
														"type"        => "mozgaration_media",
														"mozgaration_skin"     => true
													),

 													array(
														"id"          => MOZGARATION_THEMESLUG."_body_seperator2",
														"label"       => "",
														"description" => __('Classic Background','mozgaration'),
														"type"        => "mozgaration_seperator"
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_body_background_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#fff",
														"type"        => "color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_background_image_url",
														"label"       => __("Background Image",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"     => "",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_background_position",
														"label"       => __("Position",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"right top"     => __("Right Top","mozgaration"),
																			"right center"  => __("Right Center","mozgaration"),
																			"right bottom"  => __("Right Bottom","mozgaration"),
																			"left top"      => __("Left Top","mozgaration"),
																			"left center"   => __("Left Center","mozgaration"),
																			"left bottom"   => __("Left Bottom","mozgaration"),
																			"center top"    => __("Center Top","mozgaration"),
																			"center center" => __("Center Center","mozgaration"),
																			"center bottom" => __("Center Bottom","mozgaration"),
																		),
														"type" => "select",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_background_attachment",
														"label"       => __("Attachment",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array("scroll" =>__("Scroll","mozgaration"), "fixed"  =>__("Fixed","mozgaration")),
														"type"        => "radio",
														"default"     => "scroll",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_background_repeat",
														"label"       => __("Repeat",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"repeat"       => __("Tile","mozgaration"),
																		"repeat-x"     => __("Tile Horizontally","mozgaration"),
																		"repeat-y"     => __("Tile Vertically","mozgaration"),
																		"no-repeat"    => __("No Repeat","mozgaration"),
																		),
														"type"    => "radio",
														"default" => "repeat",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_background_size",
														"label"       => __("Background Size",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"auto auto" => __("Auto","mozgaration"),
																		"cover" => __("Cover","mozgaration"),
																		"contain" => __("Contain","mozgaration"),
																		"100% auto" => __("100%","mozgaration"),
																		"50% auto" => __("50%","mozgaration"),
																		"25% auto" => __("25%","mozgaration"),
																		),
														"default" => "auto auto",
														"type"    => "select",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_row_seperator",
														"label"       => "",
														"description" => __('Mobile Devices','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_background_attachment_mobile",
														"label"       => __("Attachment",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array("scroll" =>__("Scroll","mozgaration"), "fixed"  =>__("Fixed","mozgaration")),
														"type"        => "radio",
														"default"     => "scroll",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_seperator",
														"label"       => "",
														"description" => __('Body Margins','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_margin_top",
														"label"       => __("Body Top Margin (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "",
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
												 	),

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_margin_bottom",
														"label"       => __("Body Bottom Margin (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "",
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													)

											),
							),

							array(
								'id'       => 'left',
								'title'    => __("Left Side", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector="#left_side" href="#" title="'.__('Blink the left side in the current page','mozgaration').'"></a>'. __('Use following settings to customize the left side of your website.',"mozgaration"),
								'controls' => array(

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_side_shadow",
														"label"       => __("Shadow",'mozgaration'),
														"description" => "Add a shadow to the left side",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_side_width",
														"label"       => __("Left Side Width (% Percent)",'mozgaration'),
														"description" => __('Customize the widht of the left area. The default value is 30%. Please note: There is a minumum width for the sidebar which is 290px.','mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 20,
														"input_attrs" => array("min"=>10,"max"=>100),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_side_content_align",
														"label"       => __("Left content alignment",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"default" => __("Default","mozgaration"),
																			"center"  => __("Center","mozgaration"),
																		),
														"type"    => "select",
														"default" => "center",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_row_seperator_1",
														"label"       => "",
														"description" => __('Paddings','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_top_padding",
														"label"       => __("Top Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 0,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_row_seperator_2",
														"label"       => "",
														"description" => __('Background','mozgaration'),
														"type"        => "mozgaration_seperator"
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_left_background_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#222222",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_background_image_url",
														"label"       => __("Background Image",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "http://business.mozgaration.ru/wp-content/themes/mozgaration/images/skin1/left-blok.jpg",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_background_parallax_effect",
														"label"       => __("Parallax Effect",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "on",
														"type"        => "checkbox",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_background_position",
														"label"       => __("Position",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"right top"     => __("Right Top","mozgaration"),
																			"right center"  => __("Right Center","mozgaration"),
																			"right bottom"  => __("Right Bottom","mozgaration"),
																			"left top"      => __("Left Top","mozgaration"),
																			"left center"   => __("Left Center","mozgaration"),
																			"left bottom"   => __("Left Bottom","mozgaration"),
																			"center top"    => __("Center Top","mozgaration"),
																			"center center" => __("Center Center","mozgaration"),
																			"center bottom" => __("Center Bottom","mozgaration"),
																		),
														"type" => "select",
														"default" => "left top",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_background_repeat",
														"label"       => __("Repeat",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"repeat"    => __("Tile","mozgaration"),
																			"repeat-x"  => __("Tile Horizontally","mozgaration"),
																			"repeat-y"  => __("Tile Vertically","mozgaration"),
																			"no-repeat" => __("No Repeat","mozgaration"),
																		),
														"type"    => "radio",
														"default" => "no-repeat",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_background_size",
														"label"       => __("Background Size",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"auto auto" => __("Auto","mozgaration"),
																			"cover"     => __("Cover","mozgaration"),
																			"contain"   => __("Contain","mozgaration"),
																			"100% auto" => __("100%","mozgaration"),
																			"50% auto"  => __("50%","mozgaration"),
																			"25% auto"  => __("25%","mozgaration"),
																		),
														"default" => "cover",
														"type"    => "select",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_left_row_seperator_3",
														"label"       => "",
														"description" => __('Mobile Devices','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_body_background_attachment_mobile",
														"label"       => __("Attachment",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array("scroll" =>__("Scroll","mozgaration"), "fixed"  =>__("Fixed","mozgaration")),
														"type"        => "radio",
														"default"     => "scroll",
														"mozgaration_skin"     => true
													),

											),
							),

							array(
								'id'       => 'right',
								'title'    => __("Center Side", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector="#right_side" href="#" title="'.__('Blink the center side in the current page','mozgaration').'"></a>'. __('Use following settings to customize the center side of your website.',"mozgaration"),
								'controls' => array(

													array(
														"id"          => MOZGARATION_THEMESLUG."_right_top_padding",
														"label"       => __("Top Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "0",
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_right_background_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_right_background_image_url",
														"label"       => __("Background Image",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_right_background_position",
														"label"       => __("Position",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"right top"     => __("Right Top","mozgaration"),
																			"right center"  => __("Right Center","mozgaration"),
																			"right bottom"  => __("Right Bottom","mozgaration"),
																			"left top"      => __("Left Top","mozgaration"),
																			"left center"   => __("Left Center","mozgaration"),
																			"left bottom"   => __("Left Bottom","mozgaration"),
																			"center top"    => __("Center Top","mozgaration"),
																			"center center" => __("Center Center","mozgaration"),
																			"center bottom" => __("Center Bottom","mozgaration"),
																		),
														"type"    => "select",
														"mozgaration_skin" => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_right_background_attachment",
														"label"       => __("Attachment",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array("scroll" =>__("Scroll","mozgaration"), "fixed"  =>__("Fixed","mozgaration")),
														"type"        => "radio",
														"default"     => "scroll",
														"mozgaration_skin"   => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_right_background_repeat",
														"label"       => __("Repeat",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"repeat"       => __("Tile","mozgaration"),
																		"repeat-x"     => __("Tile Horizontally","mozgaration"),
																		"repeat-y"     => __("Tile Vertically","mozgaration"),
																		"no-repeat"    => __("No Repeat","mozgaration"),
																		),
														"type"    => "radio",
														"default" => "repeat",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_right_background_size",
														"label"       => __("Background Size",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"auto auto" => __("Auto","mozgaration"),
																		"cover" => __("Cover","mozgaration"),
																		"contain" => __("Contain","mozgaration"),
																		"100% auto" => __("100%","mozgaration"),
																		"50% auto" => __("50%","mozgaration"),
																		"25% auto" => __("25%","mozgaration"),
																		),
														"default" => "auto auto",
														"type"    => "select",
														"mozgaration_skin"   => true
													),


											),
							),
                            
							array(
								'id'       => 'rightfix',
								'title'    => __("Right Side", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector="#right-fix" href="#" title="'.__('Blink the right side in the current page','mozgaration').'"></a>'. __('Use following settings to customize the right side of your website.',"mozgaration"),
								'controls' => array(
                                                    
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_side_show",
														"label"       => __("Hidden",'mozgaration'),
														"description" => "Hiden right side",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"   => true
													),
													
													
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_row_seperator_1",
														"label"       => "",
														"description" => __('Right side styling','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_top_padding",
														"label"       => __("Top Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 0,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_background_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#7fa405",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_background_image_url",
														"label"       => __("Background Image",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_background_position",
														"label"       => __("Position",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"right top"     => __("Right Top","mozgaration"),
																			"right center"  => __("Right Center","mozgaration"),
																			"right bottom"  => __("Right Bottom","mozgaration"),
																			"left top"      => __("Left Top","mozgaration"),
																			"left center"   => __("Left Center","mozgaration"),
																			"left bottom"   => __("Left Bottom","mozgaration"),
																			"center top"    => __("Center Top","mozgaration"),
																			"center center" => __("Center Center","mozgaration"),
																			"center bottom" => __("Center Bottom","mozgaration"),
																		),
														"type"    => "select",
														"default"	=> "right top",
														"mozgaration_skin" => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_background_attachment",
														"label"       => __("Attachment",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array("scroll" =>__("Scroll","mozgaration"), "fixed"  =>__("Fixed","mozgaration")),
														"type"        => "radio",
														"default"     => "scroll",
														"mozgaration_skin"   => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_background_repeat",
														"label"       => __("Repeat",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"repeat"       => __("Tile","mozgaration"),
																		"repeat-x"     => __("Tile Horizontally","mozgaration"),
																		"repeat-y"     => __("Tile Vertically","mozgaration"),
																		"no-repeat"    => __("No Repeat","mozgaration"),
																		),
														"type"    => "radio",
														"default" => "repeat",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_background_size",
														"label"       => __("Background Size",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"auto auto" => __("Auto","mozgaration"),
																		"cover" => __("Cover","mozgaration"),
																		"contain" => __("Contain","mozgaration"),
																		"100% auto" => __("100%","mozgaration"),
																		"50% auto" => __("50%","mozgaration"),
																		"25% auto" => __("25%","mozgaration"),
																		),
														"default" => "auto auto",
														"type"    => "select",
														"mozgaration_skin"   => true
													),
                                                    
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_row_seperator_2",
														"label"       => "",
														"description" => __('Trigger content style','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_div_background_color",
														"label"       => __("Triggers content background color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_div_background_image_url",
														"label"       => __("Triggers content background image",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "http://business.mozgaration.ru/wp-content/themes/mozgaration/images/skin1/fon.jpg",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_row_seperator_3",
														"label"       => "",
														"description" => __('First circle style','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_trigger1_background_color",
														"label"       => __("First circle background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#83a905",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_trigger1_background_image_url",
														"label"       => __("First circle background image (280x280)",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_trigger1_top_padding",
														"label"       => __("First circle Top Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 70,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),
													
													
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_row_seperator_4",
														"label"       => "",
														"description" => __('Second circle style','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_trigger2_background_color",
														"label"       => __("Second circle background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#789a07",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_trigger2_background_image_url",
														"label"       => __("Second circle background image (280x280)",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_trigger2_top_padding",
														"label"       => __("Second circle Top Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 75,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),
													
													
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_row_seperator_6",
														"label"       => "",
														"description" => __('Buttons Color','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_button_background_color",
														"label"       => __("Button Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#1e1e1e",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_button_background_image_url",
														"label"       => __("Button Background Image",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "/wp-content/themes/mozgaration/images/skin1/redmore.png",
														"mozgaration_skin"     => true
													),

											),
							),

							
							array(
								'id'       => 'main_header',
								'title'    => __("Header", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector=".header-elements" href="#" title="'.__('Blink main header in the current page. ','mozgaration').'"></a>'. __('Use following settings to customize the header section of your website.',"mozgaration"),
								'controls' => array(


													array(
														"id"          => MOZGARATION_THEMESLUG."_sticky_header",
														"label"       => __("Sticky Header",'mozgaration'),
														"description" =>  __("If checked the main header will stick to the top of the browser window while scrolling down through the page content.",'mozgaration'),
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_overlapped_header",
														"label"       => esc_html_x("Overlapped Header",'Admin Panel','mozgaration'),
														"description" => esc_html_x("If checked the main header will be overlapped onto the next content.",'Admin Panel','mozgaration'),
														"transport"   => "refresh",
														"default"     => false,
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_height",
														"label"       => __("Header Height (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 100,
														"input_attrs" => array("min"=>60,"max"=>500),
														"mozgaration_skin"     => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_seperator_1",
														"label"       => __('Paddings','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_padding_top",
														"label"       => __("Top Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 40,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_padding_bottom",
														"label"       => __("Bottom Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 40,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_border_seperator",
														"label"       => __('Border','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_border_size",
														"label"       => __("Bottom Border (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 0,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_border_color",
														"label"       => __("Bottom Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_element_border_color",
														"label"       => __("Element Divider Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_seperator_2",
														"label"       => __('Widths','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_row_background_width",
														"label"       => __("Header Bar Width",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"fullwidth" => __("Full Width","mozgaration"),
																			"default"   => __("Default","mozgaration"),
																		),
														"type"    => "select",
														"default" => "fullwidth",
														"mozgaration_skin" => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_row_content_width",
														"label"       => __("Header Bar Content Width",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"fullwidth" => __("Full Width","mozgaration"),
																			"default"   => __("Default","mozgaration"),
																		),
														"type"    => "select",
														"default" => "default",
														"mozgaration_skin" => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_seperator_3",
														"label"       => __('Header Background','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_row_bg_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#2a2a2a",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_row_bg_image",
														"label"       => __("Background Image",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_row_bg_position",
														"label"       => __("Position",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"right top"     => __("Right Top","mozgaration"),
																			"right center"  => __("Right Center","mozgaration"),
																			"right bottom"  => __("Right Bottom","mozgaration"),
																			"left top"      => __("Left Top","mozgaration"),
																			"left center"   => __("Left Center","mozgaration"),
																			"left bottom"   => __("Left Bottom","mozgaration"),
																			"center top"    => __("Center Top","mozgaration"),
																			"center center" => __("Center Center","mozgaration"),
																			"center bottom" => __("Center Bottom","mozgaration"),
																		),
														"type"    => "select",
														"mozgaration_skin" => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_row_bg_attachment",
														"label"       => __("Attachment",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array("scroll" =>__("Scroll","mozgaration"), "fixed"  =>__("Fixed","mozgaration")),
														"type"        => "radio",
														"default"     => "scroll",
														"mozgaration_skin"   => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_row_bg_image_repeat",
														"label"       => __("Repeat",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"repeat"       => __("Tile","mozgaration"),
																		"repeat-x"     => __("Tile Horizontally","mozgaration"),
																		"repeat-y"     => __("Tile Vertically","mozgaration"),
																		"no-repeat"    => __("No Repeat","mozgaration"),
																		),
														"type"    => "radio",
														"default" => "repeat",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_row_bg_size",
														"label"       => __("Background Size",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"auto auto" => __("Auto","mozgaration"),
																		"cover" => __("Cover","mozgaration"),
																		"contain" => __("Contain","mozgaration"),
																		"100% auto" => __("100%","mozgaration"),
																		"50% auto" => __("50%","mozgaration"),
																		"25% auto" => __("25%","mozgaration"),
																		),
														"default" => "auto auto",
														"type"    => "select",
														"mozgaration_skin"   => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_seperator_4",
														"label"       => __('Sticky Header Background','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sticky_header_bg_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_main_header_seperator_5",
														"label"       => __('Header Widgets','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_header_widgets_font_color",
														"label"       => __("Font Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#ffffff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

											),
							),

							array(
								'id'       => 'header',
								'title'    => __("Sub Header", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector=".sub_page_header" href="#" title="'.__('Blink sub header (if used ) in the current page. ','mozgaration').'"></a>'. __('Use following settings to customize the sub header section of your website.',"mozgaration"),
								'controls' => array(


													array(
														"id"          => MOZGARATION_THEMESLUG."_sub_header_style",
														"label"       => __("Style",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(																			
																				"default-style" => __("Default","mozgaration"),
																				"center-style"  => __("Centered","mozgaration"),
																			),
														"type"    => "select",
														"default" => "default-style",
														"mozgaration_skin" => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_hide_page_title",
														"label"       => __("Hide Page Titles",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_hide_breadcrumb_menu",
														"label"       => __("Hide Breadcrumb Menus",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_header_row_seperator",
														"label"       => "",
														"description" => __('Sub Header Bar Styling','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_header_padding_top",
														"label"       => __("Top Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 50,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_header_padding_bottom",
														"label"       => __("Bottom Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 70,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_header_shadows",
														"label"       => __("Shadow",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),

													
                                                    array(
														"id"          => MOZGARATION_THEMESLUG."_header_row_font_color",
														"label"       => __("Page Title Font Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#000000",
														"type"        => "color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_header_row_background_width",
														"label"       => __("Width",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"fullwidth" => __("Full Width","mozgaration"),
																			"default"   => __("Default","mozgaration"),
																		),
														"type"    => "select",
														"default" => "default",
														"mozgaration_skin" => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_header_row_bg_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#cccccc",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_header_row_bg_image",
														"label"       => __("Background Image",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_header_row_bg_effect",
														"label"       => __("Parallax Effect",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"parallax" => __("Enabled","mozgaration"),
																			"noparalex"  => __("Disabled","mozgaration"),
																		),
														"type"    => "select",
														"default" => "parallax",
														"mozgaration_skin" => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_header_row_bg_position",
														"label"       => __("Position",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"right top"     => __("Right Top","mozgaration"),
																			"right center"  => __("Right Center","mozgaration"),
																			"right bottom"  => __("Right Bottom","mozgaration"),
																			"left top"      => __("Left Top","mozgaration"),
																			"left center"   => __("Left Center","mozgaration"),
																			"left bottom"   => __("Left Bottom","mozgaration"),
																			"center top"    => __("Center Top","mozgaration"),
																			"center center" => __("Center Center","mozgaration"),
																			"center bottom" => __("Center Bottom","mozgaration"),
																		),
														"type"    => "select",
														"default" => "right top",
														"mozgaration_skin" => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_header_row_bg_attachment",
														"label"       => __("Attachment",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array("scroll" =>__("Scroll","mozgaration"), "fixed"  =>__("Fixed","mozgaration")),
														"type"        => "radio",
														"default"     => "scroll",
														"mozgaration_skin"   => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_header_row_bg_image_repeat",
														"label"       => __("Repeat",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"repeat"       => __("Tile","mozgaration"),
																		"repeat-x"     => __("Tile Horizontally","mozgaration"),
																		"repeat-y"     => __("Tile Vertically","mozgaration"),
																		"no-repeat"    => __("No Repeat","mozgaration"),
																		),
														"type"    => "radio",
														"default" => "repeat",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_header_row_bg_size",
														"label"       => __("Background Size",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"auto auto" => __("Auto","mozgaration"),
																		"cover" => __("Cover","mozgaration"),
																		"contain" => __("Contain","mozgaration"),
																		"100% auto" => __("100%","mozgaration"),
																		"50% auto" => __("50%","mozgaration"),
																		"25% auto" => __("25%","mozgaration"),
																		),
														"default" => "auto auto",
														"type"    => "select",
														"mozgaration_skin"   => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_breadcrumb_seperator",
														"label"       => "",
														"description" => __('Breadcrumb Menu Styling','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_breadcrumb_font_color",
														"label"       => __("Breadcrumb Font Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "",
														"type"        => "color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_breadcrumb_link_color",
														"label"       => __("Breadcrumb Link Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "",
														"type"        => "color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_breadcrumb_bg_color",
														"label"       => __("Breadcrumb Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "rgba(255, 255, 255, 0.5)",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

											),
							),
                            
							array(
								'id'       => 'info_bar',
								'title'    => __("Info Bar", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector="#infobar" href="#" title="'.__('Blink Info bar in the current page. ','mozgaration').'"></a>'. __('Use following settings to customize the info bar section of your website.',"mozgaration"),
								'controls' => array(


													

													array(
														"id"          => MOZGARATION_THEMESLUG."_hide_infobar",
														"label"       => __("Hidden",'mozgaration'),
														"description" => "Hiden Info Bar",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"   => true
													),

                                                    array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_height",
														"label"       => __("Info Bar Height (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 80,
														"input_attrs" => array("min"=>60,"max"=>500),
														"mozgaration_skin"     => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_seperator_1",
														"label"       => __('Paddings','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_vertical_padding",
														"label"       => __("Vertical Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 15,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													

													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_seperator_2",
														"label"       => __('Icon Styling','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_icon_size",
														"label"       => __("Icons Size (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 30,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_icon_color",
														"label"       => __("Icons Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#fac200",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													
													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_seperator_3",
														"label"       => __('Text styling','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),

                                                    
												    array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_primary_text_size",
														"label"       => __("Primary Text Size (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 15,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_secondary_text_size",
														"label"       => __("Secondary Text Size (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 15,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_primary_text_color",
														"label"       => __("Primary Text Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#fff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_secondary_text_color",
														"label"       => __("Secondary Text Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#fff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_seperator_4",
														"label"       => __('Info Bar Background','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_bg_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#fff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_seperator_5",
														"label"       => __('Info Bar Button','mozgaration'),
														"type"        => "mozgaration_subsection_heading"
													),
													
													
                                                    array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_button_border_size",
														"label"       => __("Border Size (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 0,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_button_left_margin",
														"label"       => __("Left Margin (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 60,
														"input_attrs" => array("min"=>0,"max"=>500),
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_button_text_color",
														"label"       => __("Button text Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#fff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_button_hover_text_color",
														"label"       => __("Button hover text Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#000",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_button_border_color",
														"label"       => __("Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#fac200",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_button_color",
														"label"       => __("Button Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#fac200",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_button_hover_color",
														"label"       => __("Button hover Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#fac200",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													

											),
							),

							
							array(
								'id'          => 'logobg',
								'title'       => __("Logo Box", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector=".site-logo,.infobar-logo" href="#" title="'.__('Blink the body in the current page','mozgaration').'"></a>'. __('The box that includes the logo image. Change the paddings to reduce or increase the white space around the logo image.','mozgaration'),
								'controls'    => array(

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_box_width",
														"label"       => __("Logo Maximum Width",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 300,
														"input_attrs" => array("min"=>0,"max"=>1000),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_box_height",
														"label"       => __("Logo Maximum Height",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 200,
														"input_attrs" => array("min"=>0,"max"=>1000),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_padding_t",
														"label"       => __("Top Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 20,
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_padding_b",
														"label"       => __("Bottom Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 70,
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_padding_l",
														"label"       => __("Left Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 0,
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_padding_r",
														"label"       => __("Right Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 0,
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_seperator_1",
														"label"       => "",
														"description" => __('Desktop View','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_background_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_bottom_border_color",
														"label"       => __("Bottom Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_font_color",
														"label"       => __("Font Color",'mozgaration'),
														"description" => __('Color for text logos','mozgaration'),
														"transport"   => "refresh",
														"default"     => "#fff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_seperator_2",
														"label"       => "",
														"description" => __('Mobile View','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_background_color_mobile",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#7fa405",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_background_image_url_mobile",
														"label"       => __("Mobile Background Image",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "/wp-content/themes/mozgaration/images/skin1/left-blok.jpg",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_bottom_border_color_mobile",
														"label"       => __("Bottom Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#fbf8f8",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_logo_font_color_mobile",
														"label"       => __("Font Color",'mozgaration'),
														"description" => __('Color for text logos and the mobile menu icon','mozgaration'),
														"transport"   => "refresh",
														"default"     => "#fff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
											),
							),

							array(
								'id'       => 'nav',
								'title'    => __("Main Navigation", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector="#navigation,.header-right nav" href="#" title="'.__('Blink the main mavigation in the current page. ','mozgaration').'"></a>'. __('Use following settings to customize your main navigation',"mozgaration"),
								'controls' => array(


													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_seperator_1",
														"label"       => "",
														"description" => __('Top Level Menu Items','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_angle_show",
														"label"       => __("Hidden",'mozgaration'),
														"description" => "Disable Items Angle Down",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_vertical_padding",
														"label"       => __("Item Vertical Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 1,
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_vertical_padding_sticky",
														"label"       => __("Item Vertical Padding (px) - Sticky Header",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 10,
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_horizontal_padding",
														"label"       => __("Item Horizontal Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 2,
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),
													
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_text_align",
														"label"       => __("Item aligment",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																		"center" => __("Center","mozgaration"),
																		"left" => __("Left","mozgaration"),
																		),
														"default" => "center",
														"type"    => "select",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_border_left_width",
														"label"       => __("Menu Item border left width (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 4,
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_border_left_color",
														"label"       => __("Menu Item Border Left end bottom Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#7fa405",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),
													
                                                    array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_background_color",
														"label"       => __("Menu Item Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "rgba(255, 255, 255, 0)",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_font_color",
														"label"       => __("Menu Item Font Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#ffffff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_border_color",
														"label"       => __("Menu Item Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_background_color_active",
														"label"       => __("Active Menu Item Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_font_color_active",
														"label"       => __("Active Menu Item Font Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#ffffff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_item_indicator_color_active",
														"label"       => __("Active Menu Item Indicator Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#fbf8f8",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_seperator_2",
														"label"       => "",
														"description" => __('Sub Level Menu Items','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sub_nav_item_vertical_padding",
														"label"       => __("Sub Item Vertical Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 10,
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sub_nav_item_horizontal_padding",
														"label"       => __("Sub Item Horizontal Padding (px)",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => 20,
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sub_nav_item_background_color",
														"label"       => __("Sub Menu Item Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#faf6f6",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sub_nav_item_font_color",
														"label"       => __("Sub Menu Item Font",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#7fa405",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sub_nav_item_border_color",
														"label"       => __("Sub Menu Item Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#f4f4f4",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sub_nav_item_background_color_active",
														"label"       => __("Active Sub Menu Item Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#ffffff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sub_nav_item_font_color_active",
														"label"       => __("Active Sub Menu Item Font Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#7fa405",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sub_nav_item_indicator_color_active",
														"label"       => __("Active Sub Menu Item Indicator Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#edecec",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

 													array(
														"id"          => MOZGARATION_THEMESLUG."_nav_seperator_3",
														"label"		  => __('Mobile Menu','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_mobile_nav_font_color",
														"label"       => __("Mobile Menu Font Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#dddddd",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_mobile_nav_font_color_active",
														"label"       => __("Mobile Menu Active Font Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#777777",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_mobile_nav_background_color",
														"label"       => __("Mobile Menu Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#2a2a2a",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_mobile_nav_border_color",
														"label"       => __("Mobile Menu Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_mobile_nav_active_border_color",
														"label"       => __("Mobile Menu Active Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"   => true
													),
											),
							),

							array(
								'id'       => 'topbar',
								'title'    => __("Top Bar", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector=".mozgaration-top-bar" href="#" title="'.__('Blink the top bar in the current page. ','mozgaration').'"></a>'. __('Use the following settings to customize your top bar.',"mozgaration"),
								'controls' => array(

													array(
														"id"          => MOZGARATION_THEMESLUG."_top_bar_width",
														"label"       => __("Top Bar Width",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"fullwidth" => __("Full Width","mozgaration"),
																			"default"   => __("Default","mozgaration"),
																		),
														"type"    => "select",
														"default" => "fullwidth",
														"mozgaration_skin" => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_top_bar_content_width",
														"label"       => __("Top Bar Content Width",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"choices"     => array(
																			"fullwidth" => __("Full Width","mozgaration"),
																			"default"   => __("Default","mozgaration"),
																		),
														"type"    => "select",
														"default" => "default",
														"mozgaration_skin" => true
													),
                                                    array(
														"id"          => MOZGARATION_THEMESLUG."_top_bar_right_colors",
														"label"       => __('Background Color for Top Bar right','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
												    array(
														"id"          => MOZGARATION_THEMESLUG."_topbar_right_bg_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_topbar_right_padding-left",
														"label"       => __("Left Padding (px) for Top Bar right",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "10",
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_topbar_right_padding-right",
														"label"       => __("Right Padding (px) for Top Bar right",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "10",
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),
													
														
													array(
														"id"          => MOZGARATION_THEMESLUG."_top_bar_colors",
														"label"       => __('Color Set for Top Bar','mozgaration'),
														"type"        => "mozgaration_seperator"
													),


	 												array(
														"id"          => MOZGARATION_THEMESLUG."_topbar_bg_color",
														"label"       => __("Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "postMessage",
														"default"     => "#151515",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_topbar_font_color",
														"label"       => __("Font Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#ffffff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_topbar_link_color",
														"label"       => __("Link Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#ffffff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_topbar_link_hover_color",
														"label"       => __("Link Hover Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#e6aa21",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_topbar_border_color",
														"label"       => __("Elements Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#333333",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_topbar_bottom_border_color",
														"label"       => __("Bottom Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#333333",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),


											),
							),


 							array(
								'id'       => 'top_shortcut_buttons',
								'title'    => __("Shortcut Buttons", "mozgaration"),
								"description" => '<a class="highlight-section icon-flash" data-section-selector="#tools" href="#" title="'.__('Blink the shortcut buttons in the current page.','mozgaration').'"></a>'. __('Use following settings to adjust the shortcode buttons and their drop-down menus',"mozgaration"),
								'controls' => array(

 													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_seperator_1",
														"label"		  => __('Visibility','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_user",
														"label"       => __("Display User Login",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "on",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_cart",
														"label"       => __("Display Cart",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "on",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_wpml",
														"label"       => __("Display WPML Languages",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "on",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_serch",
														"label"       => __("Display Search",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "on",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),

                                                   array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_seperator_4",
														"label"       => __('Padding for only icons','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_padding_top",
														"label"       => __("Top Padding (px) for  Shortcut Button",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "0",
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_padding_bottom",
														"label"       => __("Bottom Padding (px) for  Shortcut Button",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "0",
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_padding_right",
														"label"       => __("Right Padding (px) for  Shortcut Button",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "0",
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_padding_left",
														"label"       => __("Left Padding (px) for  Shortcut Button",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "0",
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),
													
													
													 array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_seperator_5",
														"label"       => __('Margin for only icons','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_margin_left",
														"label"       => __("Margin (px) for Shortcut Button",'mozgaration'),
														"type"        => "number",
														"transport"   => "refresh",
														"default"     => "0",
														"input_attrs" => array("min"=>0,"max"=>100),
														"mozgaration_skin"     => true
													),
													
													
													
												    array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_seperator_2",
														"label"       => __('A color set for only icons','mozgaration'),
														"type"        => "mozgaration_seperator"
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_button_cart_sub_color",
														"label"       => __("Icon Cart Sub Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#d00909",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_background_color",
														"label"       => __("Icons Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#151515",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_border_color",
														"label"       => __("Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#2F2F2F",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_font_color",
														"label"       => __("Font Color",'mozgaration'),
														"transport"   => "refresh",
														"default"     => "#fff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_seperator_3",
														"label"       => __('Color Set for Drop Down Contents','mozgaration'),
														"type"        => "mozgaration_seperator"
													),


	 												array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_content_bg_color",
														"label"       => __("Contents Background Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#151515",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_content_border_color",
														"label"       => __("Border Color",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "#2F2F2F",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_top_shortcut_buttons_content_font_color",
														"label"       => __("Font Color",'mozgaration'),
														"transport"   => "refresh",
														"default"     => "#fff",
														"type"        => "mozgaration_color",
														"mozgaration_skin"     => true
													),

											),
							),

			)
	);



if( ! function_exists("mozgarationframework_create_color_set_options") ){
	/**
	 * Add additional controls to the footer colors
	 * @return array
	 */
	function mozgarationframework_create_color_set_options( $options ){

		$color_list = array();

		//Color Schemas
		$color_list[".side-panel-holder"] = array(
			"id" => "side_panel",
			"label" => __("Side Panel","mozgaration"),
			"description" => '<a class="highlight-section icon-flash" data-section-selector=".side-panel-holder" href="#" title="'.__('Blink sections which uses this color set','mozgaration').'"></a>'. __('A color set that can be applied to any content rows or column.',"mozgaration"),
			"colors" => array(

				"primary_color"         => array("color"=> "#e6aa21", "label" => __("Primary Color","mozgaration")),
				"bg_color"              => array("color"=> "#222222", "label" => __("Background Color","mozgaration")),
				"font_color"            => array("color"=> "#fff", "label" => __("Text Color","mozgaration")),
				"secondary_font_color"  => array("color"=> "#888888", "label" => __("Secondary Text Color","mozgaration")),
				"light_text_color"      => array("color"=> "#fff", "label" => __("Opposite Text Color","mozgaration")),
				"link_color"            => array("color"=> "#fff", "label" => __("Link Color","mozgaration")),
				"heading_color"         => array("color"=> "#fff", "label" => __("Heading Color","mozgaration")),
				"border_color"          => array("color"=> "#3D3D3D", "label" => __("Border Color","mozgaration")),
				"form_button_bg_color"  => array("color"=> "#2f2f2f", "label" => __("Form Button Background Color","mozgaration")),
				"social_media_bg_color" => array("color"=> "#2f2f2f","label" => __("Social Media Icons Background Color","mozgaration")),

			));

		$color_list[".default-style"] = array(
			"id" => "default",
			"label" => __("Color Set 1","mozgaration"),
			"description" => '<a class="highlight-section icon-flash" data-section-selector=".default-style" href="#" title="'.__('Blink sections which uses this color set','mozgaration').'"></a>'. __('A color set that can be applied to any content rows or column.',"mozgaration"),
			"colors" => array(

				"primary_color"         => array("color"=> "#7fa405", "label" => __("Primary Color","mozgaration")),
				"bg_color"              => array("color"=> "#fff", "label" => __("Row Background Color","mozgaration")),
				"font_color"            => array("color"=> "#666", "label" => __("Text Color","mozgaration")),
				"secondary_font_color"  => array("color"=> "#999999", "label" => __("Secondary Text Color","mozgaration")),
				"light_text_color"      => array("color"=> "#fff", "label" => __("Opposite Text Color","mozgaration")),
				"link_color"            => array("color"=> "#7fa405", "label" => __("Link Color","mozgaration")),
				"heading_color"         => array("color"=> "#222", "label" => __("Heading Color","mozgaration")),
				"border_color"          => array("color"=> "#E8E8E8", "label" => __("Border Color","mozgaration")),
				"form_button_bg_color"  => array("color"=> "#bbb", "label" => __("Form Button Background Color","mozgaration")),
				"social_media_bg_color" => array("color"=> "#bbb", "label" => __("Social Media Icons Background Color","mozgaration")),
			));

		$color_list[".alt-style-1"] = array(
			"id" => "alt_style_1",
			"label" => __("Color Set 2","mozgaration"),
			"description" => '<a class="highlight-section icon-flash" data-section-selector=".alt-style-1" href="#" title="'.__('Blink sections which uses this color set','mozgaration').'"></a>'. __('A color set that can be applied to any content rows or column.',"mozgaration"),
			"colors" => array(

				"primary_color"         => array("color"=> "#7fa405", "label" => __("Primary Color","mozgaration")),
				"bg_color"              => array("color"=> "#f4f4f4", "label" => __("Row Background Color","mozgaration")),
				"font_color"            => array("color"=> "#666", "label" => __("Text Color","mozgaration")),
				"secondary_font_color"  => array("color"=> "#999999", "label" => __("Secondary Text Color","mozgaration")),
				"light_text_color"      => array("color"=> "#fff", "label" => __("Opposite Text Color","mozgaration")),
				"link_color"            => array("color"=> "#7fa405", "label" => __("Link Color","mozgaration")),
				"heading_color"         => array("color"=> "#222", "label" => __("Heading Color","mozgaration")),
				"border_color"          => array("color"=> "#e1e1e1", "label" => __("Border Color","mozgaration")),
				"form_button_bg_color"  => array("color"=> "#bbb", "label" => __("Form Button Background Color","mozgaration")),
				"social_media_bg_color" => array("color"=> "#bbb", "label" => __("Social Media Icons Background Color","mozgaration")),
			));

		$color_list[".alt-style-2"] = array(
			"id" => "alt_style_2",
			"label" => __("Color Set 3","mozgaration"),
			"description" => '<a class="highlight-section icon-flash" data-section-selector=".alt-style-2" href="#" title="'.__('Blink sections which uses this color set','mozgaration').'"></a>'. __('A color set that can be applied to any content rows or column.',"mozgaration"),
			"colors" => array(

				"primary_color"         => array("color"=> "#77980a", "label" => __("Primary Color","mozgaration")),
				"bg_color"              => array("color"=> "#7fa405", "label" => __("Row Background Color","mozgaration")),
				"font_color"            => array("color"=> "#fff", "label" => __("Text Color","mozgaration")),
				"secondary_font_color"  => array("color"=> "#e7faab", "label" => __("Secondary Text Color","mozgaration")),
				"light_text_color"      => array("color"=> "#fff", "label" => __("Opposite Text Color","mozgaration")),
				"link_color"            => array("color"=> "#fff", "label" => __("Link Color","mozgaration")),
				"heading_color"         => array("color"=> "#fff", "label" => __("Heading Color","mozgaration")),
				"border_color"          => array("color"=> "#fff", "label" => __("Border Color","mozgaration")),
				"form_button_bg_color"  => array("color"=> "#eafdab", "label" => __("Form Button Background Color","mozgaration")),
				"social_media_bg_color" => array("color"=> "#bbb","label" => __("Social Media Icons Background Color","mozgaration")),
			));

		$color_list[".light-style"] = array(
			"id" => "light_style",
			"label" => __("Color Set 4","mozgaration"),
			"description" => '<a class="highlight-section icon-flash" data-section-selector=".light-style" href="#" title="'.__('Blink sections which uses this color set','mozgaration').'"></a>'. __('A color set that can be applied to any content rows or column.',"mozgaration"),
			"colors" => array(

				"primary_color"         => array("color"=> "rgba(255,255,255,0.2)", "label" => __("Primary Color","mozgaration")),
				"bg_color"              => array("color"=> "#1e1e1e", "label" => __("Row Background Color","mozgaration")),
				"font_color"            => array("color"=> "#fff", "label" => __("Text Color","mozgaration")),
				"secondary_font_color"  => array("color"=> "#fff", "label" => __("Secondary Text Color","mozgaration")),
				"light_text_color"      => array("color"=> "#fff", "label" => __("Opposite Text Color","mozgaration")),
				"link_color"            => array("color"=> "#fff", "label" => __("Link Color","mozgaration")),
				"heading_color"         => array("color"=> "#fff", "label" => __("Heading Color","mozgaration")),
				"border_color"          => array("color"=> "rgba(255, 255, 255, 0.17)", "label" => __("Border Color","mozgaration")),
				"form_button_bg_color"  => array("color"=> "rgba(55, 55, 55, 0.78)", "label" => __("Form Button Background Color","mozgaration")),
				"social_media_bg_color" => array("color"=> "#bbb", "label" => __("Social Media Icons Background Color","mozgaration")),
			));
			
		$color_list[".dark-style"] = array(
			"id" => "dark_style",
			"label" => __("Color Set 5","mozgaration"),
			"description" => '<a class="highlight-section icon-flash" data-section-selector=".dark-style" href="#" title="'.__('Blink sections which uses this color set','mozgaration').'"></a>'. __('A color set that can be applied to any content rows or column.',"mozgaration"),
			"colors" => array(

				"primary_color"         => array("color"=> "rgba(0,0,0,0.5)", "label" => __("Primary Color","mozgaration")),
				"bg_color"              => array("color"=> "#fff", "label" => __("Row Background Color","mozgaration")),
				"font_color"            => array("color"=> "#000", "label" => __("Text Color","mozgaration")),
				"secondary_font_color"  => array("color"=> "#000", "label" => __("Secondary Text Color","mozgaration")),
				"light_text_color"      => array("color"=> "#000", "label" => __("Opposite Text Color","mozgaration")),
				"link_color"            => array("color"=> "#000", "label" => __("Link Color","mozgaration")),
				"heading_color"         => array("color"=> "#000", "label" => __("Heading Color","mozgaration")),
				"border_color"          => array("color"=> "rgba(0, 0, 0, 0.8)", "label" => __("Border Color","mozgaration")),
				"form_button_bg_color"  => array("color"=> "rgba(55, 55, 55, 0.78)", "label" => __("Form Button Background Color","mozgaration")),
				"social_media_bg_color" => array("color"=> "#000", "label" => __("Social Media Icons Background Color","mozgaration")),
			));	

		$color_list[".sidebar-widgets"] = array(
			"id" => "widgets",
			"label" => __("Sidebar Elements","mozgaration"),
			"description" => '<a class="highlight-section icon-flash" data-section-selector=".sidebar-widgets" href="#" title="'.__('Blink sidebar elements','mozgaration').'"></a>'. __('Use following settings to customize the elements in the left sidebar except the navigation',"mozgaration"),
			"colors" => array(

				"primary_color"         => array("color"=> "#7fa405", "label" => __("Primary Color","mozgaration")),
				"bg_color"              => array("color"=> "rgba(255, 255, 255, 0)", "label" => __("Background Color","mozgaration")),
				"font_color"            => array("color"=> "#fff", "label" => __("Text Color","mozgaration")),
				"secondary_font_color"  => array("color"=> "#fdfbfb", "label" => __("Secondary Text Color","mozgaration")),
				"light_text_color"      => array("color"=> "#fff", "label" => __("Opposite Text Color","mozgaration")),
				"link_color"            => array("color"=> "#fff", "label" => __("Link Color","mozgaration")),
				"heading_color"         => array("color"=> "#fff", "label" => __("Heading Color","mozgaration")),
				"border_color"          => array("color"=> "rgba(255, 255, 255, 1)", "label" => __("Border Color","mozgaration")),
				"form_button_bg_color"  => array("color"=> "#7fa405", "label" => __("Form Button Background Color","mozgaration")),
				"social_media_bg_color" => array("color"=> "#7fa405","label" => __("Social Media Icons Background Color","mozgaration")),

			));
			
		$color_list["#right-fix"] = array(
			"id" => "widget",
			"label" => __("Right Sidebar Elements","mozgaration"),
			"description" => '<a class="highlight-section icon-flash" data-section-selector=".widjet-mobil-non" href="#" title="'.__('Blink sidebar elements','mozgaration').'"></a>'. __('Use following settings to customize the elements in the right sidebar',"mozgaration"),
			"colors" => array(

				"primary_color"         => array("color"=> "#7fa405", "label" => __("Primary Color","mozgaration")),
				"bg_color"              => array("color"=> "rgba(255, 255, 255, 0)", "label" => __("Background Color","mozgaration")),
				"font_color"            => array("color"=> "#fff", "label" => __("Text Color","mozgaration")),
				"secondary_font_color"  => array("color"=> "#fff", "label" => __("Secondary Text Color","mozgaration")),
				"light_text_color"      => array("color"=> "#fff", "label" => __("Opposite Text Color","mozgaration")),
				"link_color"            => array("color"=> "#fff", "label" => __("Link Color","mozgaration")),
				"heading_color"         => array("color"=> "#fff", "label" => __("Heading Color","mozgaration")),
				"border_color"          => array("color"=> "rgba(255, 255, 255, 1)", "label" => __("Border Color","mozgaration")),
				"form_button_bg_color"  => array("color"=> "#7fa405", "label" => __("Form Button Background Color","mozgaration")),
				"social_media_bg_color" => array("color"=> "#7fa405","label" => __("Social Media Icons Background Color","mozgaration")),

			));	

		$color_list[".footer"] = array(
			"id" => "footer",
			"label" => __("Footer","mozgaration"),
			"description" => '<a class="highlight-section icon-flash" data-section-selector="#footer" href="#" title="'.__('Blink the Footer in the current page.','mozgaration').'"></a>'.__('Use following settings to customize the footer section of your website.',"mozgaration"),
			"colors" => array(

				"primary_color"         => array("color"=> "rgba(255,255,255,0.2)", "label" => __("Primary Color","mozgaration")),
				"bg_color"              => array("color"=> "#1b2430", "label" => __("Row Background Color","mozgaration")),
				"font_color"            => array("color"=> "#9c9c9c", "label" => __("Text Color","mozgaration")),
				"secondary_font_color"  => array("color"=> "#eaeaea", "label" => __("Secondary Text Color","mozgaration")),
				"light_text_color"      => array("color"=> "#ffffff", "label" => __("Opposite Text Color","mozgaration")),
				"link_color"            => array("color"=> "#aeaeae", "label" => __("Link Color","mozgaration")),
				"heading_color"         => array("color"=> "#cccccc", "label" => __("Heading Color","mozgaration")),
				"border_color"          => array("color"=> "#5e5a67", "label" => __("Border Color","mozgaration")),
				"form_button_bg_color"  => array("color"=> "#444444", "label" => __("Form Button Background Color","mozgaration")),
				"social_media_bg_color" => array("color"=> "#7fa405", "label" => __("Social Media Icons Background Color","mozgaration")),
			));

		//Create Color Sets
		foreach ($color_list as $seletor => $schema ) {

			$controls  =array();

			foreach ($schema["colors"] as $color_id => $color_values  ) {


				//transport exteptions
				$transport = "postMessage";

				if( $schema["id"] == "side_panel" ){
					$transport = "refresh";
				}

				array_push($controls, array(
						'id'        => MOZGARATION_THEMESLUG.'_'.$schema["id"]."_".$color_id,
						'label'     => $color_values["label"],
						"transport" => $transport,
						"default"   => $color_values["color"],
						"type"      => "mozgaration_color",
						"mozgaration_skin"   => true
					)
				);

			}

			array_push($options["mozgaration_color_schemas"]["sections"], array(
					'id'          => $schema["id"],
					'title'       => $schema["label"],
					'description' => $schema["description"],
					'controls'    => apply_filters("mozgarationframework_color_controls_".$schema["id"], $controls )
				)
			);

		}

		return $options;
	}
}

add_filter( 'mozgarationframework_customizer_options', 'mozgarationframework_create_color_set_options', 10 );

if( ! function_exists("mozgarationframework_add_new_footer_options") ){
	/**
	 * Add additional controls to the footer colors
	 * @return array
	 */
	function mozgarationframework_add_new_footer_options( $controls ){

		array_unshift($controls,

				array(
					"id"          => MOZGARATION_THEMESLUG."_footer_widget_layout",
					"label"       => esc_html__("Footer Widgets Layout",'mozgaration'),
					"description" => esc_html__("Select and set the column layout of the footer widget area.",'mozgaration'),
					"choices"     =>  array(
												"1" => "1/1",
												"2" => "1/2 - 1/2",
												"3" => "1/3 - 1/3 - 1/3",
												"4" => "1/4 - 1/4 - 1/4 - 1/4",
												"5" => "2/6 - 1/6 - 1/6",
												"6" => "1/2 - 1/4 - 1/4",
												"7" => "1/4 - 1/2 - 1/4",
												"8" => "1/4 - 1/4 - 1/2",
												"9" => "4/6 - 1/6 - 1/6",
												"10" => "2/3 - 1/3",
												"11" => "1/3 - 2/3"
							  				),
					"default"   => "3",
					"transport" => "refresh",
					"type"      => "select",
					"mozgaration_skin"   => true
				),
				
                array(
					"id"          => MOZGARATION_THEMESLUG."_footer_social_show",
					"label"       => __("show",'mozgaration'),
					"description" => "Show footer social buttons",
					"transport"   => "refresh",
					"default"     => "",
					"type"        => "checkbox",
					"mozgaration_skin"   => true
					),
					
				array(
					"id"          => MOZGARATION_THEMESLUG."_footer_background_width",
					"label"       => esc_html__("Footer Background Width",'mozgaration'),
					"description" => esc_html__('Select a pre-defined width for the footer background','mozgaration'),
					"transport"   => "refresh",
					"choices"     => array(
										"default" => esc_html__("Default Width", "mozgaration"),
										"fullwidth" => esc_html__("Full Width", "mozgaration"),
									),
					"default" => "default",
					"type"    => "select",
					"mozgaration_skin"   => true
				),

				array(
					"id"          => MOZGARATION_THEMESLUG."_footer_content_width",
					"label"       => esc_html__("Footer Content Width",'mozgaration'),
					"description" => esc_html__('Select a pre-defined width for the footer content','mozgaration'),
					"transport"   => "refresh",
					"choices"     => array(
										"default" => esc_html__("Default Width", "mozgaration"),
										"fullwidth" => esc_html__("Full Width", "mozgaration"),
									),
					"default" => "default",
					"type"    => "select",
					"mozgaration_skin"   => true
				),

				array(
					"id"          => MOZGARATION_THEMESLUG."_footer_sticky",
					"label"       => __("Covered Footer",'mozgaration'),
					"description" => __('Enable/Disable the sticky (covered) footer effect','mozgaration'),
					"transport"   => "refresh",
					"choices"     => array(
										"fixed_footer" => __("Covered", "mozgaration"),
										"classic" => __("Classic", "mozgaration"),
									),
					"default" => "classic",
					"type"    => "select",
					"mozgaration_skin"   => true
				),

				array(
					"id"          => MOZGARATION_THEMESLUG."_footer_row_seperator",
					"label"       => "",
					"description" => __('A color set that used only for footer elements.','mozgaration'),
					"type"        => "mozgaration_seperator"
				),
				
				array(
					"id"          => MOZGARATION_THEMESLUG."_footer_background_image",
					"label"       => __("Footer Background Image",'mozgaration'),
					"description" => "",
					"transport"   => "refresh",
					"type"        => "mozgaration_media",
					"mozgaration_skin"     => true
					),
					
				array(
					"id"          => MOZGARATION_THEMESLUG."_footer_background_position",
					"label"       => __("Position",'mozgaration'),
					"description" => "",
					"transport"   => "refresh",
					"choices"     => array(
											"right top"     => __("Right Top","mozgaration"),
											"right center"  => __("Right Center","mozgaration"),
											"right bottom"  => __("Right Bottom","mozgaration"),
											"left top"      => __("Left Top","mozgaration"),
											"left center"   => __("Left Center","mozgaration"),
											"left bottom"   => __("Left Bottom","mozgaration"),
											"center top"    => __("Center Top","mozgaration"),
											"center center" => __("Center Center","mozgaration"),
											"center bottom" => __("Center Bottom","mozgaration"),
										   ),
					"type"    => "select",
					"mozgaration_skin" => true
					),


				array(
					"id"          => MOZGARATION_THEMESLUG."_footer_background_image_repeat",
					"label"       => __("Repeat",'mozgaration'),
					"description" => "",
					"transport"   => "refresh",
					"choices"     => array(
											"repeat"       => __("Tile","mozgaration"),
											"repeat-x"     => __("Tile Horizontally","mozgaration"),
											"repeat-y"     => __("Tile Vertically","mozgaration"),
											"no-repeat"    => __("No Repeat","mozgaration"),
										   ),
					"type"    => "radio",
					"default" => "repeat",
					"mozgaration_skin"   => true
					),

				array(
					"id"          => MOZGARATION_THEMESLUG."_footer_background_size",
					"label"       => __("Background Size",'mozgaration'),
					"description" => "",
					"transport"   => "refresh",
					"choices"     => array(
											"auto auto" => __("Auto","mozgaration"),
											"cover" => __("Cover","mozgaration"),
											"contain" => __("Contain","mozgaration"),
											"100% auto" => __("100%","mozgaration"),
											"50% auto" => __("50%","mozgaration"),
											"25% auto" => __("25%","mozgaration"),
										   ),
					"default" => "auto auto",
					"type"    => "select",
					"mozgaration_skin"   => true
					)

		);

		return $controls;
	}
}
add_filter( 'mozgarationframework_color_controls_footer', 'mozgarationframework_add_new_footer_options', 20 );

if( ! function_exists("mozgarationframework_add_new_side_panel_options") ){
	/**
	 * Add additional controls to the side panel colors
	 * @return array
	 */
	function mozgarationframework_add_new_side_panel_options( $controls ){

		array_unshift($controls,


			array(
				"id"          => MOZGARATION_THEMESLUG."_show_side_panel",
				"label"       => __("Display Side Panel",'mozgaration'),
				"description" => "",
				"transport"   => "refresh",
				"default"     => "on",
				"type"        => "checkbox",
				"mozgaration_skin"     => true
			),
			array(
					"id"          => MOZGARATION_THEMESLUG."_side_panel_background_image",
					"label"       => __("Side Panel Background Image",'mozgaration'),
					"description" => "",
					"transport"   => "refresh",
					"type"        => "mozgaration_media",
					"mozgaration_skin"     => true
					),
					
				array(
					"id"          => MOZGARATION_THEMESLUG."_side_panel_background_position",
					"label"       => __("Position",'mozgaration'),
					"description" => "",
					"transport"   => "refresh",
					"choices"     => array(
											"right top"     => __("Right Top","mozgaration"),
											"right center"  => __("Right Center","mozgaration"),
											"right bottom"  => __("Right Bottom","mozgaration"),
											"left top"      => __("Left Top","mozgaration"),
											"left center"   => __("Left Center","mozgaration"),
											"left bottom"   => __("Left Bottom","mozgaration"),
											"center top"    => __("Center Top","mozgaration"),
											"center center" => __("Center Center","mozgaration"),
											"center bottom" => __("Center Bottom","mozgaration"),
										   ),
					"type"    => "select",
					"mozgaration_skin" => true
					),


				array(
					"id"          => MOZGARATION_THEMESLUG."_side_panel_background_image_repeat",
					"label"       => __("Repeat",'mozgaration'),
					"description" => "",
					"transport"   => "refresh",
					"choices"     => array(
											"repeat"       => __("Tile","mozgaration"),
											"repeat-x"     => __("Tile Horizontally","mozgaration"),
											"repeat-y"     => __("Tile Vertically","mozgaration"),
											"no-repeat"    => __("No Repeat","mozgaration"),
										   ),
					"type"    => "radio",
					"default" => "repeat",
					"mozgaration_skin"   => true
					),

				array(
					"id"          => MOZGARATION_THEMESLUG."_side_panel_background_size",
					"label"       => __("Background Size",'mozgaration'),
					"description" => "",
					"transport"   => "refresh",
					"choices"     => array(
											"auto auto" => __("Auto","mozgaration"),
											"cover" => __("Cover","mozgaration"),
											"contain" => __("Contain","mozgaration"),
											"100% auto" => __("100%","mozgaration"),
											"50% auto" => __("50%","mozgaration"),
											"25% auto" => __("25%","mozgaration"),
										   ),
					"default" => "auto auto",
					"type"    => "select",
					"mozgaration_skin"   => true
					)

		);

		return $controls;
	}
}
add_filter( 'mozgarationframework_color_controls_side_panel', 'mozgarationframework_add_new_side_panel_options', 20 );


if( ! function_exists("mozgarationframework_add_new_sidebar_widget_options") ){
	/**
	 * Add additional controls to the sidebar widgets
	 * @return array
	 */
	function mozgarationframework_add_new_sidebar_widget_options( $controls ){

		array_unshift($controls,


					array(
						"id"          => MOZGARATION_THEMESLUG."_shortcut_buttons",
						"label"       => __("Shortcut Bar",'mozgaration'),
						"description" => __('Select the location of the shortcut icon buttons buttons bar that includes; Search, WPML Languages, WooCommerce Login & Cart buttons.
											Some of these buttons will only be visible if the related plugins are installed.
											If WPML and WooCommerce are not installed, only a search field will be displayed','mozgaration'),
						"transport"   => "refresh",
						"choices"     => array(
											"after_logo" => __("Append it after the logo","mozgaration"),
											"after_nav" => __("Append it after the navigation","mozgaration"),
											"right_sidebar_after" => __("Append it right sidebar text after","mozgaration"),
											"right_sidebar_before" => __("Append it right sidebar text before","mozgaration"),
											"no" => __("Do not display","mozgaration"),
										),
						"default" => "right_sidebar_before",
						"type"    => "select",
						"mozgaration_skin"     => true
					),

                    array(
						"id"          => MOZGARATION_THEMESLUG."_shortcut_buttons_top",
						"label"       => __("Shortcut Bar Top Margin (px)",'mozgaration'),
						"type"        => "number",
						"transport"   => "refresh",
						"default"     => 0,
						"input_attrs" => array("min"=>0,"max"=>100),
						"mozgaration_skin"     => true
					),
					
					array(
						"id"          => MOZGARATION_THEMESLUG."_leftwidget_margin_top",
						"label"       => __("Left side widgets Top Margin (px)",'mozgaration'),
						"type"        => "number",
						"transport"   => "refresh",
						"default"     => 120,
						"input_attrs" => array("min"=>0,"max"=>100),
						"mozgaration_skin"     => true
					),
					
					

													array(
														"id"          => MOZGARATION_THEMESLUG."_shortcut_buttons_user",
														"label"       => __("Display User Login",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "on",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_shortcut_buttons_cart",
														"label"       => __("Display Cart",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "on",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),


													array(
														"id"          => MOZGARATION_THEMESLUG."_shortcut_buttons_wpml",
														"label"       => __("Display WPML Languages",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "on",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_shortcut_buttons_serch",
														"label"       => __("Display Search",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"default"     => "on",
														"type"        => "checkbox",
														"mozgaration_skin"     => true
													),
					array(
						"id"          => MOZGARATION_THEMESLUG."_sidebar_elements_seperator_2",
						"label"       => "",
						"description" => __('A color set that used for sidebar elements only.','mozgaration'),
						"type"        => "mozgaration_seperator"
					)
					
					


		);

		return $controls;
	}
}
add_filter( 'mozgarationframework_color_controls_widgets', 'mozgarationframework_add_new_sidebar_widget_options', 20 );
