<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Mozgaration theme Options Without Panels
 */
$this->options["mozgaration_single_options"] = array(

			array(
				'id'       => 'logo',
				'title' => __("Logo Options", "mozgaration"), 
				'priority' => 1,
				"description" => '<ul><li class="icon-ok">'.__('Select image files to use as the website logo.','mozgaration').'</li><li class="icon-ok">'.__('There is a "Logo Box" that holds the logo image. The box dimensions can be adjusted by using settings inside the "Styling Options / Logo Box" section. For the vertical header, it is 290px wide minus the logo box paddings.','mozgaration').'</li><li class="icon-ok">'.__('Retina Devices: There are two ways to get a sharp looking logo on retina devices. You can either use 2x bigger images than the "Logo Box" dimensions for the "Standard Logo" or upload separate files by using the second form set below. Use the second option if your logo does not look good when resized by browser.','mozgaration').'</li></ul>',
				'controls' => array( 



									array(
										"id"          => MOZGARATION_THEMESLUG."_logo_seperator",
										"label"       => __('Standard Logo','mozgaration'),
										"type"        => "mozgaration_subsection_heading",
										"description" => __('The default logo set of your website.','mozgaration'),
									),

									array(
										"id"          => MOZGARATION_THEMESLUG."_logo_url", 	
										"label"       => __("Logo Image",'mozgaration'),
										"transport"   => "refresh",	
										"type"        => "mozgaration_media",
										"default"     => "http://business.mozgaration.ru/wp-content/themes/mozgaration/images/skin1/logo.png",
										"mozgaration_skin"   => true,
										
									), 

									array(
										"id"          => MOZGARATION_THEMESLUG."_sticky_logo_url", 	
										"label"       => __("Logo Image for the Sticky Header (optional)",'mozgaration'),
										"description" => __('Upload an alternative logo image for the sticky navigation bar.','mozgaration'),
										"transport"   => "refresh",															
										"type"        => get_theme_mod(MOZGARATION_THEMESLUG."_sticky_logo_url") == "" || is_numeric( get_theme_mod(MOZGARATION_THEMESLUG."_sticky_logo_url") )? "mozgaration_media" : "mozgaration_media",
									    "mozgaration_skin"   => true,
									),
                                    
									array(
										"id"          => MOZGARATION_THEMESLUG."_logo_seperator3",
										"label"       => __('Retina Logo (optional)','mozgaration'),
										"description" => __('Use a bigger image than the standard logo like 2x to get a sharp look on retina devices. The retina and standard logo images must be in the same aspect ratio. For example; create 200x100px logo for 100x50px standard logo image.','mozgaration'),
										"type"        => "mozgaration_subsection_heading",
									),

									array(
										"id"          => MOZGARATION_THEMESLUG."_logo_url_2x", 	
										"label"       => __("Retina Logo Image",'mozgaration'),				
										"description" => "",
										"transport"   => "refresh",															
										"type"        => "media",
									), 

									array(
										"id"          => MOZGARATION_THEMESLUG."_sticky_logo_url_2x", 	
										"label"       => __("Retina Logo Image for the Sticky Header (optional)",'mozgaration'),
										"description" => __('Upload an alternative logo image for the sticky navigation bar.','mozgaration'),
										"transport"   => "refresh",															
										"type"        => "media",
									)

							),
			), 

            
			array(
				'id'       => 'infobarcontent',
				'title' => __("Info Bar Content", "mozgaration"), 
				'priority' => 1,
				"description" => '<ul><li class="icon-ok">'.__('Write data to be displayed in Info Bar','mozgaration').'</li><li class="icon-ok">'.__('Then go on "Styling Options" tab to customize the style Info Bar','mozgaration').'</li></ul>',
				'controls' => array( 



									array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_seperator1",
										"label"       => __('Phone','mozgaration'),
										"type"        => "mozgaration_subsection_heading",
										"description" => __('Phone Number.','mozgaration'),
									),
                                    
									array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_content_phone_hide",
														"label"       => __("Hidden",'mozgaration'),
														"description" => "Hiden Phone information",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"   => true
									),
									
                                    array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_phone1", 	
										"label"       => __("Phone Number 1",'mozgaration'),
										"description" => __('Phone number (text).','mozgaration'),
										"transport"   => "refresh",		
										"default"     =>  '+374 (77) 12-34-56',													
										"type"        => "input",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									), 
									
									array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_phone2", 	
										"label"       => __("Phone Number 2",'mozgaration'),
										"description" => __('Phone Number (text).','mozgaration'),
										"transport"   => "refresh",		
										"default"     =>  'Monday-Friday, 8am - 8pm ',													
										"type"        => "input",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									), 
									
									array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_seperator2",
										"label"       => __('Email','mozgaration'),
										"type"        => "mozgaration_subsection_heading",
										"description" => __('Email Address.','mozgaration'),
									),

									array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_content_email_hide",
														"label"       => __("Hidden",'mozgaration'),
														"description" => "Hiden Email information",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"   => true
									),
									
                                    array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_email1", 	
										"label"       => __("Email Address 1",'mozgaration'),
										"description" => __('Email Address (text).','mozgaration'),
										"transport"   => "refresh",		
										"default"     =>  'Support@company.com',													
										"type"        => "input",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									), 
									
									array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_email2", 	
										"label"       => __("Email Address 2",'mozgaration'),
										"description" => __('Email Address (text).','mozgaration'),
										"transport"   => "refresh",		
										"default"     =>  'Drop us a line anytime!',													
										"type"        => "input",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									), 
									
                                    array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_seperator3",
										"label"       => __('Location','mozgaration'),
										"type"        => "mozgaration_subsection_heading",
										"description" => __('Location (Address).','mozgaration'),
									),
                                    
									array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_content_address_hide",
														"label"       => __("Hidden",'mozgaration'),
														"description" => "Hiden Location information",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"   => true
									),
									
                                    array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_address1", 	
										"label"       => __("Location 1",'mozgaration'),
										"description" => __('Location (Address).','mozgaration'),
										"transport"   => "refresh",		
										"default"     =>  'Armenia, Yerevan,',													
										"type"        => "input",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									), 
									
									array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_address2", 	
										"label"       => __("Location 2",'mozgaration'),
										"description" => __('Location (Address).','mozgaration'),
										"transport"   => "refresh",		
										"default"     =>  'Komitas Ave. 12/34',													
										"type"        => "input",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									), 
									
									
									array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_seperator4",
										"label"       => __('Work Time','mozgaration'),
										"type"        => "mozgaration_subsection_heading",
										"description" => __('Work Time.','mozgaration'),
									),
                                    
									array(
														"id"          => MOZGARATION_THEMESLUG."_infobar_content_worktime_hide",
														"label"       => __("Hidden",'mozgaration'),
														"description" => "Hiden Work Time information",
														"transport"   => "refresh",
														"default"     => "",
														"type"        => "checkbox",
														"mozgaration_skin"   => true
									),
									
                                    array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_worktime1", 	
										"label"       => __("Work Time 1",'mozgaration'),
										"description" => __('Work Time (text).','mozgaration'),
										"transport"   => "refresh",		
										"default"     =>  'Monday-Friday,',													
										"type"        => "input",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									), 
									
									array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_worktime2", 	
										"label"       => __("Work Time 2",'mozgaration'),
										"description" => __('Work Time (text).','mozgaration'),
										"transport"   => "refresh",		
										"default"     =>  '8am - 8pm',													
										"type"        => "input",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									), 
									
                                    array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_content_seperator5",
										"label"       => __('Info Bar Button','mozgaration'),
										"type"        => "mozgaration_subsection_heading"
									),
													
									array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_hide_button",
										"label"       => __("Hidden",'mozgaration'),
										"description" => "Hiden Info Bar button",
										"transport"   => "refresh",
										"default"     => "",
										"type"        => "checkbox",
										"mozgaration_skin"   => true
									),
													
									array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_button_location",	
										"label"       => __("Button Location",'mozgaration'),
										"description" => "",
										"transport"   => "refresh",															
										"choices"     => array(	
										                        "bar"  => __("Show  After Info Bar","mozgaration"),
																"nav" => __("Show  After Navigation","mozgaration"), 
															  ),  
										"type" => "select",
										"default" => "bar",
										"mozgaration_skin"   => true
									),				
													 
													
									array(
									    "id"          => MOZGARATION_THEMESLUG."_infobar_button_link", 	
										"label"       => __("Button Link",'mozgaration'),
										"description" => "",
										"transport"   => "refresh",		
										"default"     =>  '',													
										"type"        => "input",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									), 
									
									array(
										"id"          => MOZGARATION_THEMESLUG."_infobar_button_text", 	
										"label"       => __("Button Text",'mozgaration'),
										"description" => "",
										"transport"   => "refresh",		
										"default"     =>  '',													
										"type"        => "input",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									)
													  
									

							),
			), 
			
			
			array(
				'id'       => 'rightfixside',
				'title' => __("Right Side Content", "mozgaration"), 
				'priority' => 1,
				"description" => '<ul><li class="icon-ok">'.__('Write data to be displayed in Right Side','mozgaration').'</li><li class="icon-ok">'.__('Then go on "Styling Options" tab to customize the style Right Side','mozgaration').'</li></ul>',
				'controls' => array( 
                                                    
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfix_side_trigger_show",
														"label"       => __("Hidden",'mozgaration'),
														"description" => "Hide & Show Circle content",
														"transport"   => "refresh",
														"default"     => 1,
														"type"        => "checkbox",
														"mozgaration_skin"   => true
													),
													
                                                    array(
														"id"          => MOZGARATION_THEMESLUG."_rightfixside_seperator_1",
														"label"       => __('Right side Home page text content','mozgaration'),
														"description" => __('Text content','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_hometext_title", 	
										                "label"       => __("Home page text title",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													
													
													
												/*
												
												    ***** dobavlyaet ikonku v lyubom meste class: icon_name
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_add_icon", 	
										                "label"       => __("Add icon",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														'input_attrs' => array(
                                                            "class"       => 'icon_name',
													    ),
														"mozgaration_skin"   => true
									                ), 
													
													
													***** dobavlyaet datapicer & pokaz tolko na glavnoi stranice v customize panel
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_add_date", 	
										                "label"       => __("Add date",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type" => "date",
                                                        'input_attrs' => array(
                                                             'class' => 'my-custom-class-for-js',
                                                             'style' => 'border: 1px solid #900',
                                                             'placeholder' => __( 'mm/dd/yyyy' ),
                                                         ),
                                                         'active_callback' => 'is_front_page',
													 ),
												*/
													
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_hometext", 	
										                "label"       => __("Home page text",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "textarea",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 

									                array(
														"id"          => MOZGARATION_THEMESLUG."_rightfixside_seperator_2",
														"label"       => "",
														"description" => __('First circle content','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
									
                                                    array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_title1", 	
										                "label"       => __("Text 1",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_title2", 	
										                "label"       => __("Text 2",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_title3", 	
										                "label"       => __("Text 3",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_triggertext", 	
										                "label"       => __("Text 4",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfixside_seperator_3",
														"label"       => "",
														"description" => __('Currency sign & Price','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_price", 	
										                "label"       => __("Price",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  '',													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ),
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_currency", 	
										                "label"       => __("Currency sign",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  '',													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ),
													
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_trigger_currency_icon",	
														"label"       => __("Currency sign with Icon",'mozgaration'),
														"description" => "From font awesome",
														"transport"   => "refresh",															
														"choices"     => array(		
														                    ""  => __("No icon","mozgaration"),
																			"fa-usd"  => __("USD","mozgaration"),
																			"fa-eur" => __("Euro","mozgaration"),
																			"fa-rub" => __("Ruble","mozgaration"),
																			"fa-jpy" => __("Yen","mozgaration"),
																			"fa-try" => __("Lira","mozgaration"),
																			"fa-inr" => __("Rupee","mozgaration"),
																			"fa-ils" => __("Shekel","mozgaration"),
																			"fa-gbp" => __("GBP","mozgaration"),
																			"fa-krw" => __("Won","mozgaration"),
																			"fa-btc" => __("Bitcoin","mozgaration"),
																		),  
														"type" => "select",
														"default" => "",
														"mozgaration_skin"   => true
													),
													
													
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_trigger_currency_icon_position",	
														"label"       => __("Currency sign Position",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",															
														"choices"     => array(		
																			"after"  => __("After price","mozgaration"),
																			"before" => __("Before price","mozgaration"), 
																		),  
														"type" => "select",
														"default" => "left",
														"mozgaration_skin"   => true
													),
													
													
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_rightfixside_seperator_4",
														"label"       => "",
														"description" => __('Second circle content (After hover)','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_circle_content_link", 	
										                "label"       => __("Circle link",'mozgaration'),
										                "description" => __("Entire side of second circle a link (If you choose this option please delete button link)",'mozgaration'),
										                "transport"   => "refresh",		
										                "default"     =>  '',													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_link_title1", 	
										                "label"       => __("Text 1",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_link_title2", 	
										                "label"       => __("Text 2",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_link_title3", 	
										                "label"       => __("Text 3",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_link_title4", 	
										                "label"       => __("Text 4",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_link", 	
										                "label"       => __("Button link",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  '',													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_link_button", 	
										                "label"       => __("Button text",'mozgaration'),
										                "description" => "",
										                "transport"   => "refresh",		
										                "default"     =>  '',													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
									
                                                    array(
														"id"          => MOZGARATION_THEMESLUG."_rightfixside_seperator_5",
														"label"       => "Trigger content text & icons",
														"description" => __('Trigger content','mozgaration'),
														"type"        => "mozgaration_seperator"
													),
													
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_div1_text", 	
										                "label"       => __("Trigger text 1",'mozgaration'),
										                "description" => __('Trigger text 1','mozgaration'),
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_div1_link", 	
										                 "description" => __('Trigger link 1','mozgaration'),
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_trigger_div1_image_url",
														"label"       => __("Trigger 1 icon",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "",
														"mozgaration_skin"     => true
													),
													
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_div2_text", 	
										                "label"       => __("Trigger text 2",'mozgaration'),
										                "description" => __('Trigger text 2','mozgaration'),
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ),
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_div2_link", 	
										                 "description" => __('Trigger link 2','mozgaration'),
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_trigger_div2_image_url",
														"label"       => __("Trigger 2 icon",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "",
														"mozgaration_skin"     => true
													),
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_div3_text", 	
										                "label"       => __("Trigger text 3",'mozgaration'),
										                "description" => __('Trigger text 3','mozgaration'),
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ),
													
													array(
										                "id"          => MOZGARATION_THEMESLUG."_trigger_div3_link", 	
										                 "description" => __('Trigger link 3','mozgaration'),
										                "transport"   => "refresh",		
										                "default"     =>  "",													
										                "type"        => "input",
										                "sanitize_callback" => "mozgaration_sanitize_basic_html",
														"mozgaration_skin"   => true
									                ), 
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_trigger_div3_image_url",
														"label"       => __("Trigger 3 icon",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",
														"type"        => "mozgaration_media",
														"default"	=> "",
														"mozgaration_skin"     => true
													)
							),
			), 
			
			
			array(
				'id'       => 'copyright',
				'title'    => __("Copyright Text", "mozgaration"), 
				'controls' => array( 

									array(
										"id"          => MOZGARATION_THEMESLUG."_copyright", 	
										"label"       => __("Copyright Text",'mozgaration'),
										"description" => __('The copyright text will be displayed in the footer of your website.','mozgaration'),
										"transport"   => "refresh",		
										"default"     =>  'Powered by Mozgaration Theme',													
										"type"        => "textarea",
										"sanitize_callback" => "mozgaration_sanitize_basic_html",
										"mozgaration_skin"   => true
									), 

							),
			), 

	);

/**
 * Mozgaration Theme General Options
 */
$this->options["mozgaration_general_options"] = array(

		'title' => __("General Options", "mozgaration"), 
		'priority' => 1,
		//'description' => __("General Options Desc", "mozgaration"), 
		'sections' => array(
			

							array(
								'id'       => 'performance',
								'title'    => __("Performance", "mozgaration"), 
								"description" => __('Speed up your website by using minified and combined versions of the css/js files that used for the theme. ','mozgaration'),								
								'controls' => array(

													array(
														"id"        => MOZGARATION_THEMESLUG."_optimize_css",															
														"label"     => __("Combine & optimize CSS files of the theme",'mozgaration'),														
														"default"   => "1",
														"transport" => "refresh",
														"type"      => "checkbox",
														"mozgaration_skin"   => true
													),	

													array(
														"id"        => MOZGARATION_THEMESLUG."_optimize_js",															
														"label"     => __("Combine & optimize JS files of the theme",'mozgaration'),														
														"default"   => "1",
														"transport" => "refresh",
														"type"      => "checkbox",
														"mozgaration_skin"   => true
													),	

											),
							),


							array(
								'id'       => 'breadcrumb',
								'title'    => __("Breadcrumb Menus", "mozgaration"), 
								'controls' => array( 

													array(
														"id"          => MOZGARATION_THEMESLUG."_blog_page",															
														"label"       => __("Blog Start Page",'mozgaration'),
														"description" => __("Select blog start page to add after home link.",'mozgaration'),
														"default"   => "0",
														"transport" => "refresh", 
														"type"      => "dropdown-pages",
														"mozgaration_skin"   => true
													),														
													array(
														"id"          => MOZGARATION_THEMESLUG."_product_list",															
														"label"       => __("Product Showcase Start Page",'mozgaration'),
														"description" => __("Select product start page to add after home link.",'mozgaration'),
														"default"   => "0",
														"transport" => "refresh", 
														"type"      => "dropdown-pages",
														"mozgaration_skin"   => true
													),												
													array(
														"id"          => MOZGARATION_THEMESLUG."_portf_page",															
														"label"       => __("Portfolio Start Page",'mozgaration'),
														"description" => __("Select portfolio start page to add after home link.",'mozgaration'),		
														"default"   => "0",
														"transport" => "refresh", 
														"type"      => "dropdown-pages",
														"mozgaration_skin"   => true
													),
                                                    array(
														"id"          => MOZGARATION_THEMESLUG."_servf_page",															
														"label"       => __("Services Start Page",'mozgaration'),
														"description" => __("Select services start page to add after home link.",'mozgaration'),		
														"default"   => "0",
														"transport" => "refresh", 
														"type"      => "dropdown-pages",
														"mozgaration_skin"   => true
													),
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_staff_page",															
														"label"       => __("Team Start Page",'mozgaration'),
														"description" => __("Select team/staff start page to add after home link.",'mozgaration'),		
														"default"   => "0",
														"transport" => "refresh", 
														"type"      => "dropdown-pages",
														"mozgaration_skin"   => true
													),
											),
							),


							array(
								'id'       => 'sidebars',
								'title'    => __("Sidebar Options", "mozgaration"), 
								'controls' => array( 
													
													array(
														"id"          => MOZGARATION_THEMESLUG."_default_sidebar_position",	
														"label"       => __("Default Sidebar Position",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",															
														"choices"     => array(		
																			""      => __("No Sidebar","mozgaration"),
																			"left"  => __("Left Sidebar","mozgaration"),
																			"right" => __("Right Sidebar","mozgaration"), 
																		),  
														"type" => "select",
														"default" => "",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sidebar_blog_cats",	
														"label"       => __("Sidebar Position for Blog Categories",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",															
														"choices"     => array(		
																			""      => __("No Sidebar","mozgaration"),
																			"left"  => __("Left Sidebar","mozgaration"),
																			"right" => __("Right Sidebar","mozgaration"), 
																		),  
														"type" => "select",
														"default" => "",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sidebar_portfolio_cats",	
														"label"       => __("Sidebar Position for Portfolio Categories",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",															
														"choices"     => array(		
																			""      => __("No Sidebar","mozgaration"),
																			"left"  => __("Left Sidebar","mozgaration"),
																			"right" => __("Right Sidebar","mozgaration"), 
																		),  
														"type" => "select",
														"default" => "",
														"mozgaration_skin"   => true
													),
													array(
														"id"          => MOZGARATION_THEMESLUG."_sidebar_services_cats",	
														"label"       => __("Sidebar Position for Services Categories",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",															
														"choices"     => array(		
																			""      => __("No Sidebar","mozgaration"),
																			"left"  => __("Left Sidebar","mozgaration"),
																			"right" => __("Right Sidebar","mozgaration"), 
																		),  
														"type" => "select",
														"default" => "",
														"mozgaration_skin"   => true
													),

													array(
														"id"          => MOZGARATION_THEMESLUG."_sidebar_product_cats",	
														"label"       => __("Sidebar Position for Product Showcase Categories",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",															
														"choices"     => array(		
																			""      => __("No Sidebar","mozgaration"),
																			"left"  => __("Left Sidebar","mozgaration"),
																			"right" => __("Right Sidebar","mozgaration"), 
																		),  
														"type" => "select",
														"default" => "",
														"mozgaration_skin"   => true
													),	

													array(
														"id"          => MOZGARATION_THEMESLUG."_sidebar_woo_cats",	
														"label"       => __("Sidebar Position for WooCommerce Categories",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",															
														"choices"     => array(		
																			""      => __("No Sidebar","mozgaration"),
																			"left"  => __("Left Sidebar","mozgaration"),
																			"right" => __("Right Sidebar","mozgaration"), 
																		),  
														"type" => "select",
														"default" => "",
														"mozgaration_skin"   => true
													),	
													
													/*
													array(
														"id"          => MOZGARATION_THEMESLUG."_sidebar_test_cats",	
														"label"       => __("Sidebar Position for Testimonial Categories",'mozgaration'),
														"description" => "",
														"transport"   => "refresh",															
														"choices"     => array(		
																			""      => __("No Sidebar","mozgaration"),
																			"left"  => __("Left Sidebar","mozgaration"),
																			"right" => __("Right Sidebar","mozgaration"), 
																		),  
														"type" => "select",
														"default" => "",
														"mozgaration_skin"   => true
													),	
													*/

											),
							),


							array(
								'id'          => 'page_comments',
								'title'       => __("Page Comments", "mozgaration"), 
								"description" => __("Turn ON this option if you want to allow comments on regular pages. Make sure 'Allow Comments' box is also checked for individual pages. If you dont see that option in your pages make sure to turn on the &#39;discussions&#39; option in the screen options below the admin name while you are in that page editing the content.",'mozgaration'),				
								'controls'    => array( 

													array(
														"id"        => MOZGARATION_THEMESLUG."_allow_page_comments",															
														"label"     => __("Allow comments on pages",'mozgaration'),														
														"default"   => 1,
														"transport" => "refresh",
														"type"      => "checkbox",
													),	

											),
							),
   

							array(
								'id'          => 'page_loading',
								'title'       => __("Page Loading Effect", "mozgaration"), 
								"description" => __("Check this option to enable page loading effect",'mozgaration'),				
								'controls'    => array( 

													array(
														"id"        => MOZGARATION_THEMESLUG."_page_loading_effect",															
														"label"     => __("Page Loading Effect",'mozgaration'),														
														"default"   => 1,
														"transport" => "refresh",
														"type"      => "checkbox",
													),	

											),
							),


							array(
								'id'          => 'go_to_top',
								'title'       => __("Go to Top Button", "mozgaration"), 
								"description" => __("Check this option to display a 'go to top' button right bottom corner of your website",'mozgaration'),				
								'controls'    => array( 

													array(
														"id"        => MOZGARATION_THEMESLUG."_go_top_button",															
														"label"     => __("Display go to top button",'mozgaration'),														
														"default"   => 0,
														"transport" => "refresh",
														"type"      => "checkbox",
													),	

											),
							),

							array(
								'id'          => 'google_maps',
								'title'       => __("Google Maps", "mozgaration"), 
								"description" => __("Enter your Google API key. Refer online documentation of the theme to learn how to get your API key.",'mozgaration'),				
								'controls'    => array( 

														array(
															"id"        => MOZGARATION_THEMESLUG."_google_api_key",															
															"label"     => __("Google API Key",'mozgaration'),														
															"default"   => "",
															"transport" => "refresh",
															"type"      => "text",
														),	

											),
							),							

					)
	);