<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Mozgaration theme Product Options
 */

$this->options["mozgaration_product_options"] = array(

		'title' => __("Product Options", "mozgaration"), 
		//'description' => "", 
		'priority' => 5,
		'sections' => array(

							array(
								'id'       => 'misc',
								'title'    => __("Global Layout Options", "mozgaration"), 
								'controls' => array( 
													array(
														"id"          => MOZGARATION_THEMESLUG."_product_layout",															
														"label"       => __("Layout",'mozgaration'),
														"description" => __("Select and set a default column layout for the product category & archive listing pages for each of the (single) post items listed within those pages.",'mozgaration'),
														"choices"     =>  array(
																			"1/6" => "1/6", 
																			"1/4" => "1/4",
																			"1/3" => "1/3",
																			"1/2" => "1/2",
																			"1/1" => "1/1"
																  		),			
														"default"   => "1/3",
														"transport" => "refresh", 
														"type"      => "select"
													),				

													array(
														'id'          => MOZGARATION_THEMESLUG.'_product_layout_style',
														'label'       => __("Layout Style",'mozgaration'),
														"description" => __("Select and set a default layout style for the product category & archive listing pages",'mozgaration'),
														'type'        => 'select',
														'default'     => 'grid',
														"transport"   => "refresh",
														'choices'     => array(
																			"grid" => __("Grid","mozgaration"),
																			"masonry" => __("Masonry","mozgaration"),
																		),
													),													
											),
							),							

							array(
								'id'       => 'style',
								'title'    => __("Listing Parameters", "mozgaration"), 
								'controls' => array( 

													array(
														"label"       => __("Amount of product items to show per page",'mozgaration'),
														"description" => __("Set the amount of portfolio items to show per page before pagination kicks in.",'mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_product_list_pager",
														"min"         => "1",
														"max"         => "200",
														"default"     => "9", 
														"type"        => "number",
														"transport"   => "refresh",
														"input_attrs" => array("min"=>1,"max"=>201)
													),
										
													array(
														"label"       => __("OrderBy Parameter",'mozgaration'),
														"description" => __("Select and set the sorting order for the product items within the product listing pages by this parameter.",'mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_product_list_orderby",
														"choices"     => array('author'=>__('Author','mozgaration'),'date'=>__('Date','mozgaration'),'title'=>__('Title','mozgaration'),'modified'=>__('Modified','mozgaration'),'ID'=>__('ID','mozgaration'),'rand'=>__('Randomized','mozgaration')), 
														"default"     => "date",
														"transport"   => "refresh",
														"type"        => "select"
													),
										
													array(
														"label"       => __("Order",'mozgaration'),
														"description" => __("Select and set the ascending or descending order for the ORDERBY parameter.",'mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_product_list_order",
														"choices"     => array('ASC'=>__('Ascending','mozgaration'),'DESC'=>__('Descending','mozgaration')),
														"default"     => "DESC",
														"transport"   => "refresh",				
														"type"        => "select"
													),

											),
							),		

							array(
								'id'       => 'cat_display',
								'title'    => __("Category Display Options", "mozgaration"), 
								'controls' => array( 


													array(
														"id"          => MOZGARATION_THEMESLUG."_hide_current_category_desc",															
														"label"       => __("Current Category Description Visibility",'mozgaration'),
														"choices"     =>  array(
																					"false" => __("Display","mozgaration"),						
																					"true" => __("Hide","mozgaration"),
																				),				
														"default"   => "false",
														"transport" => "refresh", 
														"type"      => "select"
													),		


													array(
														"id"          => MOZGARATION_THEMESLUG."_category_display",															
														"label"       => __("Layout",'mozgaration'),
														"choices"     =>  array(
																					"products_only"   => __("Show products only" ,"mozgaration"), 
																					"both"            => __("Show products and subcategories","mozgaration"),
																					"categories_only" => __("Show subcategories only","mozgaration") 
																  				),			
														"default"   => "products_only",
														"transport" => "refresh", 
														"type"      => "select"
													),		
																			
													array(
														'id'          => MOZGARATION_THEMESLUG.'_product_category_layout_style',
														'label'       => __("Layout Style",'mozgaration'),
														"description" => __("Select a default layout style for the product subcategory lists",'mozgaration'),
														'type'        => 'mozgaration_select',
														'default'     => 'grid',
														"transport"   => "refresh",
														'choices'     => array(
																			"grid" => __("Grid","mozgaration"),
																			"masonry" => __("Masonry","mozgaration"),
																		),
														"input_attrs" => array( "data-depends-id" => MOZGARATION_THEMESLUG."_category_display", "data-depends-values" => "both,categories_only")
													),	

													array(
														"id"          => MOZGARATION_THEMESLUG."_product_category_layout",															
														"label"       => __("Subcategory Column Layout",'mozgaration'),
														"description" => __("Select a default column layout for the product subcategory lists",'mozgaration'),
														"choices"     =>  array(
																			"1/6" => "1/6", 
																			"1/4" => "1/4",
																			"1/3" => "1/3",
																			"1/2" => "1/2",
																			"1/1" => "1/1"
																  		),			
														"default"   => "1/3",
														"transport" => "refresh", 
														"type"      => "mozgaration_select",
														"input_attrs" => array( "data-depends-id" => MOZGARATION_THEMESLUG."_category_display", "data-depends-values" => "both,categories_only")
													),		

													array(
														"id"          => MOZGARATION_THEMESLUG."_product_category_list_orderby",															
														"label"       => __("Subcategory List OrderBy Parameter",'mozgaration'),
														"choices"     =>  array(
																					'id'    => 'ID',
																					'name'  => 'Name',
																					'slug'  => 'Slug',
																					'count' => 'Count'
																  			),			
														"default"   => "name",
														"transport" => "refresh", 
														"type"      => "mozgaration_select",
														"input_attrs" => array( "data-depends-id" => MOZGARATION_THEMESLUG."_category_display", "data-depends-values" => "both,categories_only")
													),		


													array(
														"id"          => MOZGARATION_THEMESLUG."_product_category_list_order",															
														"label"       => __("Subcategory List Order",'mozgaration'),
														"choices"     => array('ASC'=>__('Ascending','mozgaration'),'DESC'=>__('Descending','mozgaration')),		
														"default"   => "ASC",
														"transport" => "refresh", 
														"type"      => "mozgaration_select",
														"input_attrs" => array( "data-depends-id" => MOZGARATION_THEMESLUG."_category_display", "data-depends-values" => "both,categories_only")
													),		


													array(
														"id"          => MOZGARATION_THEMESLUG."_product_category_show_names",															
														"label"       => __("Display Subcategory Names",'mozgaration'),
														"choices"     =>  array(
																				"false" => __("Disabled","mozgaration"),						
																				"true" => __("Enabled","mozgaration"),
																			),				
														"default"   => "true",
														"transport" => "refresh", 
														"type"      => "mozgaration_select",
														"input_attrs" => array( "data-depends-id" => MOZGARATION_THEMESLUG."_category_display", "data-depends-values" => "both,categories_only")
													),	


													array(
														"id"          => MOZGARATION_THEMESLUG."_product_category_show_desc",															
														"label"       => __("Display Subcategory Descriptions",'mozgaration'),
														"choices"     =>  array(
																				"false" => __("Disabled","mozgaration"),						
																				"true" => __("Enabled","mozgaration"),
																			),				
														"default"   => "true",
														"transport" => "refresh", 
														"type"      => "mozgaration_select",
														"input_attrs" => array( "data-depends-id" => MOZGARATION_THEMESLUG."_category_display", "data-depends-values" => "both,categories_only")
													),	


													array(
														"id"          => MOZGARATION_THEMESLUG."_product_category_show_thumbs",															
														"label"       => __("Display Subcategory Thumbnails",'mozgaration'),
														"choices"     =>  array(
																				"false" => __("Disabled","mozgaration"),						
																				"true" => __("Enabled","mozgaration"),
																			),				
														"default"   => "true",
														"transport" => "refresh", 
														"type"      => "mozgaration_select",
														"input_attrs" => array( "data-depends-id" => MOZGARATION_THEMESLUG."_category_display", "data-depends-values" => "both,categories_only")
													),	

 
 													array(
														"id"          => MOZGARATION_THEMESLUG."_product_category_crop",															
														"label"       => __("Crop Subcategory Images",'mozgaration'),
														"choices"     =>  array(
																				"false" => __("Disabled","mozgaration"),						
																				"true" => __("Enabled","mozgaration"),
																			),				
														"default"   => "true",
														"transport" => "refresh", 
														"type"      => "mozgaration_select",
														"input_attrs" => array( "data-depends-id" => MOZGARATION_THEMESLUG."_category_display", "data-depends-values" => "both,categories_only")
													),	


													array(
														"label"       => __("Subcategory Maximum Image Height",'mozgaration'),
														"description" => __("Set the maximum height in pixels for the product category images in product categories. The &#39;Crop Subcategory Images&#39; must be enabled to use this option.",'mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_product_category_image_height",
														"default"     => 240, 
														"type"        => "number",
														"transport"   => "postMessage",
														"input_attrs" => array( "data-depends-id" => MOZGARATION_THEMESLUG."_category_display", "data-depends-values" => "both,categories_only")
													),


											),
							),		


							array(
								'id'       => 'currency',									
								'title'    => __("Currency Options", "mozgaration"), 
								'controls' => array( 

													array(
														"label"       => __("Currency",'mozgaration'),
														"description" => __('Set a default currency sign/character.','mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_currency",
														"default"     => "$",
														"type"        => "text", 
														"transport"   => "refresh",
													),

													array(
														"label"        => __("Currency Location",'mozgaration'),
														"description" => __('Select the location for the currency sign/character (before or after the price label).','mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_currency_location",
														"choices"     =>  array( "before" => __("Before the numbers","mozgaration"),  "after" => __("After the numbers","mozgaration")  ),
														"default"     => "before", 
														"type"        => "select",
														"transport"   => "refresh",
													),
										 
													array(
														"label"        => __("Display Price in Product Lists",'mozgaration'),
														"description" => __('Display the price in lists like product categories','mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_show_price_in_list",
														"choices"     =>  array( "true" => __("Yes","mozgaration"),  "false" => __("No","mozgaration")  ),
														"default"     => "true", 
														"type"        => "select",
														"transport"   => "refresh",
													),										 

													array(
														"label"        => __("Display Price in Single Product Pages",'mozgaration'),
														"description" => __('Display the price in single product page','mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_show_price_in_pages",
														"choices"     =>  array( "true" => __("Yes","mozgaration"),  "false" => __("No","mozgaration")  ),
														"default"     => "true", 
														"type"        => "select",
														"transport"   => "refresh",
													),				

											),
							),

						array(
							'id'       => 'featured_img',									
							'title'    => __("Featured Images", "mozgaration"), 
							"description" => __('Enable "Image Resize" to resize or crop the featured images automatically. These settings will be used as globaly.<br />
												Please note, since the theme is reponsive the images cannot be wider than the column they are in. Leave these values "0" to use theme defaults.','mozgaration'),

							'controls' => array( 

												array(
													"label"       => __("Image Resize",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_product_image_resize",
													"choices"     =>  array(
																		"false" => __("Disabled","mozgaration"),						
																		"true" => __("Enabled","mozgaration"),
																	),			
													"default"   => "true",
													"transport" => "postMessage", 
													"type"      => "select"
												),		

												array(
													"label"       => __("Featured Image Max Width",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_product_image_width",
													"default"     => 0, 
													"type"        => "number",
													"transport"   => "postMessage",
													"input_attrs" => array("min"=>0,"max"=>3000, "data-depends-id" => MOZGARATION_THEMESLUG."_product_image_resize", "data-depends-values" => "true")
												),


												array(
													"label"       => __("Featured Image Max Height",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_product_image_height",
													"default"     => 0, 
													"type"        => "number",
													"transport"   => "postMessage",
													"input_attrs" => array("min"=>0,"max"=>3000, "data-depends-id" => MOZGARATION_THEMESLUG."_product_image_resize", "data-depends-values" => "true")
												),

												array(
													"label"       => __("Crop Featured Image",'mozgaration'),
													"id"          => MOZGARATION_THEMESLUG."_product_image_crop",
													"default"     => "",
													"transport"   => "postMessage",
													"type"        => "mozgaration_checkbox",
													"input_attrs" => array("data-depends-id" => MOZGARATION_THEMESLUG."_product_image_resize", "data-depends-values" => "true")
												),
									 

										),
						),		

							array(
								'id'          => 'single',									
								'title'       => __("Single Product Layout", "mozgaration"), 
								'description' => __("These options for default single product page layout. ", "mozgaration"), 
								'controls'    => array( 

													array(
														"id"          => MOZGARATION_THEMESLUG."_product_content_width",															
														"label"       => __("Product Info Width",'mozgaration'),
														"description" => __("Select a width for the content block that contains product title, short info and the images.",'mozgaration'),
														"choices"     =>  array(
																			"1/6" => "1/6",
																			"1/4" => "1/4",
																			"1/3" => "1/3",
																			"1/2" => "1/2",
																			"1/1" => "1/1"
																  		),			
														"default"   => "1/1",
														"transport" => "refresh", 
														"type"      => "select"
													),	
										
													array(
														"label"       => __("Tabular Content Style",'mozgaration'),
														"description" => __('Select a style for the tabular content.','mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_product_content_style",
														"choices"     =>  array(
																			"1" => __("Stlye 1 - Horizontal Tabs","mozgaration"),
																			"2" => __("Stlye 2 - Left Vertical Tabs","mozgaration"),
																			"3" => __("Stlye 3 - Right Vertical Tabs","mozgaration"),
																			"4" => __("Stlye 4 - Accordion","mozgaration"),
																  		),			
														"default"   => "1",
														"transport" => "refresh", 
														"type"      => "select"
													),
													
													
													array(
														"label"       => __("Hide Share Buttons",'mozgaration'), 
														"id"          => MOZGARATION_THEMESLUG."_hide_product_share_buttons",
														"default"     => "",
														"transport"   => "refresh",
														"type"        => "checkbox"
													),	
										 
											),
							),		

							array(
								'id'       => 'related',									
								'title'    => __("Related Products", "mozgaration"), 
								'controls' => array( 

													array(
														"id"          => MOZGARATION_THEMESLUG."_related_product_layout",															
														"label"       => __("Layout",'mozgaration'),
														"description" => __("Select and set a default column layout for the related products list.",'mozgaration'),
														"choices"     =>  array(
																			"1/6" => "1/6", 
																			"1/4" => "1/4",
																			"1/3" => "1/3",
																			"1/2" => "1/2"
																  		),			
														"default"   => "1/2",
														"transport" => "refresh", 
														"type"      => "select"
													),	
										
													array(
														"label"       => __("Crop Featured Image",'mozgaration'),
														"description" => __('Enable cropping for product images inside the related products list.','mozgaration'),
														"id"          => MOZGARATION_THEMESLUG."_related_product_image_crop",
														"default"     => "",
														"transport"   => "postMessage",
														"type"        => "checkbox"
													),
										 
											),
							),		


					)
	);
