<?php
#-----------------------------------------
#	Mozgaration theme mozgaration_start.php
#	version: 1.0
#-----------------------------------------

#
# 	Load the theme
#

class MOZGaration{
 
	//Available Social Media Icons
	public $mozgaration_social_media_icons=array(  
			"RSS"             => "rss", 
			"Email"           => "mail", 
			"Twitter"         => "twitter", 
			"Facebook"        => "facebook", 
			"Flickr"          => "flickr", 
			"Google +"        => "gplus", 
			"Pinterest"       => "pinterest", 
			"Tumblr"          => "tumblr", 
			"Linkedin"        => "linkedin", 
			"Dribbble"        => "dribbble", 
			"Skype"           => "skype", 
			"Behance"         => "behance", 
			"Github"          => "github", 
			"Vimeo"           => "vimeo", 
			"StumbleUpon"     => "stumbleupon", 
			"Lastfm"          => "lastfm", 
			"Spotify"         => "spotify", 
			"Instagram"       => "instagram", 
			"Dropbox"         => "dropbox", 
			"Evernote"        => "evernote", 
			"Flattr"          => "flattr", 
			"Paypal"          => "paypal", 
			"Picasa"          => "picasa", 
			"Vkontakte"       => "vkontakte", 
			"YouTube"         => "youtube-play", 
			"SoundCloud"      => "soundcloud",
			"Foursquare"      => "foursquare",
			"Delicious"       => "delicious",
			"Forrst"          => "forrst",
			"eBay"            => "ebay",
			"Android"         => "android", 
			"Xing"            => "xing",
			"Reddit"          => "reddit",
			"Digg"            => "digg",
			"Apple App Store" => "macstore",
			"MySpace"         => "myspace",
			"Stack Overflow"  => "stackoverflow",
			"Slide Share"     => "slideshare",
			"Weibo"           => "sina-weibo"
	);
				
 
	#
	# Start
	#    
	function mozgaration_start($v){

		global $mozgaration_social_media_icons;
		$mozgaration_social_media_icons 	= apply_filters("mozgaration_social_media_list", $this->mozgaration_social_media_icons ); 
 
		//global constants
		add_action('registered_taxonomy', array(&$this,'mozgaration_global_constants'));

		// Load text domain
		if( ! is_admin() ){	
			load_theme_textdomain('mozgaration', get_template_directory().'/languages' );
		}

		//Call Theme Constants
		$this->mozgaration_theme_constants($v);	  

		//Load Classes
		$this->mozgaration_load_classes($v);
		
		//Load Functions
		$this->mozgaration_load_functions($v);

		//Create Menus 
		add_action('init', array(&$this,'mozgaration_create_menus'));
				
		//Theme Supports
		$this->mozgaration_theme_supports();


		//check woocommerce
		if ( class_exists( 'Woocommerce' ) ) {
			include(MOZGARATION_THEMEFRAMEWORKDIR . "/functions/mozgaration_woo.php");
		}
		
		//Ajax Contact Form 
		add_action('wp_ajax_mozgaration_ajax_contact_form', array(&$this,'mozgaration_ajax_contact_form'));
		add_action('wp_ajax_nopriv_mozgaration_ajax_contact_form', array(&$this,'mozgaration_ajax_contact_form'));
	 
	}
 
	#
	# Ajax contact form
	#
	
	function mozgaration_ajax_contact_form()
	{
       include(MOZGARATION_EXTENSIONS_PLUGINURI. "/ajax-form.php");
	} 


	#
	#	Global Constants
	#
	function mozgaration_global_constants($v) {
		if( ! defined( 'MOZGARATION_FRAMEWOK' ) ) define('MOZGARATION_FRAMEWOK', TRUE);		
	}   
		
	#
	#	Theme Constants
	#
	
	function mozgaration_theme_constants($v) {
		if( ! defined( 'MOZGARATION_THEMENAME' ) ) define('MOZGARATION_THEMENAME', $v['theme']);
		if( ! defined( 'MOZGARATION_THEMESLUG' ) ) define('MOZGARATION_THEMESLUG', $v['slug']); // a unique slugname for this theme
		if( ! defined( 'MOZGARATION_COMMON_THEMESLUG' ) ) define('MOZGARATION_COMMON_THEMESLUG', "mozgarationtheme"); // a common slugnam for all mozgaration-theme
		if( ! defined( 'MOZGARATION_THEMEVERSION' ) ) define('MOZGARATION_THEMEVERSION', $v['version']); 
		if( ! defined( 'MOZGARATION_THEMEDIR' ) ) define('MOZGARATION_THEMEDIR', get_template_directory());
		if( ! defined( 'MOZGARATION_THEMEURI' ) ) define('MOZGARATION_THEMEURI', get_template_directory_uri());
		if( ! defined( 'MOZGARATION_FRAMEWORKSLUG' ) ) define('MOZGARATION_FRAMEWORKSLUG', 'mozgaration-framework'); 
		if( ! defined( 'MOZGARATION_THEMEFRAMEWORKDIR' ) ) define('MOZGARATION_THEMEFRAMEWORKDIR', get_template_directory().'/mozgaration-framework'); 
		if( ! defined( 'MOZGARATION_THEMEADMINDIR' ) ) define('MOZGARATION_THEMEADMINDIR', get_template_directory().'/mozgaration-framework/admin');
		if( ! defined( 'MOZGARATION_THEMEADMINURI' ) ) define('MOZGARATION_THEMEADMINURI', get_template_directory_uri().'/mozgaration-framework/admin');
		if( ! defined( 'MOZGARATION_WPADMINURI' ) ) define('MOZGARATION_WPADMINURI', get_admin_url());
		if( ! defined( 'MOZGARATION_THEMESTYLE' ) ) define('MOZGARATION_THEMESTYLE', get_option(MOZGARATION_THEMESLUG."_style")); 
		if( ! defined( 'MOZGARATION_EXTENSIONS_PLUGIN' ) ) define('MOZGARATION_EXTENSIONS_PLUGIN', "MOZGARATIONEX_Extensions"); //CLASS NAME
		if( ! defined( 'MOZGARATION_EXTENSIONS_PLUGINURI' ) ) define('MOZGARATION_EXTENSIONS_PLUGINURI', ABSPATH.'/wp-content/plugins/mozgarationex-extentions/inc');
		if( ! defined( 'MOZGARATION_EXTENSIONS_PLUGIN_NAME' ) ) define('MOZGARATION_EXTENSIONS_PLUGIN_NAME', "Mozgaration theme | Extensions Plugin");

		

		// Constants for notifier
		if( ! defined( 'MOZGARATION_NOTIFIER_THEME_FOLDER_NAME' ) ) define('MOZGARATION_NOTIFIER_THEME_FOLDER_NAME', 'mozgaration' );  
		if( ! defined( 'MOZGARATION_NOTIFIER_XML_FILE' ) ) define('MOZGARATION_NOTIFIER_XML_FILE', 'http://mozgaration.ru/notifier.xml' ); 
		if( ! defined( 'MOZGARATION_NOTIFIER_CACHE_INTERVAL' ) ) define('MOZGARATION_NOTIFIER_CACHE_INTERVAL', 21600 );
		
		//unique theme name for default settings
		if( ! defined( 'MOZGARATION_UTHEME_NAME' ) ) define('MOZGARATION_UTHEME_NAME', "MOZGARATION");

		if( ! defined( 'MOZGARATION_BLOGURL' ) ) define('MOZGARATION_BLOGURL', apply_filters( 'wpml_home_url', home_url() ) ); 

	}    
	
	#
	#	Load Functions
	#
	
	function mozgaration_load_functions($v) {
		include(MOZGARATION_THEMEFRAMEWORKDIR . "/functions/mozgaration_common.php");		
		include(MOZGARATION_THEMEFRAMEWORKDIR . "/functions/mozgaration_comments.php");		
		include(MOZGARATION_THEMEFRAMEWORKDIR . "/functions/mozgaration_theme.php");
		include(MOZGARATION_THEMEFRAMEWORKDIR . "/functions/mozgaration_breadcrumb.php");
		include(MOZGARATION_THEMEFRAMEWORKDIR . "/functions/mozgaration_wpml.php");
		include(MOZGARATION_THEMEFRAMEWORKDIR . "/functions/mozgaration_styling.php");
		include(MOZGARATION_THEMEFRAMEWORKDIR . "/functions/mozgaration_resize.php");
        include(MOZGARATION_THEMEFRAMEWORKDIR . "/functions/mozgaration_postlike.php");		
	}

	#
	#	Load Classes
	#
	
	function mozgaration_load_classes($v) {
		global $mozgaration_sidebars_class, $wp_customize;

		//Backend only jobs
		if(is_admin()){		
			require_once (MOZGARATION_THEMEFRAMEWORKDIR.'/classes/mozgaration_admin.php'); 
			$MOZGARATIONadmin = new MOZGarationAdmin();
			$MOZGARATIONadmin->admin_init(); 
 
			//activate plugins
			include(MOZGARATION_THEMEFRAMEWORKDIR . "/plugins/class-tgm-plugin-activation.php");	 
			add_action( 'tgmpa_register', array(&$this,'mozgaration_activate_plugins'));		
		}

		//Customize Panel
		if( is_admin() || $wp_customize ){			
			include(MOZGARATION_THEMEFRAMEWORKDIR . "/classes/mozgaration_panel.php");  	 	
		}

		//Create Sidebars
		include(MOZGARATION_THEMEFRAMEWORKDIR . "/classes/mozgaration_sidebar.php");  
		$mozgaration_sidebars_class = new MOZGarationSidebar(); 

		//is login or register page		
		$is_login = in_array( $GLOBALS['pagenow'], array( 'wp-login.php', 'wp-register.php' ));

		//Frontend only jobs
		if(!is_admin() && !$is_login){
			require_once (MOZGARATION_THEMEFRAMEWORKDIR.'/classes/mozgaration_theme.php'); 
			$MOZGarationSite = new MOZGarationSite();
			$MOZGarationSite -> theme_init();

			//Navigation Walker
			include(MOZGARATION_THEMEFRAMEWORKDIR . "/classes/mozgaration_navigation.php");		
		} 

		//Common Classes
		include(MOZGARATION_THEMEFRAMEWORKDIR . "/classes/mozgaration_classes.php");   
		
	}    	 

	#
	#	Create WP Menus
	#

	function mozgaration_create_menus() {
		global $wp_customize;

		$layout = get_theme_mod(MOZGARATION_THEMESLUG.'_layout');
		$layout = empty( $layout ) ? "layout1" : $layout;

		register_nav_menu( 'mozgaration-theme-main-navigation', esc_html__('Main Navigation','mozgaration') ); 
		register_nav_menu( 'mozgaration-theme-footer-navigation', esc_html__('Footer Navigation','mozgaration') );  

		wp_create_nav_menu( esc_html__('Main Navigation','mozgaration'), array( 'slug' => 'mozgaration-theme-main-navigation') );
		wp_create_nav_menu( esc_html__('Footer Navigation','mozgaration'), array( 'slug' => 'mozgaration-theme-footer-navigation') );

		if( $layout != "layout1" || $layout != "layout2" && ! isset( $wp_customize ) ){
			register_nav_menu( 'mozgaration-theme-mobile-navigation', esc_html__('Mobile Navigation','mozgaration') );
			register_nav_menu( 'mozgaration-theme-side-navigation', esc_html__('Side Panel Navigation','mozgaration') ); 
			wp_create_nav_menu( esc_html__('Side Panel Navigation','mozgaration'), array( 'slug' => 'mozgaration-theme-side-navigation') );
		}
		
			
	}

	#
	#	Theme Supports
	#
	 
	function mozgaration_theme_supports(){
 
		//Automatic Feed Links
		add_theme_support( 'automatic-feed-links' );
		
		//Let WordPress manage the document title.
		add_theme_support( 'title-tag' );		
		
		//post thumbnails
		add_theme_support( 'post-thumbnails' ); 

		//Supported Post Formats         
		global $wp_version;
		if (version_compare($wp_version,"3.5.1","<")){
			add_filter( 'enable_post_format_ui', '__return_false' );
		}
				
		remove_filter( 'the_content', 'post_formats_compat', 7 );

		//woocommerce support
		add_theme_support( 'mozgaration' );
	}	


	#
	#	Get Pages as array
	#

	public static function mozgaration_get_pages(){
		  
		// Pages		
		$pages = query_posts('posts_per_page=-1&post_type=page&orderby=title&order=ASC');
		$mozgaration_getpages = array();
		
		if(is_array($pages)){
			foreach ($pages as $page_list ) {
				$mozgaration_getpages[$page_list->ID] = $page_list ->post_title;
			}
		}
		
		wp_reset_query();
		return $mozgaration_getpages;
		
	}


	#
	#	Get Blog Categories - only post categories
	#

	public static function mozgaration_get_categories(){

		if( ! taxonomy_exists("category") ){
			return array();
		}

		// Categories
		$args = array(
			'type'                     => 'post',
			'child_of'                 => 0, 
			'orderby'                  => 'name',
			'order'                    => 'ASC',
			'hide_empty'               => 1,
			'hierarchical'             => 1,  
			'taxonomy'                 => 'category',
			'pad_counts'               => false
			);
		
		
		$categories = get_categories($args);
		$mozgaration_getcat = array();
		
		if(is_array($categories)){
			foreach ($categories as $category_list ) {
				$mozgaration_getcat[$category_list->cat_ID] = $category_list->cat_name;
			}
		}
	
		return $mozgaration_getcat;
	}	


	#
	#	Include plugins
	#
	
	function mozgaration_activate_plugins() { 
 
		//activate plugins 
				$plugins = array(

					array(
						'name'                  => 'Mozgaration theme | Extensions Plugin', // The plugin name
						'slug'                  => 'mozgarationex-extentions', // The plugin slug (typically the folder name)
						'source'                => MOZGARATION_THEMEFRAMEWORKDIR . '/plugins/packages/mozgarationex-extentions.zip', // The plugin source
						'required'              => true, // If false, the plugin is only 'recommended' instead of required
						'version'               => '1.1.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
						'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
						'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
						'external_url'          => '', // If set, overrides default API URL and points to an external URL
					), 

					array(
						'name'                  => 'Visual Composer', // The plugin name
						'slug'                  => 'js_composer', // The plugin slug (typically the folder name)
						'source'                => MOZGARATION_THEMEFRAMEWORKDIR . '/plugins/packages/js_composer.zip', // The plugin source
						'required'              => true, // If false, the plugin is only 'recommended' instead of required
						'version'               => '5.1.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
						'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
						'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
						'external_url'          => '', // If set, overrides default API URL and points to an external URL
					), 
                    
					array(
						'name'                  => 'Slider Revolution', // The plugin name
						'slug'                  => 'revslider', // The plugin slug (typically the folder name)
						'source'                => MOZGARATION_THEMEFRAMEWORKDIR . '/plugins/packages/revslider.zip', // The plugin source
						'required'              => false, // If false, the plugin is only 'recommended' instead of required
						'version'               => '5.4.3.1', // E.g. 1.0.1. If set, the active plugin must be this version or higher, otherwise a notice is presented
						'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
						'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
						'external_url'          => '', // If set, overrides default API URL and points to an external URL
					), 
					
			 
				);
			 
				// Change this to your theme text domain, used for internationalising strings
				$theme_text_domain = 'mozgaration';
			 
				/**
				 * Array of configuration settings. Amend each line as needed.
				 * If you want the default strings to be available under your own theme domain,
				 * leave the strings uncommented.
				 * Some of the strings are added into a sprintf, so see the comments at the
				 * end of each line for what each argument will be.
				 */

				$config = array(
					'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
					'default_path' => '',                      // Default absolute path to bundled plugins.
					'menu'         => 'tgmpa-install-plugins', // Menu slug.
					'parent_slug'  => 'themes.php',            // Parent menu slug.
					'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
					'has_notices'  => true,                    // Show admin notices or not.
					'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
					'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
					'is_automatic' => false,                   // Automatically activate plugins after installation or not.
					'message'      => '',                      // Message to output right before the plugins table.
					'strings'           => array(
						'page_title'                                => esc_html__( 'Install Required Plugins', 'mozgaration' ),
						'menu_title'                                => esc_html__( 'Install Plugins', 'mozgaration' ),
						'installing'                                => esc_html__( 'Installing Plugin: %s', 'mozgaration' ), // %1$s = plugin name
						'oops'                                      => esc_html__( 'Something went wrong with the plugin API.', 'mozgaration' ),
						'notice_can_install_required'               => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'mozgaration' ), // %1$s = plugin name(s)
						'notice_can_install_recommended'            => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'mozgaration' ), // %1$s = plugin name(s)
						'notice_cannot_install'                     => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'mozgaration' ), // %1$s = plugin name(s)
						'notice_can_activate_required'              => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'mozgaration' ), // %1$s = plugin name(s)
						'notice_can_activate_recommended'           => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'mozgaration' ), // %1$s = plugin name(s)
						'notice_cannot_activate'                    => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'mozgaration' ), // %1$s = plugin name(s)
						'notice_ask_to_update'                      => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.  <br /> Please check <a href=" '. esc_url(__( 'http://mozgaration.ru/documentation/', 'mozgaration')) .'">Online Documentation</a> / Bundled Plugins section to learn how to do it.', 'mozgaration' ), // %1$s = plugin name(s)
						'notice_cannot_update'                      => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'mozgaration' ), // %1$s = plugin name(s)
						'install_link'                              => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'mozgaration' ),
						'activate_link'                             => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'mozgaration' ),
						'return'                                    => esc_html__( 'Return to Required Plugins Installer', 'mozgaration' ),
						'plugin_activated'                          => esc_html__( 'Plugin activated successfully.', 'mozgaration' ),
						'complete'                                  => esc_html__( 'All plugins installed and activated successfully. %s', 'mozgaration' ) // %1$s = dashboard link
					)
				);
			 
				tgmpa( $plugins, $config );
	}

 
}


?>