<?php
#-----------------------------------------
#	Mozgaration theme mozgaration_theme.php
#	version: 1.2
#-----------------------------------------

#
#	Site Class
#
 
class MOZGarationSite extends MOZGaration {
 
	function theme_init(){ 

		//Loading Theme Scripts
		add_action('wp_enqueue_scripts', array(&$this,'mozgaration_load_scripts'));		
		add_action('wp_enqueue_scripts', array(&$this,'mozgaration_custom_js'));

		//Loading Theme Styles
		add_action('wp_enqueue_scripts', array(&$this,'mozgaration_load_styles'),10);

		//Loading WP Style
		add_action('wp_enqueue_scripts', array(&$this,'mozgaration_load_wp_style'),20);

		//Loading Google Fonts 
		add_action('wp_enqueue_scripts', array(&$this,'mozgaration_load_external_fonts'),40);	

		//Load Typekit Fonts 
		add_action('wp_enqueue_scripts', array(&$this,'mozgaration_load_typekit_fonts'),1); 

		//Remove no-js
		add_action('wp_enqueue_scripts', array(&$this,'mozgaration_page_loading'),1);

		//Loading html5_shiv
		add_action('wp_enqueue_scripts', array(&$this,'mozgaration_add_html5_shiv'));  

		//Loading ie9_filter
		add_action('wp_head', array(&$this,'mozgaration_add_ie9_filter'));  

	}  


	#
	# Loading Theme Scripts
	#
	
	function mozgaration_load_scripts(){

		if( ! get_theme_mod(MOZGARATION_THEMESLUG.'_optimize_js') ){
			wp_enqueue_script('mozgaration_plugins', MOZGARATION_THEMEURI  . '/js/plugins.min.js', array('jquery'), "", true );
				
			if( $GLOBALS['mozgaration_layout'] == "layout3" || $GLOBALS['mozgaration_layout'] == "layout4" ){
				wp_enqueue_script('mozgaration_TweenLite', MOZGARATION_THEMEURI  . '/js/TweenLite.min.js', 10000, "", true );
			}

			wp_enqueue_script('mediaelement');
			wp_enqueue_script('mozgaration-theme-scripts', MOZGARATION_THEMEURI  . '/js/'. $GLOBALS['mozgaration_layout'] .'/scripts.js', 10000, "", true );
			if($GLOBALS['mozgaration_layout'] == "layout1" && get_theme_mod(MOZGARATION_THEMESLUG.'_rightfix_side_show' ) == ""){
			if( is_front_page() ){
			wp_enqueue_script('mozgaration-user-scripts', MOZGARATION_THEMEURI . '/js/'. $GLOBALS['mozgaration_layout'] .'/user.script.js', array('jquery'), "", true );
		    }else{	
			wp_enqueue_script('mozgaration-user-scripts', MOZGARATION_THEMEURI . '/js/'. $GLOBALS['mozgaration_layout'] .'/users.script.js', array('jquery'), "", true );
	     	}
			}
		}else{
			wp_enqueue_script('mediaelement');
			wp_enqueue_script('mozgaration-theme-scripts', MOZGARATION_THEMEURI . '/js/'. $GLOBALS['mozgaration_layout'] .'/app.min.js', array('jquery'), "", true );
		if($GLOBALS['mozgaration_layout'] == "layout1" && get_theme_mod(MOZGARATION_THEMESLUG.'_rightfix_side_show' ) == ""){
		if( is_front_page() ){
			wp_enqueue_script('mozgaration-user-scripts', MOZGARATION_THEMEURI . '/js/'. $GLOBALS['mozgaration_layout'] .'/user.script.js', array('jquery'), "", true );
		}else{	
			wp_enqueue_script('mozgaration-user-scripts', MOZGARATION_THEMEURI . '/js/'. $GLOBALS['mozgaration_layout'] .'/users.script.js', array('jquery'), "", true );
		}
		}
		}	

	
	    wp_enqueue_script( 'mozgaration-likes-public-js', MOZGARATION_THEMEURI . '/js/like/simple-likes-public.js', array( 'jquery' ),  "", true );//Like button
	    wp_localize_script( 'mozgaration-likes-public-js', 'simpleLikes', array(
		   'ajaxurl' => admin_url( 'admin-ajax.php' ),
		   'like' => __( 'Like', 'mozgaration' ),
		   'unlike' => __( 'Unlike', 'mozgaration' )
	    ) ); 

		
		//ajax url depended WPML plugin
		$ajax_url = function_exists('icl_object_id') ? admin_url('admin-ajax.php?lang='.ICL_LANGUAGE_CODE.'') : admin_url('admin-ajax.php');

		//localize js params
		$js_params = array(
				'ajax_url'              => $ajax_url,
				'mozgarationtheme_template_dir'  => MOZGARATION_THEMEURI,
				'popup_blocker_message' => __('Please disable your pop-up blocker and click the "Open" link again.','mozgaration'),
				'wpml_lang'             =>	mozgaration_wpml_get_current_language(),
				"theme_slug"            => MOZGARATION_THEMESLUG,
				"home_url"              => apply_filters( 'wpml_home_url', home_url() )
		);

		wp_localize_script( 'mozgaration-theme-scripts', 'mozgaration_params', $js_params );

		//thread comments
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}

	}

	/**
	 * Custom JS
	 */
	function mozgaration_custom_js(){

		$custom_js = get_option( MOZGARATION_THEMESLUG."_user_custom_js" );

		if( empty( $custom_js ) ){
			return;
		}

		wp_add_inline_script( 'mozgaration-theme-scripts', stripcslashes($custom_js), "before" );
	}


	#
	# Replace no-js class with js
	# It must be inline script to prevent flickering
	#
	function mozgaration_page_loading() { 
		echo '<script type="text/javascript">/*<![CDATA[ */ var html = document.getElementsByTagName("html")[0]; html.className = html.className.replace("no-js", "js"); window.onerror=function(e,f){var body = document.getElementsByTagName("body")[0]; body.className = body.className.replace("mozgaration-loading", ""); var e_file = document.createElement("a");e_file.href = f;console.log( e );console.log( e_file.pathname );}/* ]]>*/</script>'."\n";
	}

	
	#
	# Loading Theme Styles
	#	
	function mozgaration_load_styles(){ 

		if( ! get_theme_mod(MOZGARATION_THEMESLUG.'_optimize_css') ){

			wp_enqueue_style('mozgaration-bootstrap', MOZGARATION_THEMEURI . '/css/'. $GLOBALS['mozgaration_layout'] .'/bootstrap.css');
			wp_enqueue_style('mozgaration-fontello', mozgaration_locate_media_file( '/css/fontello/css/fontello.css' )); 
			wp_enqueue_style('mozgaration-style-all', MOZGARATION_THEMEURI . '/css/'. $GLOBALS['mozgaration_layout'] .'/style.css');  
			wp_enqueue_style('mozgaration-jquery-owl-carousel', MOZGARATION_THEMEURI . '/css/owl-carousel.css');  
			wp_enqueue_style('mozgaration-lightgallery', MOZGARATION_THEMEURI . '/css/lightbox/lightgallery.min.css');			 
			wp_enqueue_style('mozgaration-mediaelement-skin', MOZGARATION_THEMEURI . '/css/mejs-skin.css');		  
            wp_enqueue_style('mozgaration-fontawesome', MOZGARATION_THEMEURI . '/css/font-awesome/css/font-awesome.min.css');
			if(is_rtl()){
				wp_enqueue_style('mozgaration-style-rtl', MOZGARATION_THEMEURI . '/css/'. $GLOBALS['mozgaration_layout'] .'/rtl.css');		  				
			}

			if ( class_exists( 'Woocommerce' ) ) { 				
				wp_enqueue_style('mozgaration-woocommerce', MOZGARATION_THEMEURI.'/css/woocommerce/mozgaration-woocommerce.css');
				
				if(is_rtl()){
					wp_enqueue_style('mozgaration-woocommerce-rtl', MOZGARATION_THEMEURI.'/css/woocommerce/mozgaration-woocommerce-rtl.css');	
				}

			}
 
			//ie9
			wp_enqueue_style('mozgaration-ie9',MOZGARATION_THEMEURI . '/css/ie9.css');
			$GLOBALS['wp_styles']->add_data( 'mozgaration-ie9', 'conditional', 'IE 9' );
			

		}else{
            //wp_enqueue_script( 'mozgaration-likes-public-css', MOZGARATION_THEMEURI . '/js/like/simple-likes-public.css');// Like button
			wp_enqueue_style('mozgaration-style-all', MOZGARATION_THEMEURI . '/css/'. $GLOBALS['mozgaration_layout'] .'/app.min.css');  	
			wp_enqueue_style('mozgaration-fontello', mozgaration_locate_media_file( '/css/fontello/css/fontello.css' ));
			wp_enqueue_style('mozgaration-fontawesome', MOZGARATION_THEMEURI . '/css/font-awesome/css/font-awesome.min.css');
			wp_enqueue_style('mozgaration-mediaelement-skin', MOZGARATION_THEMEURI . '/css/mejs-skin.min.css');		 

			if(is_rtl()){
				wp_enqueue_style('mozgaration-style-rtl', MOZGARATION_THEMEURI . '/css/'. $GLOBALS['mozgaration_layout'] .'/rtl.min.css');		  				
			}

		 	if ( class_exists( 'Woocommerce' ) ) { 
		 		wp_enqueue_style('mozgaration-woocommerce', MOZGARATION_THEMEURI.'/css/woocommerce/mozgaration-woocommerce.min.css');

				if(is_rtl()){
					wp_enqueue_style('mozgaration-woocommerce-rtl', MOZGARATION_THEMEURI.'/css/woocommerce/mozgaration-woocommerce-rtl.min.css');	
				}		 		
		 	}

																																				

			//ie9
			wp_enqueue_style('mozgaration-ie9',MOZGARATION_THEMEURI . '/css/ie9.min.css'); 
			$GLOBALS['wp_styles']->add_data( 'mozgaration-ie9', 'conditional', 'IE 9' );
			
		}


		//if it is customizer preview window and theme is not activated yet
		if( is_customize_preview() ) {
			if( ! get_theme_mods() ){
				wp_enqueue_style('mozgaration-preview', MOZGARATION_THEMEURI . '/css/preview-style.css');	
			}
		}


				
	}


	#
	# Loading WP default stylesheet 
	#	
	function mozgaration_load_wp_style(){ 
			wp_enqueue_style('mozgaration-style', get_bloginfo( 'stylesheet_url' ));
	}

	#
	#   Load Google Fonts
	#
	function mozgaration_load_external_fonts(){

		$selected_fonts = mozgaration_get_selected_fonts_list();

		$group_fonts = array();
		$subsets = array();
		$include_string = "";

		//import google fonts
		foreach( $selected_fonts as $purpose => $data) {
			if( is_array( $data ) && $data["kind"] == "google" ){ //check if it is a google font

				if( ! isset( $group_fonts[ $data["family"] ] ) ){
					$group_fonts[ $data["family"] ] = $data["family"] ;
					$group_fonts[ $data["family"] ] = array();
					$group_fonts[ $data["family"] ]["variants"] = array( $data["variant"] );
				}else{
					array_push( $group_fonts[ $data["family"] ]["variants"] , $data["variant"] );
				}

				$subsets = is_array( $data["subset"] ) ? array_merge( $subsets, $data["subset"] ) : $subsets ;
				
			}
		}

		//create include list
		foreach( $group_fonts as $family => $extend ) {
			$include_string .= ! empty( $include_string ) ? "|" : "";
			$include_string .= $family.':'. implode( array_unique( $extend["variants"] ) , "," ); 			
		}

		$include_string .= ! empty( $subsets ) ? '&subset='. implode( array_unique( $subsets ) ,"," ) : "" ; 

		if( ! empty( $include_string ) ){
			$font_url = add_query_arg( 'family', $include_string, "//fonts.googleapis.com/css" );
			wp_enqueue_style( 'mozgaration-google-fonts', $font_url, array(), '1.0.0' );
		}

	}


	#
	#   Load Typekit Fonts
	#
	function mozgaration_load_typekit_fonts(){

		$saved_fonts = unserialize( get_option( MOZGARATION_THEMESLUG ."_custom_fonts" ) );

		if( empty( $saved_fonts ) || ! is_array( $saved_fonts ) ){
			return;
		}

		$kitids = array(); 

		//collect kitids into an array
		foreach( $saved_fonts as $key => $font) {		

			if( $font["font-type"] != "typekit" ){
				continue;
			}

			$kitids[] = $font["kitid"];
		}

		array_unique($kitids);

		$this->kitids = $kitids;


		if( ! empty( $this->kitids) ){
			//create include list
			foreach( $kitids as $kitid) {
				wp_enqueue_script( "mozgaration-typekit-fonts-".$kitid, '//use.typekit.net/'.$kitid.'.js', 1, "", false); 			
			}
		}		

		add_action('wp_enqueue_scripts', array(&$this,'mozgaration_add_typekit_script'));

	}

	#   Add Typekit Script
	#	
	function mozgaration_add_typekit_script(){
		echo '<script type="text/javascript">/*<![CDATA[ */ try{Typekit.load();}catch(e){} /* ]]>*/</script>'."\n";
	}
	

	#
	#  HTML5 SHIV
	# 
	function mozgaration_add_html5_shiv(){ 
	wp_enqueue_script( 'mozgaration_html5shiv', MOZGARATION_THEMEURI  . '/js/html5shiv.min.js' );
    wp_script_add_data( 'mozgaration_html5shiv', 'conditional', 'lt IE 9' );
	}


	#
	#  IE 9 FILTER
	# 
	function mozgaration_add_ie9_filter(){ echo '<!--[if gte IE 9]> <style type="text/css"> .gradient { filter: none; } </style> <![endif]-->'."\n";} 

}


?>