<?php
/**
 * The template for displaying portfolio content within loops.
 *
 * @author 		KILIKO
 * 
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


global $mozgaration_portfolio_post_values, $mozgaration_portfolio_list_atts;
extract($mozgaration_portfolio_post_values);
extract($mozgaration_portfolio_list_atts);
?> 

<!-- portfolio box-->
<div <?php post_class("loop " .$item_style. " ". $portfolio_format)?> id="portfolio-<?php the_ID(); ?>">

	<?php 

		//title output
		$title_output = $permalink ? sprintf('<h5><a href="%s" target="%s" rel="bookmark">%s</a></h5>',$permalink,$target,$title) : sprintf('<h5>%s</h5>',$title) ;

		//shor desc output
		$desc_output = ! empty( $short_desc ) ? sprintf( '<p>%s</p>', $short_desc ) : "" ;


		//create lightbox links
		switch ( $portfolio_format ) {
			case 'video':
			 
				$video_url = !empty( $external_video ) ? $external_video : $video_mp4;

				if( $video_mp4 ){
					printf('
						<div style="display:none;" id="%1$s">
							<video class="lg-video-object lg-html5" controls preload="none" poster="%4$s">
								<source src="%2$s" type="video/mp4" title="mp4">
								<source src="%3$s" type="video/webm" title="webm">
							</video>
						</div>
					','video-'.get_the_ID(), $video_mp4, $video_webm, $featured_image_url);
				}

				$lightbox_link = mozgaration_create_lightbox_link( array( 'class'=> 'video lightbox_', 'href'=> $video_mp4 ? "" : $video_url, 'title'=> __('Play Video','mozgaration'), 'data_group'=> 'image_'.$featured_image_id, 'data_title'=> $title, 'data_thumbnail' => $lightbox_thumbnail, "data_html" => $video_mp4 ? '#video-'.get_the_ID() : "", 'echo'=> false) ); 

				break;

			case 'audio':

				if( $audio_mp3 ){
					printf('
						<div style="display:none;" id="%1$s">
							<audio class="lg-video-object lg-html5" controls preload="none">
								<source src="%2$s" type="video/mp4" title="mp4">
								<source src="%3$s" type="video/webm" title="webm">
							</audio>
						</div>
					','audio-'.get_the_ID(), $audio_mp3, $audio_ogg);
				}	

				$lightbox_link = mozgaration_create_lightbox_link( array( 'class'=> 'audio lightbox_', 'href'=> "", 'title'=> __('Play Audio','mozgaration'), 'data_group'=> 'image_'.$featured_image_id, 'data_title'=> $title, 'data_thumbnail' => $lightbox_thumbnail, "data_html" => $audio_mp3 ? '#audio-'.get_the_ID() : "", 'echo'=> false) ); 
				
				break;
						
			default:
				
				$lightbox_link = mozgaration_create_lightbox_link( array( 'class'=> 'zoom lightbox_', 'href'=> $featured_image_url, 'title'=> __('Enlarge Image','mozgaration'), 'data_group'=> 'image_'.$featured_image_id, 'data_title'=> $title, 'data_thumbnail' => $lightbox_thumbnail, 'echo'=> false) ); 

				break;
		}

		//lightbox disabled?
		$lightbox_link = $disable_lightbox ? "" : $lightbox_link;

		//create action buttons
		$action_buttons = isset( $remove_buttons ) && $remove_buttons === "true" ? "" : mozgaration_action_buttons(array( "lightbox_link" => $lightbox_link, "link" => $permalink, "title" => $title, "external_link" => $external_link, "target" => $target, "echo" => false));
		
		if( get_theme_mod('mozgaration_portfolio_like_box' ) != ""){
			$likes = '';
	        }else{
			  $likes = mozgaration_get_likes_button( $post->ID );
			};
		

		//output
		if( $item_style == "style-1" ){

			$thumbnail_image_output = $permalink && isset( $remove_buttons ) && $remove_buttons === "true" ? sprintf('<a href="%s" title="%s" target="%s" rel="bookmark">%s</a>',$permalink,$title,$target,$thumbnail_image_output) : $thumbnail_image_output ;
			$action_buttons = isset( $remove_buttons ) && $remove_buttons === "true" ? "" : '<div class="overlay">'.mozgaration_action_buttons(array( "lightbox_link" => $lightbox_link, "link" => $permalink, "title" => $title, "external_link" => $external_link, "target" => $target, "echo" => false)).'</div>';

			printf('

				<figure class="featured_image">
					%1$s
					%2$s
					%5$s	
				</figure>

				<section class="text">
					%3$s
					%4$s
				</section> 

			', $thumbnail_image_output, $action_buttons, $title_output, $desc_output, $likes );

		}else{
			printf('

				<figure class="featured_image">
					%1$s
                </figure>

				<div class="overlay">

					<section class="text">
						%3$s
						%4$s
						%2$s
						%5$s
					</section> 	

				</div>

			', $thumbnail_image_output, $action_buttons, $title_output, $desc_output,$likes );
		}

	?>

</div> 
<!-- / portfolio box-->
